#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(admin_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_io_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_wq, "_gpl", "");
KSYMTAB_DATA(nvme_reset_wq, "_gpl", "");
KSYMTAB_DATA(nvme_delete_wq, "_gpl", "");
KSYMTAB_FUNC(nvme_try_sched_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_reset_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_delete_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_rq, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_batch_req, "_gpl", "");
KSYMTAB_FUNC(nvme_host_path_error, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_request, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_admin_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_change_ctrl_state, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_put_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_init_request, "_gpl", "");
KSYMTAB_FUNC(nvme_fail_nonready_command, "_gpl", "");
KSYMTAB_FUNC(__nvme_check_ready, "_gpl", "");
KSYMTAB_FUNC(nvme_cleanup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_setup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_execute_rq, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(__nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_command_effects, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_start, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_end, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_stop_keep_alive, "_gpl", "");
KSYMTAB_FUNC(nvme_set_features, "_gpl", "");
KSYMTAB_FUNC(nvme_get_features, "_gpl", "");
KSYMTAB_FUNC(nvme_set_queue_count, "_gpl", "");
KSYMTAB_FUNC(nvme_disable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_enable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl_finish, "_gpl", "");
KSYMTAB_FUNC(nvme_find_get_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_remove_namespaces, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_async_event, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_stop_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_start_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_uninit_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_add_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_mark_namespaces_dead, "_gpl", "");
KSYMTAB_FUNC(nvme_unfreeze, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze_timeout, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_start_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_ctrl_from_file, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_DATA(nvme_dev_attrs_group, "_gpl", "");
KSYMTAB_FUNC(nvme_get_opcode_str, "_gpl", "");
KSYMTAB_FUNC(nvme_get_admin_opcode_str, "_gpl", "");
KSYMTAB_FUNC(nvme_get_fabrics_opcode_str, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nvme_sq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(nvme_mpath_start_request, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_negotiate, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_wait, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_stop, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_free, "_gpl", "");

SYMBOL_CRC(admin_timeout, 0xd45434ee, "_gpl");
SYMBOL_CRC(nvme_io_timeout, 0x813cf212, "_gpl");
SYMBOL_CRC(nvme_wq, 0x64b62862, "_gpl");
SYMBOL_CRC(nvme_reset_wq, 0x49224181, "_gpl");
SYMBOL_CRC(nvme_delete_wq, 0xd58bbbcb, "_gpl");
SYMBOL_CRC(nvme_try_sched_reset, 0x1cd2542a, "_gpl");
SYMBOL_CRC(nvme_reset_ctrl, 0x5181d5bb, "_gpl");
SYMBOL_CRC(nvme_delete_ctrl, 0xbbd39deb, "_gpl");
SYMBOL_CRC(nvme_complete_rq, 0x6221be91, "_gpl");
SYMBOL_CRC(nvme_complete_batch_req, 0x0cfbc0a5, "_gpl");
SYMBOL_CRC(nvme_host_path_error, 0x71749952, "_gpl");
SYMBOL_CRC(nvme_cancel_request, 0x9c47615a, "_gpl");
SYMBOL_CRC(nvme_cancel_tagset, 0x48fce4db, "_gpl");
SYMBOL_CRC(nvme_cancel_admin_tagset, 0x0a340999, "_gpl");
SYMBOL_CRC(nvme_change_ctrl_state, 0x8c1561c2, "_gpl");
SYMBOL_CRC(nvme_wait_reset, 0x6f074b48, "_gpl");
SYMBOL_CRC(nvme_put_ns, 0x50019652, "_gpl");
SYMBOL_CRC(nvme_init_request, 0xb6736d72, "_gpl");
SYMBOL_CRC(nvme_fail_nonready_command, 0x3a4549dc, "_gpl");
SYMBOL_CRC(__nvme_check_ready, 0x5a955e82, "_gpl");
SYMBOL_CRC(nvme_cleanup_cmd, 0x18edee6d, "_gpl");
SYMBOL_CRC(nvme_setup_cmd, 0x7c455530, "_gpl");
SYMBOL_CRC(nvme_execute_rq, 0x64ef3025, "_gpl");
SYMBOL_CRC(__nvme_submit_sync_cmd, 0xd2110c00, "_gpl");
SYMBOL_CRC(nvme_submit_sync_cmd, 0x1ffb9f6c, "_gpl");
SYMBOL_CRC(nvme_command_effects, 0x109f5ca4, "_gpl");
SYMBOL_CRC(nvme_passthru_start, 0x596c4531, "_gpl");
SYMBOL_CRC(nvme_passthru_end, 0xd00bd824, "_gpl");
SYMBOL_CRC(nvme_stop_keep_alive, 0x17534ec0, "_gpl");
SYMBOL_CRC(nvme_set_features, 0x06ab1678, "_gpl");
SYMBOL_CRC(nvme_get_features, 0x1792bc6d, "_gpl");
SYMBOL_CRC(nvme_set_queue_count, 0x64e804b7, "_gpl");
SYMBOL_CRC(nvme_disable_ctrl, 0xf1186e10, "_gpl");
SYMBOL_CRC(nvme_enable_ctrl, 0x83fef37e, "_gpl");
SYMBOL_CRC(nvme_init_ctrl_finish, 0xdc8a627f, "_gpl");
SYMBOL_CRC(nvme_find_get_ns, 0x2f485b49, "_gpl");
SYMBOL_CRC(nvme_remove_namespaces, 0x06391457, "_gpl");
SYMBOL_CRC(nvme_complete_async_event, 0x2e628cc5, "_gpl");
SYMBOL_CRC(nvme_alloc_admin_tag_set, 0x95edd62a, "_gpl");
SYMBOL_CRC(nvme_remove_admin_tag_set, 0x3e4c942a, "_gpl");
SYMBOL_CRC(nvme_alloc_io_tag_set, 0x7602f61e, "_gpl");
SYMBOL_CRC(nvme_remove_io_tag_set, 0x76a88c22, "_gpl");
SYMBOL_CRC(nvme_stop_ctrl, 0x12482f82, "_gpl");
SYMBOL_CRC(nvme_start_ctrl, 0x02f913ce, "_gpl");
SYMBOL_CRC(nvme_uninit_ctrl, 0x5e465be3, "_gpl");
SYMBOL_CRC(nvme_init_ctrl, 0x77e95cee, "_gpl");
SYMBOL_CRC(nvme_add_ctrl, 0x6071e852, "_gpl");
SYMBOL_CRC(nvme_mark_namespaces_dead, 0x6f5f24e6, "_gpl");
SYMBOL_CRC(nvme_unfreeze, 0x5d561ee8, "_gpl");
SYMBOL_CRC(nvme_wait_freeze_timeout, 0xa5107c69, "_gpl");
SYMBOL_CRC(nvme_wait_freeze, 0x38a29fe2, "_gpl");
SYMBOL_CRC(nvme_start_freeze, 0x4e303a40, "_gpl");
SYMBOL_CRC(nvme_quiesce_io_queues, 0x31890f0b, "_gpl");
SYMBOL_CRC(nvme_unquiesce_io_queues, 0x2fbf581d, "_gpl");
SYMBOL_CRC(nvme_quiesce_admin_queue, 0x0a09cfe1, "_gpl");
SYMBOL_CRC(nvme_unquiesce_admin_queue, 0xe39ea057, "_gpl");
SYMBOL_CRC(nvme_sync_io_queues, 0x7bbcadf9, "_gpl");
SYMBOL_CRC(nvme_sync_queues, 0x7b39aa0b, "_gpl");
SYMBOL_CRC(nvme_ctrl_from_file, 0x9a6d5935, "_gpl");
SYMBOL_CRC(nvme_dev_attrs_group, 0x63e6f8be, "_gpl");
SYMBOL_CRC(nvme_get_opcode_str, 0xedb8efd2, "_gpl");
SYMBOL_CRC(nvme_get_admin_opcode_str, 0xe1edd5b5, "_gpl");
SYMBOL_CRC(nvme_get_fabrics_opcode_str, 0xa7b9633b, "_gpl");
SYMBOL_CRC(__tracepoint_nvme_sq, 0x8e7ec2b6, "_gpl");
SYMBOL_CRC(__traceiter_nvme_sq, 0xf4dc9fe2, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nvme_sq, 0x11abc494, "_gpl");
SYMBOL_CRC(nvme_mpath_start_request, 0x67ccb764, "_gpl");
SYMBOL_CRC(nvme_auth_negotiate, 0x19e4cc03, "_gpl");
SYMBOL_CRC(nvme_auth_wait, 0x5f806677, "_gpl");
SYMBOL_CRC(nvme_auth_init_ctrl, 0x8d768c11, "_gpl");
SYMBOL_CRC(nvme_auth_stop, 0xfb4638ba, "_gpl");
SYMBOL_CRC(nvme_auth_free, 0xd3d948db, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7a7598f5, "set_capacity_and_notify" },
	{ 0x2ec971b3, "bio_associate_blkg" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xaf394c99, "set_disk_ro" },
	{ 0xc630aa80, "__blk_alloc_disk" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x9d62f995, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x3a576f2e, "vmemmap" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x4df07eeb, "bio_integrity_map_user" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0xb3b9c6d, "device_remove_file_self" },
	{ 0x6764fd96, "param_ops_uint" },
	{ 0x2eb28ab8, "param_ops_ulong" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x11bb051b, "dev_set_name" },
	{ 0x36e12f59, "bio_split_to_limits" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xac5a789c, "trace_seq_printf" },
	{ 0x8f0f9d6d, "device_add_disk" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x836ebc4a, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xc8e171bf, "blk_mq_tagset_wait_completed_request" },
	{ 0x3a5b0926, "cdev_device_del" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x1519cc21, "queue_limits_stack_bdev" },
	{ 0xfa63ed8b, "trace_event_printf" },
	{ 0xbe560380, "nvme_auth_transform_key" },
	{ 0x22693ce, "device_initialize" },
	{ 0x52f08501, "blk_mq_unquiesce_queue" },
	{ 0x75b919f7, "blk_mq_quiesce_queue" },
	{ 0xfa6e8656, "trace_event_raw_init" },
	{ 0xabe1431b, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0xca091267, "nvme_auth_gen_shared_secret" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0xae04012c, "__vmalloc" },
	{ 0xbcd5c9c1, "__traceiter_block_bio_remap" },
	{ 0x9073e77c, "__traceiter_block_bio_complete" },
	{ 0xa8694ecd, "kblockd_schedule_work" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe9d47366, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x5c1dc2f1, "disk_uevent" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0xc91dc0b6, "event_triggers_call" },
	{ 0x8bb4089d, "synchronize_srcu" },
	{ 0xa7d5e42d, "param_ops_byte" },
	{ 0x99f2ea38, "kmem_cache_create" },
	{ 0x60a6ae8c, "get_device" },
	{ 0xd9dd7baf, "blk_mq_end_request" },
	{ 0xeca4233e, "__blk_mq_alloc_disk" },
	{ 0x8448b7f5, "__dynamic_dev_dbg" },
	{ 0xc24e1d4b, "mempool_free" },
	{ 0x49672828, "node_states" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd6494fe3, "blk_mq_delay_kick_requeue_list" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6355ad03, "blk_mq_alloc_tag_set" },
	{ 0x2a7d5bb6, "blk_rq_is_poll" },
	{ 0x8d9247ae, "trace_event_buffer_commit" },
	{ 0x246504bd, "crypto_destroy_tfm" },
	{ 0x9ec054d5, "trace_seq_putc" },
	{ 0x92997ed8, "_printk" },
	{ 0xe9f53826, "mempool_create" },
	{ 0x99aa5f1f, "put_disk" },
	{ 0x796a400b, "crypto_alloc_kpp" },
	{ 0xb7aabe82, "cdev_device_add" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x5f81d00c, "nvme_auth_free_key" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xd59f285d, "blk_execute_rq" },
	{ 0xf0ee69f7, "put_device" },
	{ 0x497b6363, "trace_event_ignore_this_pid" },
	{ 0x64d23c17, "blk_mq_unquiesce_tagset" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x5b6fd00d, "kmalloc_node_trace" },
	{ 0xfc725a04, "mempool_alloc" },
	{ 0xb946a1d5, "blk_mq_free_request" },
	{ 0xf5ea2664, "__free_pages" },
	{ 0x24fef994, "_dev_info" },
	{ 0xb700f738, "blk_rq_map_kern" },
	{ 0xc6cbbc89, "capable" },
	{ 0x6d23a6ed, "module_put" },
	{ 0x67d1c8cd, "sysfs_create_link" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xf084eb4c, "nvme_auth_gen_pubkey" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0x63728f84, "compat_ptr_ioctl" },
	{ 0x2f7587bb, "blk_rq_poll" },
	{ 0xdf8d820a, "blk_mq_quiesce_tagset" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xd3daadfa, "kobject_uevent_env" },
	{ 0x5d809861, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x213cb2df, "init_srcu_struct" },
	{ 0xa8b08b27, "perf_trace_run_bpf_submit" },
	{ 0x15471fb, "_dev_err" },
	{ 0x89bccec2, "blk_revalidate_disk_zones" },
	{ 0x79c66065, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x850f33a8, "device_add" },
	{ 0x6f5ef93d, "memchr_inv" },
	{ 0x5cae48e6, "blk_rq_map_user_io" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x6621c908, "sysfs_remove_link" },
	{ 0xbbac7694, "blk_execute_rq_nowait" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xe1c5965c, "__srcu_read_lock" },
	{ 0xc4f14cf9, "set_capacity" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x55238bff, "submit_bio_noacct" },
	{ 0x5b745a3d, "xa_load" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x32835e74, "blk_sync_queue" },
	{ 0x41ae47ce, "bdev_start_io_acct" },
	{ 0x85abc85f, "strncmp" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x674c5bc1, "nvme_auth_hmac_name" },
	{ 0x40afa919, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x73459728, "blk_mq_alloc_request_hctx" },
	{ 0x6f867f44, "__io_uring_cmd_do_in_task" },
	{ 0xff6185a4, "blk_mq_alloc_request" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x55bf4fe0, "crypto_shash_update" },
	{ 0x4db31b7e, "class_unregister" },
	{ 0x67c5f388, "blk_mq_free_tag_set" },
	{ 0x8bb5f59c, "del_gendisk" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x83220127, "cleanup_srcu_struct" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x51641162, "opal_unlock_from_suspend" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x3898cd06, "nvme_auth_augmented_challenge" },
	{ 0x42feebc5, "blk_set_stacking_limits" },
	{ 0x2501270, "blk_mq_freeze_queue_wait_timeout" },
	{ 0xb5625465, "blk_put_queue" },
	{ 0xe09dbb53, "bpf_trace_run1" },
	{ 0x661df11, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x815fda83, "sed_ioctl" },
	{ 0xc1db259, "_dev_warn" },
	{ 0x948cdec, "blk_mq_wait_quiesce_done" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x51873876, "nvme_auth_get_seqnum" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xdb7528d, "io_uring_cmd_done" },
	{ 0xc762c25a, "blk_rq_unmap_user" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xaa2549be, "bdev_disk_changed" },
	{ 0x9d509dca, "init_opal_dev" },
	{ 0xe798236d, "jiffies" },
	{ 0x489a0a5, "nvme_auth_generate_key" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0x87decc6, "bpf_trace_run3" },
	{ 0xc9bb48ac, "nvme_auth_dhgroup_name" },
	{ 0xcde77bcc, "free_opal_dev" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xae394158, "blk_mq_complete_request" },
	{ 0x29eec41, "blk_mq_freeze_queue" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x83607446, "trace_event_buffer_reserve" },
	{ 0x12502c01, "crypto_shash_final" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x13161bb6, "param_ops_bool" },
	{ 0xa3e27a2a, "blk_mq_destroy_queue" },
	{ 0x989e1516, "xa_destroy" },
	{ 0x31592bef, "blk_freeze_queue_start" },
	{ 0x42ae6d99, "xa_find" },
	{ 0x6bf12745, "alloc_pages" },
	{ 0x266294c, "mempool_destroy" },
	{ 0x9ee4d023, "blk_mq_alloc_queue" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa65f3c8c, "__tracepoint_block_bio_complete" },
	{ 0xe70e184a, "xa_store" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0xd91cf7e5, "__srcu_read_unlock" },
	{ 0xae64f1dd, "__tracepoint_block_bio_remap" },
	{ 0x4943b030, "blk_mq_unfreeze_queue" },
	{ 0xe1ba35d9, "blk_mq_tagset_busy_iter" },
	{ 0xf0ccf2d4, "nvme_auth_dhgroup_kpp" },
	{ 0x8ef06c0d, "queue_limits_commit_update" },
	{ 0x65da06f6, "blkdev_compat_ptr_ioctl" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x3ad23bc4, "blk_rq_map_user_iov" },
	{ 0x429dcdc0, "xa_find_after" },
	{ 0xfcf21865, "kmalloc_trace" },
	{ 0xe33c6f31, "blk_mark_disk_dead" },
	{ 0xe6641cca, "io_uring_cmd_import_fixed" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x90191213, "crypto_alloc_shash" },
	{ 0x907ea173, "blk_mq_freeze_queue_wait" },
	{ 0xa5598e92, "nvme_auth_gen_privkey" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x12a8fde2, "blk_mq_requeue_request" },
	{ 0xcc4ee397, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xb44164ad, "cdev_init" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x63a5b6dd, "bdev_end_io_acct" },
	{ 0x641ec9e2, "kmalloc_caches" },
	{ 0xdd4c1dc8, "blk_steal_bios" },
	{ 0xa0f33e85, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x647c164d, "module_layout" },
};

MODULE_INFO(depends, "nvme-auth");


MODULE_INFO(srcversion, "0FFC8A7F674DE6247B0757F");
MODULE_INFO(rhelversion, "9.6");
