#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_br_ops, "_gpl", "");
KSYMTAB_FUNC(br_fdb_find_port, "_gpl", "");
KSYMTAB_FUNC(br_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(br_dev_queue_push_xmit, "_gpl", "");
KSYMTAB_FUNC(br_forward_finish, "_gpl", "");
KSYMTAB_FUNC(br_forward, "_gpl", "");
KSYMTAB_FUNC(br_port_flag_is_set, "_gpl", "");
KSYMTAB_FUNC(br_handle_frame_finish, "_gpl", "");
KSYMTAB_FUNC(br_port_get_stp_state, "_gpl", "");
KSYMTAB_FUNC(br_get_ageing_time, "_gpl", "");
KSYMTAB_FUNC(br_multicast_enabled, "_gpl", "");
KSYMTAB_FUNC(br_multicast_router, "_gpl", "");
KSYMTAB_FUNC(br_multicast_list_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_anywhere, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_router_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_vlan_enabled, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_proto, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid_rcu, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info_rcu, "_gpl", "");
KSYMTAB_FUNC(br_mst_enabled, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_info, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_state, "_gpl", "");

SYMBOL_CRC(nf_br_ops, 0x6f45e3b0, "_gpl");
SYMBOL_CRC(br_fdb_find_port, 0xf0bd756f, "_gpl");
SYMBOL_CRC(br_fdb_clear_offload, 0xebb01dfa, "_gpl");
SYMBOL_CRC(br_dev_queue_push_xmit, 0x0b8e62da, "_gpl");
SYMBOL_CRC(br_forward_finish, 0x4d6c5db5, "_gpl");
SYMBOL_CRC(br_forward, 0xd332976b, "_gpl");
SYMBOL_CRC(br_port_flag_is_set, 0x29fcc77e, "_gpl");
SYMBOL_CRC(br_handle_frame_finish, 0xc169da41, "_gpl");
SYMBOL_CRC(br_port_get_stp_state, 0xc383a83d, "_gpl");
SYMBOL_CRC(br_get_ageing_time, 0x145630af, "_gpl");
SYMBOL_CRC(br_multicast_enabled, 0xd528a133, "_gpl");
SYMBOL_CRC(br_multicast_router, 0x4f9983ef, "_gpl");
SYMBOL_CRC(br_multicast_list_adjacent, 0x446c1fbb, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_anywhere, 0x42a54180, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_adjacent, 0x6c55595b, "_gpl");
SYMBOL_CRC(br_multicast_has_router_adjacent, 0xe925af70, "_gpl");
SYMBOL_CRC(br_vlan_enabled, 0x6e342c40, "_gpl");
SYMBOL_CRC(br_vlan_get_proto, 0x1f09a1ac, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid, 0xfeac66a7, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid_rcu, 0x2f45a59d, "_gpl");
SYMBOL_CRC(br_vlan_get_info, 0xec7b7fcc, "_gpl");
SYMBOL_CRC(br_vlan_get_info_rcu, 0x2ac9b298, "_gpl");
SYMBOL_CRC(br_mst_enabled, 0xa76ce6f9, "_gpl");
SYMBOL_CRC(br_mst_get_info, 0x218302a3, "_gpl");
SYMBOL_CRC(br_mst_get_state, 0x82037d66, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfb71ca61, "netdev_lower_get_next" },
	{ 0x405143c4, "dev_set_mtu" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x3a6dd2a, "dev_pre_changeaddr_notify" },
	{ 0xe72e844b, "__rht_bucket_nested" },
	{ 0xee0ce0b7, "skb_copy_bits" },
	{ 0xa8378d94, "__nlmsg_put" },
	{ 0x9b912da0, "switchdev_port_attr_set" },
	{ 0x495dcde5, "ipv6_mc_check_mld" },
	{ 0x86867ab3, "skb_put" },
	{ 0x93adcce, "__percpu_counter_init_many" },
	{ 0x330a7398, "call_switchdev_notifiers" },
	{ 0x2ee00fc3, "sysfs_create_file_ns" },
	{ 0x8e92f7c4, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x515ce864, "netdev_update_features" },
	{ 0x4fe724a3, "consume_skb" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0xe92592f8, "__traceiter_br_fdb_add" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x42c9696e, "__netpoll_free" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0x9441c981, "__traceiter_br_fdb_update" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x1d905142, "dev_uc_del" },
	{ 0x12f629d1, "netpoll_send_skb" },
	{ 0xf3826bb6, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x42bfa0e2, "sysfs_create_bin_file" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x876fa4e2, "percpu_counter_destroy_many" },
	{ 0x236c8c64, "memcpy" },
	{ 0xa0dc0c53, "switchdev_port_obj_act_is_deferred" },
	{ 0x4cf9d170, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0xe66f7bd0, "dev_set_promiscuity" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x64c3ad06, "rhashtable_init" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x8667b8bf, "unregister_netdevice_queue" },
	{ 0x99f2ea38, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xa415bd6e, "netdev_state_change" },
	{ 0xc6e8d542, "__pskb_copy_fclone" },
	{ 0x37779a75, "__dev_get_by_name" },
	{ 0x74ebbfd5, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd41eef12, "netdev_err" },
	{ 0xffac0967, "pskb_expand_head" },
	{ 0x30c9f313, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x7948ce91, "brioctl_set" },
	{ 0xb912560d, "static_key_disable" },
	{ 0x63224167, "arp_xmit" },
	{ 0xd989b34d, "__traceiter_br_mdb_full" },
	{ 0x9e0941b7, "alloc_netdev_mqs" },
	{ 0x2a3fec2a, "passthru_features_check" },
	{ 0x536897d0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x604ef85e, "netdev_rx_handler_unregister" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1afc193c, "rtnl_af_register" },
	{ 0x4ed6cf42, "__tracepoint_br_mdb_full" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x781b2b7f, "__alloc_skb" },
	{ 0x328350fd, "kmem_cache_alloc" },
	{ 0x4d3a3f1a, "rtnl_set_sk_err" },
	{ 0x9a815f9e, "skb_vlan_pop" },
	{ 0xbb4685f5, "rtnl_unicast" },
	{ 0x67d1c8cd, "sysfs_create_link" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x800473f, "__cond_resched" },
	{ 0xf61ec259, "ipv6_dev_get_saddr" },
	{ 0xe541f71, "__alloc_percpu_gfp" },
	{ 0x507b25d0, "kstrndup" },
	{ 0x65cc7c2c, "nla_reserve_64bit" },
	{ 0xaac8f806, "__ip_mc_dec_group" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xf47afea8, "__dev_get_by_index" },
	{ 0x40d5988f, "rtnl_link_unregister" },
	{ 0x3451d592, "try_to_del_timer_sync" },
	{ 0x36242943, "switchdev_deferred_process" },
	{ 0x346dbe49, "dev_get_port_parent_id" },
	{ 0x89ebc372, "init_net" },
	{ 0x2971b3fc, "ipv6_stub" },
	{ 0xce6fa56f, "inet_confirm_addr" },
	{ 0x931be636, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x6621c908, "sysfs_remove_link" },
	{ 0x2038e422, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0xfb8a0e34, "rtnl_af_unregister" },
	{ 0xf14300ad, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x6a4d897e, "arp_send" },
	{ 0x3a2fdb2a, "dev_get_by_index_rcu" },
	{ 0xb7cc0cff, "__tracepoint_br_fdb_add" },
	{ 0x7ddb95ca, "__traceiter_fdb_delete" },
	{ 0x652032cb, "mac_pton" },
	{ 0x42f51ebb, "skb_push" },
	{ 0x82e47b54, "kmem_cache_free" },
	{ 0xb61f2682, "br_fdb_test_addr_hook" },
	{ 0x1addbc2c, "ndo_dflt_fdb_dump" },
	{ 0x85abc85f, "strncmp" },
	{ 0x2d82c375, "netdev_upper_dev_unlink" },
	{ 0x601b1fb0, "netif_receive_skb" },
	{ 0xf00a075f, "nla_put" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9695733, "llc_mac_hdr_init" },
	{ 0x2a611061, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x52de1b80, "kobject_init_and_add" },
	{ 0x36399b3e, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd133136a, "ns_capable" },
	{ 0x7112fb6f, "inet_select_addr" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x4aca9e1, "sysfs_create_group" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd50fa6cb, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xdf00a3b8, "arp_create" },
	{ 0x5adcec6b, "__ethtool_get_link_ksettings" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xbb2a5945, "stp_proto_register" },
	{ 0x482c4dd7, "rtnl_register_module" },
	{ 0x27dc9471, "__tracepoint_br_fdb_update" },
	{ 0x782c918e, "sysfs_rename_link_ns" },
	{ 0x5659b856, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xf3b8882, "rht_bucket_nested_insert" },
	{ 0x4a4209f8, "timer_shutdown_sync" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xa1f23118, "switchdev_port_obj_add" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9f0ca0fe, "__pskb_pull_tail" },
	{ 0xccbe3ab1, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xd265d3bf, "netif_rx" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x8857c770, "ip_mc_check_igmp" },
	{ 0x79379645, "__netdev_alloc_skb" },
	{ 0x364354ba, "rhashtable_destroy" },
	{ 0xa475748c, "switchdev_port_obj_del" },
	{ 0x19d6e629, "netdev_master_upper_dev_link" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xc7969502, "kobject_create_and_add" },
	{ 0xb50168d5, "skb_trim" },
	{ 0x9e707064, "nf_hook_slow" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xb0708799, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0xc6a8c6af, "__ip_mc_inc_group" },
	{ 0xe9920d26, "netdev_walk_all_upper_dev_rcu" },
	{ 0xe021d48b, "sysfs_remove_group" },
	{ 0x44f5f7c6, "__traceiter_br_fdb_external_learn_add" },
	{ 0x6527fdf7, "in_dev_finish_destroy" },
	{ 0x5f98bdb6, "nf_hooks_needed" },
	{ 0x73c93090, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x19821689, "__tracepoint_fdb_delete" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x3b7109ca, "__netpoll_setup" },
	{ 0x4ec76244, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x4523a6fa, "vlan_vid_add" },
	{ 0xe229bfe9, "neigh_destroy" },
	{ 0xc662ecda, "__tracepoint_br_fdb_external_learn_add" },
	{ 0x69fe0288, "kobject_del" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xb6a42e40, "call_netdevice_notifiers" },
	{ 0x1971ace3, "is_skb_forwardable" },
	{ 0xe90e6eff, "vlan_vid_del" },
	{ 0xaecb7a23, "dev_set_allmulti" },
	{ 0x8e69aabd, "net_ns_get_ownership" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xacecc930, "netdev_master_upper_dev_get" },
	{ 0xb16ddcc7, "ipv6_dev_mc_inc" },
	{ 0x9b837bd2, "rtnl_notify" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3381480d, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xcad2537a, "__vlan_find_dev_deep_rcu" },
	{ 0xf79faab3, "ip_send_check" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xd52802b8, "skb_clone" },
	{ 0xbd801d5c, "metadata_dst_alloc" },
	{ 0xcdd92e7a, "dst_release" },
	{ 0xc0466401, "netif_carrier_on" },
	{ 0x7ef27907, "kobject_uevent" },
	{ 0x9a744417, "arp_tbl" },
	{ 0xcc1404b9, "ipv6_dev_mc_dec" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xea16af8, "netdev_rx_handler_register" },
	{ 0x54d2683b, "dev_uc_add" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x59c2c942, "netif_set_tso_max_size" },
	{ 0x1cc14671, "dev_disable_lro" },
	{ 0xfcf21865, "kmalloc_trace" },
	{ 0xa1df9cf6, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x440a44a2, "dev_get_flags" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x8ee7f774, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xea98df22, "netdev_notice" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0x3f4215ef, "nf_queue" },
	{ 0x458791cc, "netif_set_tso_max_segs" },
	{ 0x349cba85, "strchr" },
	{ 0xe70f4f42, "skb_ext_add" },
	{ 0x653c30a7, "sysfs_remove_bin_file" },
	{ 0x61a6a17, "rht_bucket_nested" },
	{ 0x91dbc507, "stp_proto_unregister" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x641ec9e2, "kmalloc_caches" },
	{ 0x61d70b38, "neigh_lookup" },
	{ 0xa0f33e85, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x2e60e3e2, "kobject_put" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x9f2b4453, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x647c164d, "module_layout" },
};

MODULE_INFO(depends, "llc,stp");


MODULE_INFO(srcversion, "62CB88665C30230D3C64E10");
MODULE_INFO(rhelversion, "9.6");
