#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(udp_sock_create4, "", "");
KSYMTAB_FUNC(setup_udp_tunnel_sock, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_push_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_drop_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_notify_add_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_notify_del_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_sock_release, "_gpl", "");
KSYMTAB_FUNC(udp_tun_rx_dst, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_dst_lookup, "_gpl", "");

SYMBOL_CRC(udp_sock_create4, 0x883ee4c5, "");
SYMBOL_CRC(setup_udp_tunnel_sock, 0x93a70c72, "_gpl");
SYMBOL_CRC(udp_tunnel_push_rx_port, 0x9c0878d5, "_gpl");
SYMBOL_CRC(udp_tunnel_drop_rx_port, 0x41ce2175, "_gpl");
SYMBOL_CRC(udp_tunnel_notify_add_rx_port, 0xb8788f94, "_gpl");
SYMBOL_CRC(udp_tunnel_notify_del_rx_port, 0xd4d83f61, "_gpl");
SYMBOL_CRC(udp_tunnel_xmit_skb, 0x7e7b153c, "_gpl");
SYMBOL_CRC(udp_tunnel_sock_release, 0x5032d1b0, "_gpl");
SYMBOL_CRC(udp_tun_rx_dst, 0xc6683c27, "_gpl");
SYMBOL_CRC(udp_tunnel_dst_lookup, 0xbbd8b144, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc70c2458, "dst_cache_set_ip4" },
	{ 0x3b67278e, "kernel_bind" },
	{ 0x7bd0a84d, "udp_set_csum" },
	{ 0x37a0cba, "kfree" },
	{ 0xee7f760e, "netdev_warn" },
	{ 0x9f6c7e60, "udp_tunnel_nic_ops" },
	{ 0xdb816446, "ip_route_output_flow" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2971b3fc, "ipv6_stub" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x99517682, "udp_encap_enable" },
	{ 0x549aeed3, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7abfc437, "iptunnel_xmit" },
	{ 0xf00a075f, "nla_put" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x92955b1f, "kernel_connect" },
	{ 0xb50168d5, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xb0708799, "__dynamic_netdev_dbg" },
	{ 0xd0c92582, "dst_cache_get_ip4" },
	{ 0x596bed28, "sock_create_kern" },
	{ 0xb6a42e40, "call_netdevice_notifiers" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xbd801d5c, "metadata_dst_alloc" },
	{ 0xcdd92e7a, "dst_release" },
	{ 0xcfcc7e84, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xf11c3315, "sock_bindtoindex" },
	{ 0xfcf21865, "kmalloc_trace" },
	{ 0x349cba85, "strchr" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x641ec9e2, "kmalloc_caches" },
	{ 0x647c164d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3F032ACE5509E072AE6E375");
MODULE_INFO(rhelversion, "9.6");
