#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_nat_sip_hooks, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_request, "_gpl", "");
KSYMTAB_FUNC(ct_sip_get_header, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_header_uri, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_address_param, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_numerical_param, "_gpl", "");
KSYMTAB_FUNC(ct_sip_get_sdp_header, "_gpl", "");

SYMBOL_CRC(nf_nat_sip_hooks, 0x75c39a4c, "_gpl");
SYMBOL_CRC(ct_sip_parse_request, 0x4b7a9166, "_gpl");
SYMBOL_CRC(ct_sip_get_header, 0x727482ad, "_gpl");
SYMBOL_CRC(ct_sip_parse_header_uri, 0x54420721, "_gpl");
SYMBOL_CRC(ct_sip_parse_address_param, 0x450eedbe, "_gpl");
SYMBOL_CRC(ct_sip_parse_numerical_param, 0x0516bfbb, "_gpl");
SYMBOL_CRC(ct_sip_get_sdp_header, 0xa0aa33a6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x11089ac7, "_ctype" },
	{ 0xebbf1dba, "strncasecmp" },
	{ 0x609bcd98, "in6_pton" },
	{ 0xac5fcec0, "in4_pton" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x85abc85f, "strncmp" },
	{ 0x5d342aeb, "nf_ct_helper_init" },
	{ 0x9692d67f, "nf_conntrack_helpers_register" },
	{ 0x92997ed8, "_printk" },
	{ 0x88a81fd1, "nf_conntrack_helpers_unregister" },
	{ 0x97736c42, "nf_ct_helper_log" },
	{ 0xd9cc99d7, "nf_conntrack_expect_lock" },
	{ 0x88c62e02, "nf_ct_remove_expect" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xacde66fd, "__nf_ct_refresh_acct" },
	{ 0x9f0ca0fe, "__pskb_pull_tail" },
	{ 0xee0ce0b7, "skb_copy_bits" },
	{ 0x80e2ba61, "nf_ct_expect_alloc" },
	{ 0x5b096669, "nf_ct_expect_init" },
	{ 0xf52e541f, "nf_ct_expect_put" },
	{ 0xb6a95de8, "nf_ct_expect_related_report" },
	{ 0xe36d3b99, "__nf_ct_expect_find" },
	{ 0xaa8311b9, "nf_ct_unexpect_related" },
	{ 0x2d4ced1a, "__nf_ip6_route" },
	{ 0xcdd92e7a, "dst_release" },
	{ 0xced28869, "nf_ip_route" },
	{ 0xe798236d, "jiffies" },
	{ 0x7cf86232, "mod_timer_pending" },
	{ 0x10deb481, "param_ops_ushort" },
	{ 0x7576bb09, "param_ops_int" },
	{ 0x6764fd96, "param_ops_uint" },
	{ 0x832e171e, "param_array_ops" },
	{ 0x647c164d, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "B65F45AD7D049EBE300AAD0");
MODULE_INFO(rhelversion, "9.6");
