#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tipc_nl_sk_walk, "", "");
KSYMTAB_FUNC(tipc_dump_start, "", "");
KSYMTAB_FUNC(tipc_dump_done, "", "");
KSYMTAB_FUNC(tipc_sk_fill_sock_diag, "", "");

SYMBOL_CRC(tipc_nl_sk_walk, 0x722ee0e7, "");
SYMBOL_CRC(tipc_dump_start, 0x0c8e4e9c, "");
SYMBOL_CRC(tipc_dump_done, 0x3c3ecb0f, "");
SYMBOL_CRC(tipc_sk_fill_sock_diag, 0x12359d2a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe8cc2913, "netlink_net_capable" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x15b49bac, "vscnprintf" },
	{ 0x2cbcbd77, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xf0a48d0b, "bpf_trace_run4" },
	{ 0xe72e844b, "__rht_bucket_nested" },
	{ 0xa8378d94, "__nlmsg_put" },
	{ 0x3761d215, "idr_find" },
	{ 0x86867ab3, "skb_put" },
	{ 0xa244d86a, "register_net_sysctl" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc3407f8d, "ip6_dst_hoplimit" },
	{ 0xc705b27, "trace_output_call" },
	{ 0x4fe724a3, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x314c7e28, "dev_add_pack" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x836ebc4a, "trace_raw_output_prep" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0x883ee4c5, "udp_sock_create4" },
	{ 0x951a2773, "crypto_has_alg" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xfa63ed8b, "trace_event_printf" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x7108b9f0, "__ip_dev_find" },
	{ 0xc70c2458, "dst_cache_set_ip4" },
	{ 0x3d065b85, "udp_tunnel6_xmit_skb" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x97c8134f, "genlmsg_put" },
	{ 0x3dfb689b, "___pskb_trim" },
	{ 0xfa6e8656, "trace_event_raw_init" },
	{ 0xabe1431b, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0x64c3ad06, "rhashtable_init" },
	{ 0x82593beb, "crypto_alloc_aead" },
	{ 0xff1ffd2c, "__tracepoint_sk_data_ready" },
	{ 0xee7f760e, "netdev_warn" },
	{ 0x4bb049d, "crypto_aead_setauthsize" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xe8153723, "crypto_aead_decrypt" },
	{ 0xc91dc0b6, "event_triggers_call" },
	{ 0xb6994454, "kernel_accept" },
	{ 0x5c8b384e, "__module_get" },
	{ 0xdb816446, "ip_route_output_flow" },
	{ 0xea066330, "rhashtable_walk_enter" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xc6e8d542, "__pskb_copy_fclone" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xffac0967, "pskb_expand_head" },
	{ 0x30c9f313, "register_pernet_subsys" },
	{ 0x6f73ea8d, "put_cmsg" },
	{ 0x9ccb8264, "skb_queue_purge_reason" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x8d9247ae, "trace_event_buffer_commit" },
	{ 0x246504bd, "crypto_destroy_tfm" },
	{ 0x2e91b0ed, "eth_type_trans" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x4d027ff1, "proto_unregister" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0xb7f598a2, "sock_register" },
	{ 0x37aede1b, "ipv6_dev_find" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x497b6363, "trace_event_ignore_this_pid" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x781b2b7f, "__alloc_skb" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x6a7dc632, "sk_reset_timer" },
	{ 0x9f984513, "strrchr" },
	{ 0xf31b7709, "skb_try_coalesce" },
	{ 0xaa6a7293, "proto_register" },
	{ 0x44f5b51, "skb_copy_expand" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x4f91fd51, "__wake_up_sync_key" },
	{ 0xabd3c163, "skb_queue_tail" },
	{ 0x6d23a6ed, "module_put" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x800473f, "__cond_resched" },
	{ 0xe541f71, "__alloc_percpu_gfp" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0x5ea31004, "arch_spin_trylock_retry" },
	{ 0xa1ef34ec, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xf47afea8, "__dev_get_by_index" },
	{ 0xa8b08b27, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x2925bb70, "__traceiter_sk_data_ready" },
	{ 0x89ebc372, "init_net" },
	{ 0x2971b3fc, "ipv6_stub" },
	{ 0x931be636, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8c47afca, "idr_alloc" },
	{ 0x4dea1053, "memchr" },
	{ 0x1579f7cb, "crypto_aead_encrypt" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xf14300ad, "sk_skb_reason_drop" },
	{ 0x75e8755a, "netlink_unicast" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xbb207c9, "dev_remove_pack" },
	{ 0x32764a4a, "sk_free" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x549aeed3, "kernel_sock_shutdown" },
	{ 0xaae030c0, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0x42f51ebb, "skb_push" },
	{ 0x49148d9, "dst_cache_get" },
	{ 0xf310fc5b, "sock_no_listen" },
	{ 0xf00a075f, "nla_put" },
	{ 0x8e73ebce, "proc_doulongvec_minmax" },
	{ 0x40afa919, "trace_event_reg" },
	{ 0xad4aee39, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x7a45de9f, "iov_iter_kvec" },
	{ 0x9a8dcb43, "ip_mc_join_group" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xff8cbf4b, "rhashtable_walk_start_check" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x189d1645, "unregister_pernet_device" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x9f1e221f, "kmalloc_large" },
	{ 0x4078040f, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x3d7e75c8, "skb_copy_datagram_iter" },
	{ 0x4eedd6f3, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x59731335, "sk_alloc" },
	{ 0x34a7afe, "idr_destroy" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x5659b856, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0x2ccaef35, "kfree_skb_partial" },
	{ 0xf3b8882, "rht_bucket_nested_insert" },
	{ 0x4a4209f8, "timer_shutdown_sync" },
	{ 0x5032d1b0, "udp_tunnel_sock_release" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6ff607b6, "crypto_get_default_rng" },
	{ 0x9d824978, "sock_no_mmap" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x9f0ca0fe, "__pskb_pull_tail" },
	{ 0xce6684e, "sock_no_sendpage" },
	{ 0xd265d3bf, "netif_rx" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x668402aa, "crypto_put_default_rng" },
	{ 0x364354ba, "rhashtable_destroy" },
	{ 0x93a70c72, "setup_udp_tunnel_sock" },
	{ 0xf98fe805, "udp_sock_create6" },
	{ 0xb50168d5, "skb_trim" },
	{ 0x86a22fb2, "skb_cow_data" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0x87decc6, "bpf_trace_run3" },
	{ 0x73c93090, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7e94edb8, "sock_rfree" },
	{ 0xaf9215d5, "sock_i_ino" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x6c1c3a5e, "kernel_listen" },
	{ 0x4ec76244, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x83607446, "trace_event_buffer_reserve" },
	{ 0x83e1c614, "dev_nit_active" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x596bed28, "sock_create_kern" },
	{ 0xbb9d0dc5, "bin2hex" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x38a37fd6, "dst_cache_set_ip6" },
	{ 0xbcb83166, "pskb_put" },
	{ 0x55f2580b, "__alloc_percpu" },
	{ 0xe091c977, "list_sort" },
	{ 0xe35fb609, "kmemdup" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x7e7b153c, "udp_tunnel_xmit_skb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x50435d67, "sock_recvmsg" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x2cc16e23, "skb_copy" },
	{ 0xd52802b8, "skb_clone" },
	{ 0xcf31bdf0, "dev_get_by_name" },
	{ 0x9fbcda61, "_copy_from_iter" },
	{ 0xcfcc7e84, "sock_release" },
	{ 0x6f20e8a0, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0xc045988c, "rhashtable_walk_next" },
	{ 0xf292b3e0, "crypto_default_rng" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xe8ae200c, "sk_stop_timer" },
	{ 0x5080ca5d, "unregister_net_sysctl_table" },
	{ 0x3c465b6, "genl_unregister_family" },
	{ 0x81025742, "from_kuid_munged" },
	{ 0xfcf21865, "kmalloc_trace" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x1a175e67, "iov_iter_revert" },
	{ 0x349cba85, "strchr" },
	{ 0x51974e53, "genl_register_family" },
	{ 0xe6610172, "kernel_sendmsg" },
	{ 0x61a6a17, "rht_bucket_nested" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0xba80087c, "skb_to_sgvec" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x28d0285c, "rhashtable_walk_exit" },
	{ 0x7e0d5d00, "register_pernet_device" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xfc3ea6b0, "sock_init_data" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x641ec9e2, "kmalloc_caches" },
	{ 0x9b81abdd, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc84fddf6, "proc_dointvec_minmax" },
	{ 0x647c164d, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "C5E6AF2762FC8593FBF22B6");
MODULE_INFO(rhelversion, "9.6");
