#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_dp_dual_mode_read, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_write, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_detect, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_max_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_get_tmds_output, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_set_tmds_output, "", "");
KSYMTAB_FUNC(drm_dp_get_dual_mode_type_name, "", "");
KSYMTAB_FUNC(drm_lspcon_get_mode, "", "");
KSYMTAB_FUNC(drm_lspcon_set_mode, "", "");
KSYMTAB_FUNC(drm_dp_channel_eq_ok, "", "");
KSYMTAB_FUNC(drm_dp_clock_recovery_ok, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_request_voltage, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_request_pre_emphasis, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_tx_ffe_preset, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_lane_channel_eq_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_lane_symbol_locked, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_eq_interlane_align_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_cds_interlane_align_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_link_training_failed, "", "");
KSYMTAB_FUNC(drm_dp_read_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_read_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_read_aux_rd_interval, "", "");
KSYMTAB_FUNC(drm_dp_link_train_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_link_train_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_phy_name, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_link_train_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_link_train_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_link_rate_to_bw_code, "", "");
KSYMTAB_FUNC(drm_dp_bw_code_to_link_rate, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_probe, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_set_powered, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_write, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read_link_status, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read_phy_link_status, "", "");
KSYMTAB_FUNC(drm_dp_downstream_is_type, "", "");
KSYMTAB_FUNC(drm_dp_downstream_is_tmds, "", "");
KSYMTAB_FUNC(drm_dp_send_real_edid_checksum, "", "");
KSYMTAB_FUNC(drm_dp_read_dpcd_caps, "", "");
KSYMTAB_FUNC(drm_dp_read_downstream_info, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_dotclock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_min_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_bpc, "", "");
KSYMTAB_FUNC(drm_dp_downstream_420_passthrough, "", "");
KSYMTAB_FUNC(drm_dp_downstream_444_to_420_conversion, "", "");
KSYMTAB_FUNC(drm_dp_downstream_rgb_to_ycbcr_conversion, "", "");
KSYMTAB_FUNC(drm_dp_downstream_mode, "", "");
KSYMTAB_FUNC(drm_dp_downstream_id, "", "");
KSYMTAB_FUNC(drm_dp_downstream_debug, "", "");
KSYMTAB_FUNC(drm_dp_subconnector_type, "", "");
KSYMTAB_FUNC(drm_dp_set_subconnector_property, "", "");
KSYMTAB_FUNC(drm_dp_read_sink_count_cap, "", "");
KSYMTAB_FUNC(drm_dp_read_sink_count, "", "");
KSYMTAB_FUNC(drm_dp_remote_aux_init, "", "");
KSYMTAB_FUNC(drm_dp_aux_init, "", "");
KSYMTAB_FUNC(drm_dp_aux_register, "", "");
KSYMTAB_FUNC(drm_dp_aux_unregister, "", "");
KSYMTAB_FUNC(drm_dp_psr_setup_time, "", "");
KSYMTAB_FUNC(drm_dp_start_crc, "", "");
KSYMTAB_FUNC(drm_dp_stop_crc, "", "");
KSYMTAB_FUNC(drm_dp_read_desc, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_bpp_incr, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_max_slice_count, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_line_buf_depth, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_supported_input_bpcs, "", "");
KSYMTAB_FUNC(drm_dp_read_lttpr_common_caps, "", "");
KSYMTAB_FUNC(drm_dp_read_lttpr_phy_caps, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_count, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_max_link_rate, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_max_lane_count, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_voltage_swing_level_3_supported, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_pre_emphasis_level_3_supported, "", "");
KSYMTAB_FUNC(drm_dp_get_phy_test_pattern, "", "");
KSYMTAB_FUNC(drm_dp_set_phy_test_pattern, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_log, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_supported, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_pack, "", "");
KSYMTAB_FUNC(drm_dp_get_pcon_max_frl_bw, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_prepare, "", "");
KSYMTAB_FUNC(drm_dp_pcon_is_frl_ready, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_configure_1, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_configure_2, "", "");
KSYMTAB_FUNC(drm_dp_pcon_reset_frl_config, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_enable, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_link_active, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_link_mode, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_frl_link_error_count, "", "");
KSYMTAB_FUNC(drm_dp_pcon_enc_is_dsc_1_2, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_max_slices, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_max_slice_width, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_bpp_incr, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_default, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_override_buf, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_override_param, "", "");
KSYMTAB_FUNC(drm_dp_pcon_convert_rgb_to_ycbcr, "", "");
KSYMTAB_FUNC(drm_edp_backlight_set_level, "", "");
KSYMTAB_FUNC(drm_edp_backlight_enable, "", "");
KSYMTAB_FUNC(drm_edp_backlight_disable, "", "");
KSYMTAB_FUNC(drm_edp_backlight_init, "", "");
KSYMTAB_FUNC(drm_dp_bw_overhead, "", "");
KSYMTAB_FUNC(drm_dp_bw_channel_coding_efficiency, "", "");
KSYMTAB_FUNC(drm_dp_max_dprx_data_rate, "", "");
KSYMTAB_FUNC(drm_dp_encode_sideband_req, "", "");
KSYMTAB_FUNC(drm_dp_decode_sideband_req, "", "");
KSYMTAB_FUNC(drm_dp_dump_sideband_msg_req_body, "", "");
KSYMTAB_FUNC(drm_dp_mst_get_port_malloc, "", "");
KSYMTAB_FUNC(drm_dp_mst_put_port_malloc, "", "");
KSYMTAB_FUNC(drm_atomic_get_mst_payload_state, "", "");
KSYMTAB_FUNC(drm_dp_mst_connector_late_register, "", "");
KSYMTAB_FUNC(drm_dp_mst_connector_early_unregister, "", "");
KSYMTAB_FUNC(drm_dp_send_power_updown_phy, "", "");
KSYMTAB_FUNC(drm_dp_send_query_stream_enc_status, "", "");
KSYMTAB_FUNC(drm_dp_add_payload_part1, "", "");
KSYMTAB_FUNC(drm_dp_remove_payload_part1, "", "");
KSYMTAB_FUNC(drm_dp_remove_payload_part2, "", "");
KSYMTAB_FUNC(drm_dp_add_payload_part2, "", "");
KSYMTAB_FUNC(drm_dp_get_vc_payload_bw, "", "");
KSYMTAB_FUNC(drm_dp_read_mst_cap, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_set_mst, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_suspend, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_resume, "", "");
KSYMTAB_FUNC(drm_dp_mst_hpd_irq_handle_event, "", "");
KSYMTAB_FUNC(drm_dp_mst_hpd_irq_send_new_request, "", "");
KSYMTAB_FUNC(drm_dp_mst_detect_port, "", "");
KSYMTAB_FUNC(drm_dp_mst_edid_read, "", "");
KSYMTAB_FUNC(drm_dp_mst_get_edid, "", "");
KSYMTAB_FUNC(drm_dp_atomic_find_time_slots, "", "");
KSYMTAB_FUNC(drm_dp_atomic_release_time_slots, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_setup_commit, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_dp_mst_root_conn_atomic_check, "", "");
KSYMTAB_FUNC(drm_dp_mst_update_slots, "", "");
KSYMTAB_FUNC(drm_dp_check_act_status, "", "");
KSYMTAB_FUNC(drm_dp_calc_pbn_mode, "", "");
KSYMTAB_FUNC(drm_dp_mst_dump_topology, "", "");
KSYMTAB_FUNC(drm_dp_mst_port_downstream_of_parent, "", "");
KSYMTAB_FUNC(drm_dp_mst_add_affected_dsc_crtcs, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_enable_dsc, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_check_mgr, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_check, "", "");
KSYMTAB_DATA(drm_dp_mst_topology_state_funcs, "", "");
KSYMTAB_FUNC(drm_atomic_get_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_init, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_destroy, "", "");
KSYMTAB_FUNC(drm_dp_mst_dsc_aux_for_port, "", "");
KSYMTAB_FUNC(drm_dsc_dp_pps_header_init, "", "");
KSYMTAB_FUNC(drm_dsc_dp_rc_buffer_size, "", "");
KSYMTAB_FUNC(drm_dsc_pps_payload_pack, "", "");
KSYMTAB_FUNC(drm_dsc_set_const_params, "", "");
KSYMTAB_FUNC(drm_dsc_set_rc_buf_thresh, "", "");
KSYMTAB_FUNC(drm_dsc_setup_rc_params, "", "");
KSYMTAB_FUNC(drm_dsc_compute_rc_parameters, "", "");
KSYMTAB_FUNC(drm_dsc_get_bpp_int, "", "");
KSYMTAB_FUNC(drm_dsc_initial_scale_value, "", "");
KSYMTAB_FUNC(drm_dsc_flatness_det_thresh, "", "");
KSYMTAB_FUNC(drm_dp_cec_irq, "", "");
KSYMTAB_FUNC(drm_dp_cec_attach, "", "");
KSYMTAB_FUNC(drm_dp_cec_set_edid, "", "");
KSYMTAB_FUNC(drm_dp_cec_unset_edid, "", "");
KSYMTAB_FUNC(drm_dp_cec_register_connector, "", "");
KSYMTAB_FUNC(drm_dp_cec_unregister_connector, "", "");

SYMBOL_CRC(drm_dp_dual_mode_read, 0x7abb5a8a, "");
SYMBOL_CRC(drm_dp_dual_mode_write, 0x8338121a, "");
SYMBOL_CRC(drm_dp_dual_mode_detect, 0x308d28ec, "");
SYMBOL_CRC(drm_dp_dual_mode_max_tmds_clock, 0x7296b4a9, "");
SYMBOL_CRC(drm_dp_dual_mode_get_tmds_output, 0xde501c7c, "");
SYMBOL_CRC(drm_dp_dual_mode_set_tmds_output, 0x9da0d4ff, "");
SYMBOL_CRC(drm_dp_get_dual_mode_type_name, 0x5407ae9e, "");
SYMBOL_CRC(drm_lspcon_get_mode, 0x85a2bd67, "");
SYMBOL_CRC(drm_lspcon_set_mode, 0xf16f0998, "");
SYMBOL_CRC(drm_dp_channel_eq_ok, 0xedcf81ce, "");
SYMBOL_CRC(drm_dp_clock_recovery_ok, 0x8d701329, "");
SYMBOL_CRC(drm_dp_get_adjust_request_voltage, 0xc5c99a79, "");
SYMBOL_CRC(drm_dp_get_adjust_request_pre_emphasis, 0x582f248e, "");
SYMBOL_CRC(drm_dp_get_adjust_tx_ffe_preset, 0xccf54d5e, "");
SYMBOL_CRC(drm_dp_128b132b_lane_channel_eq_done, 0xc8b6a8ae, "");
SYMBOL_CRC(drm_dp_128b132b_lane_symbol_locked, 0xd5a95eae, "");
SYMBOL_CRC(drm_dp_128b132b_eq_interlane_align_done, 0x6a4df8c5, "");
SYMBOL_CRC(drm_dp_128b132b_cds_interlane_align_done, 0x92b9835e, "");
SYMBOL_CRC(drm_dp_128b132b_link_training_failed, 0x6aacee47, "");
SYMBOL_CRC(drm_dp_read_clock_recovery_delay, 0x738a7b25, "");
SYMBOL_CRC(drm_dp_read_channel_eq_delay, 0x71059b78, "");
SYMBOL_CRC(drm_dp_128b132b_read_aux_rd_interval, 0x589983a5, "");
SYMBOL_CRC(drm_dp_link_train_clock_recovery_delay, 0x03789bd5, "");
SYMBOL_CRC(drm_dp_link_train_channel_eq_delay, 0x82837580, "");
SYMBOL_CRC(drm_dp_phy_name, 0x5a86f411, "");
SYMBOL_CRC(drm_dp_lttpr_link_train_clock_recovery_delay, 0x1709ddcf, "");
SYMBOL_CRC(drm_dp_lttpr_link_train_channel_eq_delay, 0x80a7b1cb, "");
SYMBOL_CRC(drm_dp_link_rate_to_bw_code, 0x26815dbc, "");
SYMBOL_CRC(drm_dp_bw_code_to_link_rate, 0x73011db0, "");
SYMBOL_CRC(drm_dp_dpcd_probe, 0x5f078ca0, "");
SYMBOL_CRC(drm_dp_dpcd_set_powered, 0x65355858, "");
SYMBOL_CRC(drm_dp_dpcd_read, 0x955cb23b, "");
SYMBOL_CRC(drm_dp_dpcd_write, 0xd504def8, "");
SYMBOL_CRC(drm_dp_dpcd_read_link_status, 0x91bc0621, "");
SYMBOL_CRC(drm_dp_dpcd_read_phy_link_status, 0x199b0f6a, "");
SYMBOL_CRC(drm_dp_downstream_is_type, 0xc79ecffb, "");
SYMBOL_CRC(drm_dp_downstream_is_tmds, 0x10beff8d, "");
SYMBOL_CRC(drm_dp_send_real_edid_checksum, 0x783d25c8, "");
SYMBOL_CRC(drm_dp_read_dpcd_caps, 0x200ea752, "");
SYMBOL_CRC(drm_dp_read_downstream_info, 0x6084e39c, "");
SYMBOL_CRC(drm_dp_downstream_max_dotclock, 0x392a838b, "");
SYMBOL_CRC(drm_dp_downstream_max_tmds_clock, 0x58b909f2, "");
SYMBOL_CRC(drm_dp_downstream_min_tmds_clock, 0x4dd8bc97, "");
SYMBOL_CRC(drm_dp_downstream_max_bpc, 0xe53574d3, "");
SYMBOL_CRC(drm_dp_downstream_420_passthrough, 0xf689ad25, "");
SYMBOL_CRC(drm_dp_downstream_444_to_420_conversion, 0x2fa94ef2, "");
SYMBOL_CRC(drm_dp_downstream_rgb_to_ycbcr_conversion, 0xfb1a7a5a, "");
SYMBOL_CRC(drm_dp_downstream_mode, 0x076560be, "");
SYMBOL_CRC(drm_dp_downstream_id, 0xff9f2d8d, "");
SYMBOL_CRC(drm_dp_downstream_debug, 0xfa075004, "");
SYMBOL_CRC(drm_dp_subconnector_type, 0xf68741fb, "");
SYMBOL_CRC(drm_dp_set_subconnector_property, 0x98a03cb7, "");
SYMBOL_CRC(drm_dp_read_sink_count_cap, 0x30c8608c, "");
SYMBOL_CRC(drm_dp_read_sink_count, 0xbf5530f5, "");
SYMBOL_CRC(drm_dp_remote_aux_init, 0xc79dbfee, "");
SYMBOL_CRC(drm_dp_aux_init, 0xd012f1af, "");
SYMBOL_CRC(drm_dp_aux_register, 0x320c4dd3, "");
SYMBOL_CRC(drm_dp_aux_unregister, 0x1cc15d97, "");
SYMBOL_CRC(drm_dp_psr_setup_time, 0xa1fefe6a, "");
SYMBOL_CRC(drm_dp_start_crc, 0xdd50a48e, "");
SYMBOL_CRC(drm_dp_stop_crc, 0xd7244562, "");
SYMBOL_CRC(drm_dp_read_desc, 0x8efe1f05, "");
SYMBOL_CRC(drm_dp_dsc_sink_bpp_incr, 0xf48bbedf, "");
SYMBOL_CRC(drm_dp_dsc_sink_max_slice_count, 0x829b6048, "");
SYMBOL_CRC(drm_dp_dsc_sink_line_buf_depth, 0x56a663e9, "");
SYMBOL_CRC(drm_dp_dsc_sink_supported_input_bpcs, 0xa843606e, "");
SYMBOL_CRC(drm_dp_read_lttpr_common_caps, 0xd40a4370, "");
SYMBOL_CRC(drm_dp_read_lttpr_phy_caps, 0x1408011d, "");
SYMBOL_CRC(drm_dp_lttpr_count, 0xaf267620, "");
SYMBOL_CRC(drm_dp_lttpr_max_link_rate, 0x01c4bba9, "");
SYMBOL_CRC(drm_dp_lttpr_max_lane_count, 0x1605d0ed, "");
SYMBOL_CRC(drm_dp_lttpr_voltage_swing_level_3_supported, 0x1b0a1fdc, "");
SYMBOL_CRC(drm_dp_lttpr_pre_emphasis_level_3_supported, 0x76ff6644, "");
SYMBOL_CRC(drm_dp_get_phy_test_pattern, 0x84e0c629, "");
SYMBOL_CRC(drm_dp_set_phy_test_pattern, 0x9d1764ac, "");
SYMBOL_CRC(drm_dp_vsc_sdp_log, 0xb0846525, "");
SYMBOL_CRC(drm_dp_vsc_sdp_supported, 0xe7e5fbc4, "");
SYMBOL_CRC(drm_dp_vsc_sdp_pack, 0xcabfa7dd, "");
SYMBOL_CRC(drm_dp_get_pcon_max_frl_bw, 0x7053fa72, "");
SYMBOL_CRC(drm_dp_pcon_frl_prepare, 0x396f28c1, "");
SYMBOL_CRC(drm_dp_pcon_is_frl_ready, 0x0d6c019f, "");
SYMBOL_CRC(drm_dp_pcon_frl_configure_1, 0xd426ccb1, "");
SYMBOL_CRC(drm_dp_pcon_frl_configure_2, 0xb5e7dfdb, "");
SYMBOL_CRC(drm_dp_pcon_reset_frl_config, 0x107f110a, "");
SYMBOL_CRC(drm_dp_pcon_frl_enable, 0xaf8b5cbd, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_link_active, 0xb5f7510e, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_link_mode, 0xcebf31dc, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_frl_link_error_count, 0x97bfcd3d, "");
SYMBOL_CRC(drm_dp_pcon_enc_is_dsc_1_2, 0x59f27ed7, "");
SYMBOL_CRC(drm_dp_pcon_dsc_max_slices, 0xe5360b84, "");
SYMBOL_CRC(drm_dp_pcon_dsc_max_slice_width, 0xc020c0c1, "");
SYMBOL_CRC(drm_dp_pcon_dsc_bpp_incr, 0x4603c416, "");
SYMBOL_CRC(drm_dp_pcon_pps_default, 0xb706cc0e, "");
SYMBOL_CRC(drm_dp_pcon_pps_override_buf, 0xac25f8b0, "");
SYMBOL_CRC(drm_dp_pcon_pps_override_param, 0xab318d99, "");
SYMBOL_CRC(drm_dp_pcon_convert_rgb_to_ycbcr, 0xefbb2ff4, "");
SYMBOL_CRC(drm_edp_backlight_set_level, 0x123e43f0, "");
SYMBOL_CRC(drm_edp_backlight_enable, 0xfff25c7e, "");
SYMBOL_CRC(drm_edp_backlight_disable, 0xa6eb0c90, "");
SYMBOL_CRC(drm_edp_backlight_init, 0x1caaec9e, "");
SYMBOL_CRC(drm_dp_bw_overhead, 0x3dc887bf, "");
SYMBOL_CRC(drm_dp_bw_channel_coding_efficiency, 0x0504c682, "");
SYMBOL_CRC(drm_dp_max_dprx_data_rate, 0x0f6b8a63, "");
SYMBOL_CRC(drm_dp_encode_sideband_req, 0x697bac65, "");
SYMBOL_CRC(drm_dp_decode_sideband_req, 0x164b97fe, "");
SYMBOL_CRC(drm_dp_dump_sideband_msg_req_body, 0xdbda6fa2, "");
SYMBOL_CRC(drm_dp_mst_get_port_malloc, 0xd993165c, "");
SYMBOL_CRC(drm_dp_mst_put_port_malloc, 0xd19b1052, "");
SYMBOL_CRC(drm_atomic_get_mst_payload_state, 0x459e3871, "");
SYMBOL_CRC(drm_dp_mst_connector_late_register, 0x3514b056, "");
SYMBOL_CRC(drm_dp_mst_connector_early_unregister, 0x3679a93c, "");
SYMBOL_CRC(drm_dp_send_power_updown_phy, 0xd3fd8f90, "");
SYMBOL_CRC(drm_dp_send_query_stream_enc_status, 0x2f68ac54, "");
SYMBOL_CRC(drm_dp_add_payload_part1, 0xe119b761, "");
SYMBOL_CRC(drm_dp_remove_payload_part1, 0xe1a7742e, "");
SYMBOL_CRC(drm_dp_remove_payload_part2, 0x5c7392b5, "");
SYMBOL_CRC(drm_dp_add_payload_part2, 0x6c09dea7, "");
SYMBOL_CRC(drm_dp_get_vc_payload_bw, 0xa5710757, "");
SYMBOL_CRC(drm_dp_read_mst_cap, 0x1f33953e, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_set_mst, 0xd4792a81, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_suspend, 0xe3d54112, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_resume, 0xc23795dc, "");
SYMBOL_CRC(drm_dp_mst_hpd_irq_handle_event, 0xdbd46a2a, "");
SYMBOL_CRC(drm_dp_mst_hpd_irq_send_new_request, 0xfc9eb186, "");
SYMBOL_CRC(drm_dp_mst_detect_port, 0xf80ce481, "");
SYMBOL_CRC(drm_dp_mst_edid_read, 0xdbdcdd74, "");
SYMBOL_CRC(drm_dp_mst_get_edid, 0xba8f2725, "");
SYMBOL_CRC(drm_dp_atomic_find_time_slots, 0x12e16dbf, "");
SYMBOL_CRC(drm_dp_atomic_release_time_slots, 0x46a3d6a5, "");
SYMBOL_CRC(drm_dp_mst_atomic_setup_commit, 0xa84139c4, "");
SYMBOL_CRC(drm_dp_mst_atomic_wait_for_dependencies, 0x32b2f3f0, "");
SYMBOL_CRC(drm_dp_mst_root_conn_atomic_check, 0x5b03cda5, "");
SYMBOL_CRC(drm_dp_mst_update_slots, 0xed82694d, "");
SYMBOL_CRC(drm_dp_check_act_status, 0x47c550d0, "");
SYMBOL_CRC(drm_dp_calc_pbn_mode, 0xa47826e4, "");
SYMBOL_CRC(drm_dp_mst_dump_topology, 0x95999ff1, "");
SYMBOL_CRC(drm_dp_mst_port_downstream_of_parent, 0x62a86fb0, "");
SYMBOL_CRC(drm_dp_mst_add_affected_dsc_crtcs, 0x0e0664cf, "");
SYMBOL_CRC(drm_dp_mst_atomic_enable_dsc, 0xf358712c, "");
SYMBOL_CRC(drm_dp_mst_atomic_check_mgr, 0x0687cd1c, "");
SYMBOL_CRC(drm_dp_mst_atomic_check, 0x681f0c27, "");
SYMBOL_CRC(drm_dp_mst_topology_state_funcs, 0x92c364e0, "");
SYMBOL_CRC(drm_atomic_get_mst_topology_state, 0x4a314439, "");
SYMBOL_CRC(drm_atomic_get_old_mst_topology_state, 0x05bf0972, "");
SYMBOL_CRC(drm_atomic_get_new_mst_topology_state, 0xf99bd02b, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_init, 0x2a7de15b, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_destroy, 0xeaff8ea7, "");
SYMBOL_CRC(drm_dp_mst_dsc_aux_for_port, 0x7bf58144, "");
SYMBOL_CRC(drm_dsc_dp_pps_header_init, 0x648d953b, "");
SYMBOL_CRC(drm_dsc_dp_rc_buffer_size, 0x1a5bf3ca, "");
SYMBOL_CRC(drm_dsc_pps_payload_pack, 0x58d8fcaa, "");
SYMBOL_CRC(drm_dsc_set_const_params, 0x627ba04b, "");
SYMBOL_CRC(drm_dsc_set_rc_buf_thresh, 0x24ada755, "");
SYMBOL_CRC(drm_dsc_setup_rc_params, 0x79008c7e, "");
SYMBOL_CRC(drm_dsc_compute_rc_parameters, 0xfe12bcb9, "");
SYMBOL_CRC(drm_dsc_get_bpp_int, 0xd0e95456, "");
SYMBOL_CRC(drm_dsc_initial_scale_value, 0x95883bb4, "");
SYMBOL_CRC(drm_dsc_flatness_det_thresh, 0xe2468a48, "");
SYMBOL_CRC(drm_dp_cec_irq, 0xf353ff26, "");
SYMBOL_CRC(drm_dp_cec_attach, 0xc070b26e, "");
SYMBOL_CRC(drm_dp_cec_set_edid, 0x8ff6251e, "");
SYMBOL_CRC(drm_dp_cec_unset_edid, 0xaf3c40cb, "");
SYMBOL_CRC(drm_dp_cec_register_connector, 0xa4379641, "");
SYMBOL_CRC(drm_dp_cec_unregister_connector, 0xa31e7920, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa9b95c41, "drm_crtc_add_crc_entry" },
	{ 0xc03aebef, "cec_delete_adapter" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x91f7301c, "_copy_to_iter" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x3761d215, "idr_find" },
	{ 0x8faea6e9, "drm_connector_register" },
	{ 0x4e4ee6b4, "cec_transmit_attempt_done_ts" },
	{ 0x6764fd96, "param_ops_uint" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x26b55227, "drm_atomic_get_private_obj_state" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1ab5d60a, "__drm_printfn_dbg" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xf91e6037, "drm_atomic_private_obj_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x95431406, "class_destroy" },
	{ 0x4fdccd85, "cec_s_phys_addr" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0xab711148, "cec_s_conn_info" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x57e6f878, "drm_edid_duplicate" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xef8208ad, "drm_connector_unregister" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x52704773, "drm_mode_object_put" },
	{ 0x9dd251ac, "dev_driver_string" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x69353664, "__drm_debug" },
	{ 0x926c3e7, "__drm_atomic_helper_private_obj_duplicate_state" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xe869f60b, "drm_atomic_private_obj_fini" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xe5a56ecd, "idr_get_next" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0xef2b9e59, "drm_dev_printk" },
	{ 0xaa3fb65e, "i2c_del_adapter" },
	{ 0xead58fb9, "print_hex_dump" },
	{ 0x45f17fb6, "__var_waitqueue" },
	{ 0x94d5038d, "drm_atomic_get_crtc_state" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x91609d2e, "drm_crtc_wait_one_vblank" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0x2c2817d2, "drm_modeset_lock" },
	{ 0x95d7268b, "drm_modeset_unlock" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x15471fb, "_dev_err" },
	{ 0x6f5ef93d, "memchr_inv" },
	{ 0x8c47afca, "idr_alloc" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0xce2dca96, "device_create" },
	{ 0x7e567c90, "class_create" },
	{ 0x9ffe808, "drm_modeset_lock_single_interruptible" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xd37e823b, "fixed_size_llseek" },
	{ 0x53c24b01, "mutex_is_locked" },
	{ 0x91537a57, "drm_crtc_commit_wait" },
	{ 0x515e616b, "drm_atomic_get_new_private_obj_state" },
	{ 0xb212dc3e, "drm_edid_dup" },
	{ 0x51a62580, "cec_unregister_adapter" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xd02f237c, "drm_atomic_get_old_private_obj_state" },
	{ 0x7e86bece, "__drm_dev_dbg" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xbe4de675, "cec_get_edid_phys_addr" },
	{ 0x6d1ea6ec, "strlcat" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0x5f3e2dd3, "drm_edid_raw" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0x88e7676, "i2c_add_adapter" },
	{ 0xe798236d, "jiffies" },
	{ 0x9a93897b, "cec_allocate_adapter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x62461ae, "drm_object_property_set_value" },
	{ 0xd2d42a9f, "drm_printf" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xfb899cf9, "drm_kms_helper_hotplug_event" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x161d5af6, "__register_chrdev" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x547a813c, "device_destroy" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x656eb398, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x9fbcda61, "_copy_from_iter" },
	{ 0x8540a29c, "i2c_transfer" },
	{ 0x1366e149, "drm_display_mode_from_cea_vic" },
	{ 0x2278711c, "seq_puts" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x730d3b48, "cec_fill_conn_info_from_drm" },
	{ 0xfcf21865, "kmalloc_trace" },
	{ 0x89d6d20, "cec_received_msg_ts" },
	{ 0x7576bb09, "param_ops_int" },
	{ 0x1a175e67, "iov_iter_revert" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x641ec9e2, "kmalloc_caches" },
	{ 0x3c98aaab, "drm_atomic_get_connector_state" },
	{ 0x8618e5a, "drm_edid_get_monitor_name" },
	{ 0x7a5482cd, "drm_edid_read_ddc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x75d5553e, "cec_register_adapter" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x647c164d, "module_layout" },
};

MODULE_INFO(depends, "drm,cec,drm_kms_helper,i2c-core");


MODULE_INFO(srcversion, "6725E5D13D7B37C0CFE5B62");
MODULE_INFO(rhelversion, "9.6");
