#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mlx5_core_uplink_netdev_event_replay, "", "");
KSYMTAB_FUNC(mlx5_core_mp_event_replay, "", "");
KSYMTAB_FUNC(mlx5_is_roce_on, "", "");
KSYMTAB_FUNC(mlx5_vf_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_vf_put_core_dev, "", "");
KSYMTAB_FUNC(mlx5_cmd_out_err, "", "");
KSYMTAB_FUNC(mlx5_cmd_check, "", "");
KSYMTAB_FUNC(mlx5_cmd_do, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_polling, "", "");
KSYMTAB_FUNC(mlx5_cmd_init_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_cleanup_async_ctx, "", "");
KSYMTAB_FUNC(mlx5_cmd_exec_cb, "", "");
KSYMTAB_DATA(mlx5_debugfs_root, "", "");
KSYMTAB_FUNC(mlx5_debugfs_get_dev_root, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_init, "", "");
KSYMTAB_FUNC(mlx5_qp_debugfs_cleanup, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_add, "", "");
KSYMTAB_FUNC(mlx5_debug_qp_remove, "", "");
KSYMTAB_FUNC(mlx5_core_query_vendor_id, "", "");
KSYMTAB_FUNC(mlx5_eq_enable, "", "");
KSYMTAB_FUNC(mlx5_eq_disable, "", "");
KSYMTAB_FUNC(mlx5_eq_create_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_destroy_generic, "", "");
KSYMTAB_FUNC(mlx5_eq_get_eqe, "", "");
KSYMTAB_FUNC(mlx5_eq_update_ci, "", "");
KSYMTAB_FUNC(mlx5_comp_eqn_get, "", "");
KSYMTAB_FUNC(mlx5_comp_vectors_max, "", "");
KSYMTAB_FUNC(mlx5_comp_vector_get_cpu, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_eq_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_get_uars_page, "", "");
KSYMTAB_FUNC(mlx5_put_uars_page, "", "");
KSYMTAB_FUNC(mlx5_alloc_bfreg, "", "");
KSYMTAB_FUNC(mlx5_free_bfreg, "", "");
KSYMTAB_FUNC(mlx5_core_attach_mcg, "", "");
KSYMTAB_FUNC(mlx5_core_detach_mcg, "", "");
KSYMTAB_FUNC(mlx5_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_create_cq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_cq, "", "");
KSYMTAB_FUNC(mlx5_core_query_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_cq_moderation, "", "");
KSYMTAB_FUNC(mlx5_frag_buf_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_frag_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_alloc_node, "_gpl", "");
KSYMTAB_FUNC(mlx5_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array_perm, "_gpl", "");
KSYMTAB_FUNC(mlx5_fill_page_frag_array, "_gpl", "");
KSYMTAB_FUNC(mlx5_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_access_reg, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_caps, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ptys, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_ib_port_oper, "", "");
KSYMTAB_FUNC(mlx5_toggle_port_link, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_admin_status, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_max_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_oper_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_module_eeprom_by_page, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_vl_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pause, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_pfc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_prio_tc, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_group, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_tc_bw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_ets_rate_limit, "_gpl", "");
KSYMTAB_FUNC(mlx5_set_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_port_wol, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_query_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_create_psv, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_psv, "", "");
KSYMTAB_FUNC(mlx5_core_get_terminate_scatter_list_mkey, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_pd, "", "");
KSYMTAB_FUNC(mlx5_core_alloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_dealloc_transport_domain, "", "");
KSYMTAB_FUNC(mlx5_core_create_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_rq, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rq, "", "");
KSYMTAB_FUNC(mlx5_core_query_rq, "", "");
KSYMTAB_FUNC(mlx5_core_modify_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq, "", "");
KSYMTAB_FUNC(mlx5_core_query_sq_state, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_create_tir, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tir, "", "");
KSYMTAB_FUNC(mlx5_core_create_tis, "", "");
KSYMTAB_FUNC(mlx5_core_modify_tis, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_tis, "", "");
KSYMTAB_FUNC(mlx5_core_create_rqt, "", "");
KSYMTAB_FUNC(mlx5_core_destroy_rqt, "", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_min_inline, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_address, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mtu, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_mac_list, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_vlans, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_qkey_viol_cntr, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_gid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_pkey, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_hca_vport_node_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_modify_nic_vport_promisc, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_update_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_query_local_lb, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_enable_roce, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_disable_roce, "", "");
KSYMTAB_FUNC(mlx5_core_query_vport_counter, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_modify_hca_vport_context, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_affiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_nic_vport_unaffiliate_multiport, "_gpl", "");
KSYMTAB_FUNC(mlx5_query_nic_system_image_guid, "_gpl", "");
KSYMTAB_FUNC(mlx5_vport_get_other_func_cap, "_gpl", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_sriov_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_create_flow_table, "", "");
KSYMTAB_FUNC(mlx5_flow_table_id, "", "");
KSYMTAB_FUNC(mlx5_create_lag_demux_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_auto_grouped_flow_table, "", "");
KSYMTAB_FUNC(mlx5_create_flow_group, "", "");
KSYMTAB_FUNC(mlx5_add_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_del_flow_rules, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_table, "", "");
KSYMTAB_FUNC(mlx5_destroy_flow_group, "", "");
KSYMTAB_FUNC(mlx5_get_fdb_sub_ns, "", "");
KSYMTAB_FUNC(mlx5_get_flow_namespace, "", "");
KSYMTAB_FUNC(mlx5_fs_add_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_fs_remove_rx_underlay_qpn, "", "");
KSYMTAB_FUNC(mlx5_modify_header_alloc, "", "");
KSYMTAB_FUNC(mlx5_modify_header_dealloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_alloc, "", "");
KSYMTAB_FUNC(mlx5_packet_reformat_dealloc, "", "");
KSYMTAB_FUNC(mlx5_msix_alloc, "", "");
KSYMTAB_FUNC(mlx5_msix_free, "", "");
KSYMTAB_FUNC(mlx5_fc_create, "", "");
KSYMTAB_FUNC(mlx5_fc_id, "", "");
KSYMTAB_FUNC(mlx5_fc_destroy, "", "");
KSYMTAB_FUNC(mlx5_fc_query, "", "");
KSYMTAB_FUNC(mlx5_rl_is_in_range, "", "");
KSYMTAB_FUNC(mlx5_rl_are_equal, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate_raw, "", "");
KSYMTAB_FUNC(mlx5_rl_add_rate, "", "");
KSYMTAB_FUNC(mlx5_rl_remove_rate, "", "");
KSYMTAB_FUNC(mlx5_cmd_create_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_cmd_destroy_vport_lag, "", "");
KSYMTAB_FUNC(mlx5_lag_is_roce, "", "");
KSYMTAB_FUNC(mlx5_lag_is_active, "", "");
KSYMTAB_FUNC(mlx5_lag_mode_is_hash, "", "");
KSYMTAB_FUNC(mlx5_lag_is_master, "", "");
KSYMTAB_FUNC(mlx5_lag_is_sriov, "", "");
KSYMTAB_FUNC(mlx5_lag_is_shared_fdb, "", "");
KSYMTAB_FUNC(mlx5_lag_get_roce_netdev, "", "");
KSYMTAB_FUNC(mlx5_lag_get_slave_port, "", "");
KSYMTAB_FUNC(mlx5_lag_get_num_ports, "", "");
KSYMTAB_FUNC(mlx5_lag_get_next_peer_mdev, "", "");
KSYMTAB_FUNC(mlx5_lag_query_cong_counters, "", "");
KSYMTAB_FUNC(mlx5_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_register, "", "");
KSYMTAB_FUNC(mlx5_blocking_notifier_unregister, "", "");
KSYMTAB_FUNC(mlx5_core_reserved_gids_count, "_gpl", "");
KSYMTAB_FUNC(mlx5_core_roce_gid_set, "", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx5_dm_sw_icm_dealloc, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_ft, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_ft, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fg, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fg, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_set_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_set_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_fte, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_fte, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_add_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_add_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fs_del_rule, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fs_del_rule, "", "");
KSYMTAB_DATA(__tracepoint_mlx5_fw, "", "");
KSYMTAB_FUNC(__traceiter_mlx5_fw, "", "");
KSYMTAB_DATA(__SCK__tp_func_mlx5_fw, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_create, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_cmd_destroy, "", "");
KSYMTAB_FUNC(mlx5_rsc_dump_next, "", "");
KSYMTAB_FUNC(mlx5_lag_is_mpesw, "", "");
KSYMTAB_FUNC(mlx5_eswitch_mode, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_encap_mode, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_total_vports, "_gpl", "");
KSYMTAB_FUNC(mlx5_eswitch_get_core_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_add_send_to_vport_rule, "", "");
KSYMTAB_FUNC(mlx5_eswitch_register_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_unregister_vport_reps, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_uplink_get_proto_dev, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_rep, "", "");
KSYMTAB_FUNC(mlx5_eswitch_reg_c1_loopback_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_vport_match_metadata_enabled, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_match, "", "");
KSYMTAB_FUNC(mlx5_eswitch_get_vport_metadata_for_set, "", "");
KSYMTAB_FUNC(mlx5_mpfs_add_mac, "", "");
KSYMTAB_FUNC(mlx5_mpfs_del_mac, "", "");
KSYMTAB_FUNC(mlx5_rdma_rn_get_params, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_create, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_destroy, "", "");
KSYMTAB_FUNC(mlx5_fpga_sbu_conn_sendmsg, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_read, "", "");
KSYMTAB_FUNC(mlx5_fpga_mem_write, "", "");
KSYMTAB_FUNC(mlx5_fpga_get_sbu_caps, "", "");
KSYMTAB_FUNC(mlx5_macsec_del_roce_rule, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_add_roce_rule, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_add_roce_sa_rules, "_gpl", "");
KSYMTAB_FUNC(mlx5_macsec_del_roce_sa_rules, "_gpl", "");
KSYMTAB_FUNC(mlx5_ipsec_device_caps, "_gpl", "");

SYMBOL_CRC(mlx5_core_uplink_netdev_event_replay, 0x76d509e3, "");
SYMBOL_CRC(mlx5_core_mp_event_replay, 0x5fa26bf6, "");
SYMBOL_CRC(mlx5_is_roce_on, 0xa274b06f, "");
SYMBOL_CRC(mlx5_vf_get_core_dev, 0x58d5ff8c, "");
SYMBOL_CRC(mlx5_vf_put_core_dev, 0x3afca99a, "");
SYMBOL_CRC(mlx5_cmd_out_err, 0x6b3bd8b4, "");
SYMBOL_CRC(mlx5_cmd_check, 0x04a3fbe6, "");
SYMBOL_CRC(mlx5_cmd_do, 0x8415c214, "");
SYMBOL_CRC(mlx5_cmd_exec, 0xbf7acd19, "");
SYMBOL_CRC(mlx5_cmd_exec_polling, 0x3023c1fd, "");
SYMBOL_CRC(mlx5_cmd_init_async_ctx, 0xebac3e88, "");
SYMBOL_CRC(mlx5_cmd_cleanup_async_ctx, 0x53c0c86b, "");
SYMBOL_CRC(mlx5_cmd_exec_cb, 0xfbacb4ab, "");
SYMBOL_CRC(mlx5_debugfs_root, 0xf92b95f0, "");
SYMBOL_CRC(mlx5_debugfs_get_dev_root, 0xb2e08ba3, "");
SYMBOL_CRC(mlx5_qp_debugfs_init, 0xdd82059f, "");
SYMBOL_CRC(mlx5_qp_debugfs_cleanup, 0x14796f0e, "");
SYMBOL_CRC(mlx5_debug_qp_add, 0x94879a33, "");
SYMBOL_CRC(mlx5_debug_qp_remove, 0x35781aed, "");
SYMBOL_CRC(mlx5_core_query_vendor_id, 0x9a5a0cce, "");
SYMBOL_CRC(mlx5_eq_enable, 0x28781a5c, "");
SYMBOL_CRC(mlx5_eq_disable, 0x4a717f27, "");
SYMBOL_CRC(mlx5_eq_create_generic, 0x0c761255, "");
SYMBOL_CRC(mlx5_eq_destroy_generic, 0x06392730, "");
SYMBOL_CRC(mlx5_eq_get_eqe, 0xcec78b0b, "");
SYMBOL_CRC(mlx5_eq_update_ci, 0xd16e9b09, "");
SYMBOL_CRC(mlx5_comp_eqn_get, 0x49693327, "");
SYMBOL_CRC(mlx5_comp_vectors_max, 0x0b2e48f6, "");
SYMBOL_CRC(mlx5_comp_vector_get_cpu, 0xdb1a281a, "");
SYMBOL_CRC(mlx5_eq_notifier_register, 0x56bce475, "");
SYMBOL_CRC(mlx5_eq_notifier_unregister, 0xf83453c0, "");
SYMBOL_CRC(mlx5_get_uars_page, 0xadd12982, "");
SYMBOL_CRC(mlx5_put_uars_page, 0x7ed1091f, "");
SYMBOL_CRC(mlx5_alloc_bfreg, 0xfc7ada15, "");
SYMBOL_CRC(mlx5_free_bfreg, 0x25e6d281, "");
SYMBOL_CRC(mlx5_core_attach_mcg, 0x83ae3516, "");
SYMBOL_CRC(mlx5_core_detach_mcg, 0x08779bf2, "");
SYMBOL_CRC(mlx5_create_cq, 0x075caa72, "");
SYMBOL_CRC(mlx5_core_create_cq, 0x5f802295, "");
SYMBOL_CRC(mlx5_core_destroy_cq, 0x10d71f56, "");
SYMBOL_CRC(mlx5_core_query_cq, 0xa093ffeb, "");
SYMBOL_CRC(mlx5_core_modify_cq, 0x54deecd6, "");
SYMBOL_CRC(mlx5_core_modify_cq_moderation, 0x8a6fa233, "");
SYMBOL_CRC(mlx5_frag_buf_alloc_node, 0x7b2535fe, "_gpl");
SYMBOL_CRC(mlx5_frag_buf_free, 0xf30fda74, "_gpl");
SYMBOL_CRC(mlx5_db_alloc_node, 0x479ab016, "_gpl");
SYMBOL_CRC(mlx5_db_free, 0xfa50ca65, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array_perm, 0x81aadc6a, "_gpl");
SYMBOL_CRC(mlx5_fill_page_frag_array, 0x072460c4, "_gpl");
SYMBOL_CRC(mlx5_access_reg, 0xd33a1907, "_gpl");
SYMBOL_CRC(mlx5_core_access_reg, 0x2391350e, "_gpl");
SYMBOL_CRC(mlx5_set_port_caps, 0x243a7976, "_gpl");
SYMBOL_CRC(mlx5_query_port_ptys, 0x985260b3, "_gpl");
SYMBOL_CRC(mlx5_query_ib_port_oper, 0x84ff071f, "");
SYMBOL_CRC(mlx5_toggle_port_link, 0x7dfde82b, "_gpl");
SYMBOL_CRC(mlx5_set_port_admin_status, 0x07f858fb, "_gpl");
SYMBOL_CRC(mlx5_query_port_admin_status, 0x95d79ad8, "_gpl");
SYMBOL_CRC(mlx5_set_port_mtu, 0xe51ef5f9, "_gpl");
SYMBOL_CRC(mlx5_query_port_max_mtu, 0xf93f1706, "_gpl");
SYMBOL_CRC(mlx5_query_port_oper_mtu, 0x95ee64e1, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom, 0xe3ff4e41, "_gpl");
SYMBOL_CRC(mlx5_query_module_eeprom_by_page, 0x7972d6a3, "_gpl");
SYMBOL_CRC(mlx5_query_port_vl_hw_cap, 0x2437e0de, "_gpl");
SYMBOL_CRC(mlx5_set_port_pause, 0xa2bc1127, "_gpl");
SYMBOL_CRC(mlx5_query_port_pause, 0x5841f940, "_gpl");
SYMBOL_CRC(mlx5_set_port_pfc, 0xd6c7320d, "_gpl");
SYMBOL_CRC(mlx5_query_port_pfc, 0x772b715a, "_gpl");
SYMBOL_CRC(mlx5_set_port_prio_tc, 0x3705fceb, "_gpl");
SYMBOL_CRC(mlx5_query_port_prio_tc, 0xfd0d19db, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_group, 0x04996ae7, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_group, 0xeff2c3ba, "_gpl");
SYMBOL_CRC(mlx5_set_port_tc_bw_alloc, 0x10d45649, "_gpl");
SYMBOL_CRC(mlx5_query_port_tc_bw_alloc, 0xa6298505, "_gpl");
SYMBOL_CRC(mlx5_modify_port_ets_rate_limit, 0xc2ca6c2f, "_gpl");
SYMBOL_CRC(mlx5_query_port_ets_rate_limit, 0x77c0710e, "_gpl");
SYMBOL_CRC(mlx5_set_port_wol, 0x76574c92, "_gpl");
SYMBOL_CRC(mlx5_query_port_wol, 0xed0fb6d9, "_gpl");
SYMBOL_CRC(mlx5_core_create_mkey, 0x2ad475b7, "");
SYMBOL_CRC(mlx5_core_destroy_mkey, 0x2c262d70, "");
SYMBOL_CRC(mlx5_core_query_mkey, 0xcffea73f, "");
SYMBOL_CRC(mlx5_core_create_psv, 0x80c6f8dc, "");
SYMBOL_CRC(mlx5_core_destroy_psv, 0xb955e05a, "");
SYMBOL_CRC(mlx5_core_get_terminate_scatter_list_mkey, 0x5c1c2935, "");
SYMBOL_CRC(mlx5_core_alloc_pd, 0x11532bcd, "");
SYMBOL_CRC(mlx5_core_dealloc_pd, 0x2dd9df2f, "");
SYMBOL_CRC(mlx5_core_alloc_transport_domain, 0x15643a3e, "");
SYMBOL_CRC(mlx5_core_dealloc_transport_domain, 0x5ff9acb5, "");
SYMBOL_CRC(mlx5_core_create_rq, 0x32c19a83, "");
SYMBOL_CRC(mlx5_core_modify_rq, 0xe62717fd, "");
SYMBOL_CRC(mlx5_core_destroy_rq, 0x327ec7ac, "");
SYMBOL_CRC(mlx5_core_query_rq, 0xb588b8e0, "");
SYMBOL_CRC(mlx5_core_modify_sq, 0x50c29495, "");
SYMBOL_CRC(mlx5_core_query_sq, 0x036d3b88, "");
SYMBOL_CRC(mlx5_core_query_sq_state, 0x3b5aa0a1, "_gpl");
SYMBOL_CRC(mlx5_core_create_tir, 0xeb89a2fc, "");
SYMBOL_CRC(mlx5_core_destroy_tir, 0xb35fe943, "");
SYMBOL_CRC(mlx5_core_create_tis, 0xa856ae15, "");
SYMBOL_CRC(mlx5_core_modify_tis, 0xe74fdef0, "");
SYMBOL_CRC(mlx5_core_destroy_tis, 0x6acbdbd9, "");
SYMBOL_CRC(mlx5_core_create_rqt, 0x50dad659, "");
SYMBOL_CRC(mlx5_core_destroy_rqt, 0x0081a604, "");
SYMBOL_CRC(mlx5_query_nic_vport_min_inline, 0x3c15f8ae, "_gpl");
SYMBOL_CRC(mlx5_query_min_inline, 0x5b7d5311, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_address, 0x9fe3ee76, "_gpl");
SYMBOL_CRC(mlx5_query_mac_address, 0x6540d603, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_address, 0x0fdd9a8f, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mtu, 0x2a9d515e, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mtu, 0xb508e5a3, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_mac_list, 0x356a4c81, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_mac_list, 0xfec3597d, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_vlans, 0xcef81dd3, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_system_image_guid, 0x699d470f, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_node_guid, 0x660d1047, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_qkey_viol_cntr, 0x2ea125b9, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_gid, 0xd4c26659, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_pkey, 0x0a4cb482, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_context, 0xa4ad1d86, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_system_image_guid, 0xe7c8ca78, "_gpl");
SYMBOL_CRC(mlx5_query_hca_vport_node_guid, 0xd6c8738e, "_gpl");
SYMBOL_CRC(mlx5_query_nic_vport_promisc, 0xc1d3c8a3, "_gpl");
SYMBOL_CRC(mlx5_modify_nic_vport_promisc, 0x7a70174f, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_update_local_lb, 0x74d49d0f, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_query_local_lb, 0xfa8f9331, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_enable_roce, 0x45d00782, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_disable_roce, 0x4f5ccbe5, "");
SYMBOL_CRC(mlx5_core_query_vport_counter, 0x7a8f5438, "_gpl");
SYMBOL_CRC(mlx5_core_modify_hca_vport_context, 0x630b903b, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_affiliate_multiport, 0x216060d9, "_gpl");
SYMBOL_CRC(mlx5_nic_vport_unaffiliate_multiport, 0xaeb632e0, "_gpl");
SYMBOL_CRC(mlx5_query_nic_system_image_guid, 0xa514ce12, "_gpl");
SYMBOL_CRC(mlx5_vport_get_other_func_cap, 0x8db41a45, "_gpl");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_unregister, 0x5beee69c, "");
SYMBOL_CRC(mlx5_sriov_blocking_notifier_register, 0x3c0f0b3d, "");
SYMBOL_CRC(mlx5_create_flow_table, 0x43764d59, "");
SYMBOL_CRC(mlx5_flow_table_id, 0xc8737e65, "");
SYMBOL_CRC(mlx5_create_lag_demux_flow_table, 0xc29afe01, "");
SYMBOL_CRC(mlx5_create_auto_grouped_flow_table, 0x7cb452c2, "");
SYMBOL_CRC(mlx5_create_flow_group, 0x7deb6ac6, "");
SYMBOL_CRC(mlx5_add_flow_rules, 0xc7dd4f49, "");
SYMBOL_CRC(mlx5_del_flow_rules, 0x8b8879e3, "");
SYMBOL_CRC(mlx5_destroy_flow_table, 0x51371a99, "");
SYMBOL_CRC(mlx5_destroy_flow_group, 0x04641715, "");
SYMBOL_CRC(mlx5_get_fdb_sub_ns, 0x08e59542, "");
SYMBOL_CRC(mlx5_get_flow_namespace, 0xc49739a5, "");
SYMBOL_CRC(mlx5_fs_add_rx_underlay_qpn, 0xb17f7851, "");
SYMBOL_CRC(mlx5_fs_remove_rx_underlay_qpn, 0x3efce7bb, "");
SYMBOL_CRC(mlx5_modify_header_alloc, 0xe5ea475d, "");
SYMBOL_CRC(mlx5_modify_header_dealloc, 0xa7231882, "");
SYMBOL_CRC(mlx5_packet_reformat_alloc, 0x72a5e178, "");
SYMBOL_CRC(mlx5_packet_reformat_dealloc, 0x726b49c5, "");
SYMBOL_CRC(mlx5_msix_alloc, 0xe8935338, "");
SYMBOL_CRC(mlx5_msix_free, 0x2a7f4144, "");
SYMBOL_CRC(mlx5_fc_create, 0xf5c4ad4b, "");
SYMBOL_CRC(mlx5_fc_id, 0x96eb2c99, "");
SYMBOL_CRC(mlx5_fc_destroy, 0xc7a60b9e, "");
SYMBOL_CRC(mlx5_fc_query, 0x9533c513, "");
SYMBOL_CRC(mlx5_rl_is_in_range, 0x8cadbc3e, "");
SYMBOL_CRC(mlx5_rl_are_equal, 0x61492bb7, "");
SYMBOL_CRC(mlx5_rl_add_rate_raw, 0xcba72329, "");
SYMBOL_CRC(mlx5_rl_remove_rate_raw, 0xf4868877, "");
SYMBOL_CRC(mlx5_rl_add_rate, 0xfdd5a18e, "");
SYMBOL_CRC(mlx5_rl_remove_rate, 0x9e32a91a, "");
SYMBOL_CRC(mlx5_cmd_create_vport_lag, 0x93baef02, "");
SYMBOL_CRC(mlx5_cmd_destroy_vport_lag, 0x715223f0, "");
SYMBOL_CRC(mlx5_lag_is_roce, 0x100aacf2, "");
SYMBOL_CRC(mlx5_lag_is_active, 0x53fb63df, "");
SYMBOL_CRC(mlx5_lag_mode_is_hash, 0x960d8797, "");
SYMBOL_CRC(mlx5_lag_is_master, 0xf229cf8f, "");
SYMBOL_CRC(mlx5_lag_is_sriov, 0x6327ec6e, "");
SYMBOL_CRC(mlx5_lag_is_shared_fdb, 0xd4da5e4e, "");
SYMBOL_CRC(mlx5_lag_get_roce_netdev, 0xa7041179, "");
SYMBOL_CRC(mlx5_lag_get_slave_port, 0xc3b7ac48, "");
SYMBOL_CRC(mlx5_lag_get_num_ports, 0x6ac4d1e3, "");
SYMBOL_CRC(mlx5_lag_get_next_peer_mdev, 0x90078f04, "");
SYMBOL_CRC(mlx5_lag_query_cong_counters, 0xb6cdb3f6, "");
SYMBOL_CRC(mlx5_notifier_register, 0xfc8f8d6c, "");
SYMBOL_CRC(mlx5_notifier_unregister, 0x22e6da9a, "");
SYMBOL_CRC(mlx5_blocking_notifier_register, 0xcab5eb05, "");
SYMBOL_CRC(mlx5_blocking_notifier_unregister, 0x3208f823, "");
SYMBOL_CRC(mlx5_core_reserved_gids_count, 0x33333b60, "_gpl");
SYMBOL_CRC(mlx5_core_roce_gid_set, 0x07293c69, "");
SYMBOL_CRC(mlx5_dm_sw_icm_alloc, 0xa1588b20, "_gpl");
SYMBOL_CRC(mlx5_dm_sw_icm_dealloc, 0xc5891866, "_gpl");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_ft, 0x1e38486c, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_ft, 0x63f5a6fa, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_ft, 0x3475821f, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_ft, 0xb72cffaf, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_ft, 0xb5ec5a13, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_ft, 0x9d6135dc, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_fg, 0x7fd709fe, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_fg, 0xaf335351, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_fg, 0x559ac38d, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fg, 0xd6c3be3d, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fg, 0x7bbc902c, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fg, 0xfc8e744e, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_set_fte, 0xbb475e47, "");
SYMBOL_CRC(__traceiter_mlx5_fs_set_fte, 0xdbcb582b, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_set_fte, 0x7261330b, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_fte, 0x22bce683, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_fte, 0x0eb8ed03, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_fte, 0xeb9a8bcf, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_add_rule, 0x872e7c67, "");
SYMBOL_CRC(__traceiter_mlx5_fs_add_rule, 0x45d0a6f4, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_add_rule, 0xf88d57b1, "");
SYMBOL_CRC(__tracepoint_mlx5_fs_del_rule, 0x32fc77d1, "");
SYMBOL_CRC(__traceiter_mlx5_fs_del_rule, 0x33eb29aa, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fs_del_rule, 0x4d5f5c07, "");
SYMBOL_CRC(__tracepoint_mlx5_fw, 0xe4e09c2b, "");
SYMBOL_CRC(__traceiter_mlx5_fw, 0x51d99300, "");
SYMBOL_CRC(__SCK__tp_func_mlx5_fw, 0x7b359a09, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_create, 0xc02a430a, "");
SYMBOL_CRC(mlx5_rsc_dump_cmd_destroy, 0xad6815cd, "");
SYMBOL_CRC(mlx5_rsc_dump_next, 0x9d2fa289, "");
SYMBOL_CRC(mlx5_lag_is_mpesw, 0x9eab856d, "");
SYMBOL_CRC(mlx5_eswitch_mode, 0xa44757b2, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_encap_mode, 0x8ada96fc, "");
SYMBOL_CRC(mlx5_eswitch_get_total_vports, 0xda50ded7, "_gpl");
SYMBOL_CRC(mlx5_eswitch_get_core_dev, 0x5d3a8254, "");
SYMBOL_CRC(mlx5_eswitch_add_send_to_vport_rule, 0xe85b5c92, "");
SYMBOL_CRC(mlx5_eswitch_register_vport_reps, 0xac8539d7, "");
SYMBOL_CRC(mlx5_eswitch_unregister_vport_reps, 0x88d83b5a, "");
SYMBOL_CRC(mlx5_eswitch_get_proto_dev, 0xc03954d8, "");
SYMBOL_CRC(mlx5_eswitch_uplink_get_proto_dev, 0x1f04593e, "");
SYMBOL_CRC(mlx5_eswitch_vport_rep, 0x9dd04f43, "");
SYMBOL_CRC(mlx5_eswitch_reg_c1_loopback_enabled, 0x562d1d5d, "");
SYMBOL_CRC(mlx5_eswitch_vport_match_metadata_enabled, 0x82e62332, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_match, 0x5ff36bd5, "");
SYMBOL_CRC(mlx5_eswitch_get_vport_metadata_for_set, 0xd32aaf57, "");
SYMBOL_CRC(mlx5_mpfs_add_mac, 0xb473434b, "");
SYMBOL_CRC(mlx5_mpfs_del_mac, 0xdfb6f844, "");
SYMBOL_CRC(mlx5_rdma_rn_get_params, 0x120f02bb, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_create, 0x73179259, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_destroy, 0x71cbe9e8, "");
SYMBOL_CRC(mlx5_fpga_sbu_conn_sendmsg, 0x591b26c9, "");
SYMBOL_CRC(mlx5_fpga_mem_read, 0xcc4119a8, "");
SYMBOL_CRC(mlx5_fpga_mem_write, 0x3f478228, "");
SYMBOL_CRC(mlx5_fpga_get_sbu_caps, 0x9850a064, "");
SYMBOL_CRC(mlx5_macsec_del_roce_rule, 0x42b43a38, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_rule, 0x64fade05, "_gpl");
SYMBOL_CRC(mlx5_macsec_add_roce_sa_rules, 0x37897e7f, "_gpl");
SYMBOL_CRC(mlx5_macsec_del_roce_sa_rules, 0x390b982c, "_gpl");
SYMBOL_CRC(mlx5_ipsec_device_caps, 0x903370b5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8b7a698b, "__tracepoint_xdp_exception" },
	{ 0x9de13c25, "__inet_lookup_established" },
	{ 0x5e04e54, "xsk_tx_completed" },
	{ 0x81590ddd, "napi_alloc_skb" },
	{ 0x6a5a01f8, "alloc_etherdev_mqs" },
	{ 0xfb71ca61, "netdev_lower_get_next" },
	{ 0x4f743dad, "secpath_set" },
	{ 0x8d4db022, "flow_block_cb_lookup" },
	{ 0x39792529, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x87abbe55, "devl_rate_leaf_create" },
	{ 0xff7ad1b5, "krealloc" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0xa0bd9d49, "xp_alloc" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xf2eac8cb, "devl_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xdc07898e, "flow_rule_match_enc_keyid" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x3a576f2e, "vmemmap" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0xa06e587a, "release_firmware" },
	{ 0x82eec736, "bpf_prog_put" },
	{ 0xb64d0cea, "page_pool_get_stats" },
	{ 0xb1e8126c, "down_timeout" },
	{ 0xe5110626, "simple_attr_open" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x2630d361, "pci_cfg_access_unlock" },
	{ 0x6521e26c, "xp_dma_map" },
	{ 0xf0a48d0b, "bpf_trace_run4" },
	{ 0xe72e844b, "__rht_bucket_nested" },
	{ 0xa2b9b024, "devlink_unregister" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0xee0ce0b7, "skb_copy_bits" },
	{ 0x566510ee, "debugfs_attr_write" },
	{ 0x6c10404f, "dma_pool_create" },
	{ 0x6764fd96, "param_ops_uint" },
	{ 0x495231ea, "mul_u64_u64_div_u64" },
	{ 0xc333a7f, "radix_tree_insert" },
	{ 0x833e2439, "pci_msix_vec_count" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0x5fb3ee00, "pci_enable_device" },
	{ 0x86867ab3, "skb_put" },
	{ 0x417cbbf4, "skb_tstamp_tx" },
	{ 0x6a76e187, "devlink_fmsg_binary_pair_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x330a7398, "call_switchdev_notifiers" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xe3ff2c41, "get_random_u64" },
	{ 0x8d063eff, "flow_indr_dev_register" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xf740f64b, "register_fib_notifier" },
	{ 0x76b298f9, "auxiliary_device_init" },
	{ 0xc3407f8d, "ip6_dst_hoplimit" },
	{ 0x515ce864, "netdev_update_features" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x9aee0f51, "flow_rule_match_enc_ip" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xac5a789c, "trace_seq_printf" },
	{ 0xdcca10df, "pci_alloc_irq_vectors" },
	{ 0x6c83c88e, "netif_napi_add_weight" },
	{ 0x31be289b, "pci_enable_atomic_ops_to_root" },
	{ 0x8cd7daf2, "seq_release" },
	{ 0x314c7e28, "dev_add_pack" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x38493a8b, "idr_alloc_u32" },
	{ 0xd3af979c, "memdup_user" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0x836ebc4a, "trace_raw_output_prep" },
	{ 0x8e50f0bc, "devlink_fmsg_arr_pair_nest_end" },
	{ 0xe4947af0, "xsk_clear_tx_need_wakeup" },
	{ 0x7062a4b9, "udp4_hwcsum" },
	{ 0xe254f4f8, "xa_get_mark" },
	{ 0x6d73645e, "devl_lock" },
	{ 0x7819aea9, "__kmalloc_node" },
	{ 0xb5898ed8, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xc7c15d6e, "ndo_dflt_bridge_getlink" },
	{ 0xf3efda45, "unregister_netdev" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x8c9dee76, "xdp_convert_zc_to_xdp_frame" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xdef84f9f, "radix_tree_lookup" },
	{ 0x902e4412, "flow_rule_match_tcp" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x8bded20f, "zpci_load" },
	{ 0xd8b2430d, "register_netdevice_notifier_dev_net" },
	{ 0x9a87d28d, "dma_unmap_page_attrs" },
	{ 0xfa63ed8b, "trace_event_printf" },
	{ 0xf7b81a4a, "devlink_health_reporter_create" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x37216b8c, "flow_rule_match_cvlan" },
	{ 0xa31d1dea, "__xa_erase" },
	{ 0x51d5504a, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xd566933c, "up" },
	{ 0x67e2272e, "refcount_dec_and_mutex_lock" },
	{ 0xa9d728b0, "xdp_rxq_info_unused" },
	{ 0xedc03953, "iounmap" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x8ad0d7d7, "pci_num_vf" },
	{ 0x142237e4, "debugfs_create_atomic_t" },
	{ 0x22969a09, "flow_rule_match_eth_addrs" },
	{ 0x51abdbfa, "skb_add_rx_frag" },
	{ 0xfd33eb37, "xfrm_state_check_expire" },
	{ 0x999f26d9, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x4e96ae05, "ptp_clock_index" },
	{ 0x10e0e0ad, "pci_request_regions" },
	{ 0x3dfb689b, "___pskb_trim" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0xfa6e8656, "trace_event_raw_init" },
	{ 0x3ec54125, "flow_block_cb_free" },
	{ 0x9c9026f0, "devl_port_fn_devlink_set" },
	{ 0x236c8c64, "memcpy" },
	{ 0x708b7e44, "xp_can_alloc" },
	{ 0x8d82b16f, "psample_sample_packet" },
	{ 0x4cf9d170, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0xa99bf8fa, "devlink_alloc_ns" },
	{ 0xa8ea8310, "devl_rate_leaf_destroy" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x4eafcc4d, "pci_sriov_get_totalvfs" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xc769d98d, "devlink_register" },
	{ 0x7ddf532e, "devlink_remote_reload_actions_performed" },
	{ 0xf8c3f39f, "devlink_fmsg_obj_nest_end" },
	{ 0x4a3617f2, "seq_lseek" },
	{ 0x4b52ffd6, "page_pool_destroy" },
	{ 0xa3b161f0, "xdp_do_redirect" },
	{ 0x8546e2a8, "devlink_free" },
	{ 0x77340888, "tls_get_record" },
	{ 0x44a6e90a, "irq_cpu_rmap_add" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x64c3ad06, "rhashtable_init" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe9d47366, "bpf_trace_run2" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0xee7f760e, "netdev_warn" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0x9f6c7e60, "udp_tunnel_nic_ops" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x745eecb, "devl_rate_nodes_destroy" },
	{ 0xc91dc0b6, "event_triggers_call" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xe03ae272, "pci_irq_vector" },
	{ 0x55542588, "flow_rule_match_ipv4_addrs" },
	{ 0xdb816446, "ip_route_output_flow" },
	{ 0x9c7dafa2, "__netif_napi_del" },
	{ 0xea066330, "rhashtable_walk_enter" },
	{ 0x1281003, "devlink_fmsg_binary_put" },
	{ 0x99f2ea38, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x8448b7f5, "__dynamic_dev_dbg" },
	{ 0x22439ba2, "sched_numa_hop_mask" },
	{ 0x6a98b077, "sock_gen_put" },
	{ 0x4b8f4e7a, "down_read_trylock" },
	{ 0x61a74b99, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xb928aa45, "netdev_rss_key_fill" },
	{ 0x909fda42, "blocking_notifier_chain_register" },
	{ 0xd41eef12, "netdev_err" },
	{ 0x26f85b30, "pci_cfg_access_lock" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x326ba43f, "register_netdevice_notifier_net" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x9dd251ac, "dev_driver_string" },
	{ 0xc231fb2b, "netdev_port_same_parent_id" },
	{ 0x8d9247ae, "trace_event_buffer_commit" },
	{ 0xbeb3f823, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x84a0ca4d, "bitmap_zalloc_node" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x5a1eabf1, "ptp_find_pin" },
	{ 0x2e91b0ed, "eth_type_trans" },
	{ 0xe9fa022, "pci_read_config_dword" },
	{ 0x1ba0bf96, "request_firmware_direct" },
	{ 0x90dd5cdf, "flow_rule_match_icmp" },
	{ 0xab49a90b, "auxiliary_driver_unregister" },
	{ 0x1789f1d4, "dma_map_page_attrs" },
	{ 0x9ec054d5, "trace_seq_putc" },
	{ 0x75ae3849, "napi_complete_done" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xca17ac01, "_find_next_andnot_bit" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0xaaba7721, "devlink_port_attrs_pci_vf_set" },
	{ 0xbbac77b5, "priv_to_devlink" },
	{ 0x1eec1238, "blocking_notifier_call_chain" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xcda95a39, "vlan_dev_vlan_proto" },
	{ 0xc53ba24f, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xf0ee69f7, "put_device" },
	{ 0x497b6363, "trace_event_ignore_this_pid" },
	{ 0x7f52071a, "net_dim" },
	{ 0x90a3075a, "__napi_schedule" },
	{ 0x2bd82988, "devlink_port_health_reporter_create" },
	{ 0x2f534728, "pcie_relaxed_ordering_enabled" },
	{ 0x6db25d15, "xsk_set_rx_need_wakeup" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x5b6fd00d, "kmalloc_node_trace" },
	{ 0x563ceefc, "devlink_port_attrs_pci_pf_set" },
	{ 0x1eef9fc1, "flow_rule_match_enc_ipv4_addrs" },
	{ 0x9a249766, "netif_device_detach" },
	{ 0xf5ea2664, "__free_pages" },
	{ 0x328350fd, "kmem_cache_alloc" },
	{ 0x24fef994, "_dev_info" },
	{ 0x9a815f9e, "skb_vlan_pop" },
	{ 0xe10b3d29, "napi_gro_receive" },
	{ 0xf2a3ed4, "netif_device_attach" },
	{ 0xe818bfb8, "devl_resource_register" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0x57830b70, "netdev_pick_tx" },
	{ 0x46d0c958, "flow_indr_dev_unregister" },
	{ 0xead58fb9, "print_hex_dump" },
	{ 0x890e66f0, "xp_raw_get_dma" },
	{ 0x6fbfe127, "eth_get_headlen" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x7bede9c6, "xdp_rxq_info_is_reg" },
	{ 0x7ffbc3b0, "flow_rule_match_enc_opts" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0xc2c5802, "work_busy" },
	{ 0x807c244f, "devlink_net" },
	{ 0x7fcc1f2e, "devlink_fmsg_bool_pair_put" },
	{ 0xf85ade5c, "free_fib_info" },
	{ 0xc736f467, "devl_health_reporter_create" },
	{ 0x5d1b4df4, "flow_block_cb_setup_simple" },
	{ 0x800473f, "__cond_resched" },
	{ 0xa6ec563d, "pci_msix_can_alloc_dyn" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xbb4e55ce, "flow_rule_match_basic" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x3bcc2f0e, "unregister_netdevice_notifier_dev_net" },
	{ 0x7b67b895, "pci_find_capability" },
	{ 0x3d0515ec, "build_skb" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xbbccbf46, "pci_iov_vf_id" },
	{ 0x4b27d977, "devlink_fmsg_arr_pair_nest_start" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x89d4a5c4, "debugfs_attr_read" },
	{ 0x7732159c, "free_irq_cpu_rmap" },
	{ 0x6671fcf9, "flow_rule_match_ct" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x2ddb834b, "__xa_alloc" },
	{ 0x709c823a, "vlan_dev_real_dev" },
	{ 0xf1d992eb, "radix_tree_delete" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xa93936bc, "__dma_sync_single_for_cpu" },
	{ 0xc674fb43, "pci_msix_free_irq" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xe273d75d, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xf47afea8, "__dev_get_by_index" },
	{ 0xa8b08b27, "perf_trace_run_bpf_submit" },
	{ 0x461dfab1, "devlink_fmsg_pair_nest_start" },
	{ 0xc78dfefd, "__irq_apply_affinity_hint" },
	{ 0x72645b, "devlink_port_unregister" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x346dbe49, "dev_get_port_parent_id" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x15471fb, "_dev_err" },
	{ 0x89ebc372, "init_net" },
	{ 0xd2510a63, "up_write" },
	{ 0xf5919712, "softnet_data" },
	{ 0x2971b3fc, "ipv6_stub" },
	{ 0x335946de, "simple_open" },
	{ 0x931be636, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xd2e79416, "cpu_bit_bitmap" },
	{ 0x6f5ef93d, "memchr_inv" },
	{ 0xb3b05646, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xcd036679, "simple_attr_release" },
	{ 0x4968e23c, "ptp_clock_register" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0xced93b1e, "devl_nested_devlink_set" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x55579e20, "xsk_tx_peek_desc" },
	{ 0xc2a113a, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0xa058faa0, "__traceiter_xdp_exception" },
	{ 0xafaa6031, "_find_next_and_bit" },
	{ 0x42ad757f, "netif_set_real_num_tx_queues" },
	{ 0x8ec9aec2, "devlink_fmsg_u8_pair_put" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xf14300ad, "sk_skb_reason_drop" },
	{ 0x87d0785e, "__auxiliary_device_add" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x5b745a3d, "xa_load" },
	{ 0xf3cbd85c, "irq_get_irq_data" },
	{ 0xbb207c9, "dev_remove_pack" },
	{ 0x3e9c0fea, "netif_set_real_num_rx_queues" },
	{ 0x81b433f2, "down" },
	{ 0xd65c041c, "dev_get_by_index" },
	{ 0xd75290ec, "bpf_trace_run5" },
	{ 0x5c9eae19, "flow_indr_block_cb_alloc" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xce0de009, "skb_store_bits" },
	{ 0xbfc15c44, "devl_port_register_with_ops" },
	{ 0x3a2fdb2a, "dev_get_by_index_rcu" },
	{ 0xd5489bd, "netdev_printk" },
	{ 0x954f099c, "idr_preload" },
	{ 0x18143ee4, "mlxfw_firmware_flash" },
	{ 0x929e4028, "devlink_fmsg_u32_put" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x3b756f6a, "crc32_le" },
	{ 0x54e7784c, "pcie_capability_clear_and_set_word_locked" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x42f51ebb, "skb_push" },
	{ 0x82e47b54, "kmem_cache_free" },
	{ 0xb1599678, "dma_alloc_attrs" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0xabaff9e8, "debugfs_remove" },
	{ 0x9b327dd5, "pci_read_config_word" },
	{ 0x52ed6500, "napi_enable" },
	{ 0x85abc85f, "strncmp" },
	{ 0x4a3d24bd, "xsk_clear_rx_need_wakeup" },
	{ 0x7719042d, "unregister_netdevice_notifier_net" },
	{ 0xea8e34db, "xsk_uses_need_wakeup" },
	{ 0xeff35b1c, "register_netdev" },
	{ 0x8efecfb8, "unregister_fib_notifier" },
	{ 0x40afa919, "trace_event_reg" },
	{ 0x53c24b01, "mutex_is_locked" },
	{ 0x8351234d, "devlink_port_attrs_pci_sf_set" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1af267f8, "int_pow" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0xab6bbc5b, "debugfs_create_u64" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x2a611061, "free_netdev" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x76b2f44, "debugfs_create_size_t" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xd9363ad3, "devl_params_register" },
	{ 0x43cf3bc3, "dql_completed" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xff8cbf4b, "rhashtable_walk_start_check" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x9f1e221f, "kmalloc_large" },
	{ 0xb1518e15, "cancel_work" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xd50fa6cb, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xdd4835d9, "netif_set_xps_queue" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x5adcec6b, "__ethtool_get_link_ksettings" },
	{ 0x4eedd6f3, "rhashtable_walk_stop" },
	{ 0x15d85a57, "down_trylock" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x49dbb0b9, "devlink_fmsg_binary_pair_nest_end" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x5106ba6, "pci_restore_state" },
	{ 0xe09dbb53, "bpf_trace_run1" },
	{ 0xf4335e88, "__inet6_lookup_established" },
	{ 0x5ba0a77d, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x661df11, "device_del" },
	{ 0x34a7afe, "idr_destroy" },
	{ 0x1e1e140e, "ns_to_timespec64" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0x30696079, "rhashtable_free_and_destroy" },
	{ 0x54633e27, "page_pool_create" },
	{ 0x94c8fda, "skb_checksum" },
	{ 0x5f181750, "devl_param_driverinit_value_set" },
	{ 0xc1db259, "_dev_warn" },
	{ 0xeda058d2, "flow_rule_match_ports" },
	{ 0xa6832797, "devlink_fmsg_binary_pair_nest_start" },
	{ 0x89d01379, "irq_cpu_rmap_remove" },
	{ 0x810cec76, "xfrm_replay_seqhi" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x699c9041, "devl_resources_unregister" },
	{ 0xe30dee68, "ptp_clock_event" },
	{ 0xf3b8882, "rht_bucket_nested_insert" },
	{ 0x3521d572, "netif_schedule_queue" },
	{ 0xda829eef, "__alloc_pages" },
	{ 0x8bad4ff4, "pgprot_writecombine" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x6d1ea6ec, "strlcat" },
	{ 0xb4863b72, "devlink_fmsg_u64_pair_put" },
	{ 0x93f49021, "pci_set_master" },
	{ 0x2c6e2465, "devl_trap_groups_register" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xf55ed0ec, "debugfs_create_u32" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6aa06b55, "flow_rule_match_ipv6_addrs" },
	{ 0xb089b0b0, "netdev_set_tc_queue" },
	{ 0x65a7a23, "atomic_notifier_call_chain" },
	{ 0xb3803cc0, "devl_params_unregister" },
	{ 0x455b8cdb, "ptp_clock_unregister" },
	{ 0x9f0ca0fe, "__pskb_pull_tail" },
	{ 0x79b7ef47, "xp_dma_unmap" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x79379645, "__netdev_alloc_skb" },
	{ 0x6108288f, "complete_all" },
	{ 0x364354ba, "rhashtable_destroy" },
	{ 0x8354e78, "devlink_trap_report" },
	{ 0x46bb66e9, "__neigh_event_send" },
	{ 0x99e2bb78, "flow_block_cb_alloc" },
	{ 0xa0994320, "devlink_fmsg_obj_nest_start" },
	{ 0x868bde1d, "down_write_trylock" },
	{ 0xeb753384, "dev_printk_emit" },
	{ 0x103bafd6, "down_read" },
	{ 0x971994c1, "devl_traps_register" },
	{ 0x786d25dc, "devl_unlock" },
	{ 0xb0708799, "__dynamic_netdev_dbg" },
	{ 0xe798236d, "jiffies" },
	{ 0xed1634f5, "dma_set_coherent_mask" },
	{ 0xbef2796f, "__neigh_create" },
	{ 0x6c041e19, "__xa_insert" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0xd27ab581, "flow_rule_match_enc_control" },
	{ 0x87decc6, "bpf_trace_run3" },
	{ 0x6054f0c1, "seq_read" },
	{ 0x85d14264, "trace_print_flags_seq" },
	{ 0x73c93090, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xf5af7698, "ipv6_find_hdr" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x60c69018, "net_dim_get_rx_moderation" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xaa7aa142, "debugfs_create_file" },
	{ 0x57a7c4ce, "rps_may_expire_flow" },
	{ 0xd2242d26, "metadata_dst_free" },
	{ 0xe4a95266, "blocking_notifier_chain_unregister" },
	{ 0xc31b0358, "xsk_set_tx_need_wakeup" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0x4ec76244, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x18f1c46, "netdev_reset_tc" },
	{ 0xe229bfe9, "neigh_destroy" },
	{ 0x7b05e999, "dma_free_attrs" },
	{ 0xb1b1c93e, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x83607446, "trace_event_buffer_reserve" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0xa92d5dfe, "debugfs_create_x32" },
	{ 0x7a4de2c7, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x2c152e26, "flow_rule_match_enc_ports" },
	{ 0xaf68e539, "xdp_return_frame_bulk" },
	{ 0xbb9d0dc5, "bin2hex" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x396de545, "pci_release_regions" },
	{ 0xfd3ea6b0, "__dma_sync_single_for_device" },
	{ 0x989e1516, "xa_destroy" },
	{ 0x73ae25c6, "bpf_prog_add" },
	{ 0x9005f3a2, "net_dim_get_def_tx_moderation" },
	{ 0x42ae6d99, "xa_find" },
	{ 0xef15b2cd, "devl_assert_locked" },
	{ 0x76b60056, "pcie_print_link_status" },
	{ 0xe759da4a, "xp_set_rxq_info" },
	{ 0x55878595, "flow_rule_match_vlan" },
	{ 0x6bf12745, "alloc_pages" },
	{ 0x57f13dc2, "devl_port_unregister" },
	{ 0x31b0fde2, "xdp_rxq_info_unreg" },
	{ 0x810f3b58, "page_pool_alloc_pages" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0xc4cb83b1, "devl_param_driverinit_value_get" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x3df26d40, "netdev_master_upper_dev_get_rcu" },
	{ 0x395fa447, "__folio_put" },
	{ 0x23a759d1, "__xdp_rxq_info_reg" },
	{ 0xbc22dae0, "xdp_set_features_flag" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xacecc930, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xb904af9c, "bpf_prog_inc" },
	{ 0x31d3199b, "rhltable_init" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x82678b8a, "netif_carrier_event" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3381480d, "netif_carrier_off" },
	{ 0x656eb398, "seq_printf" },
	{ 0x78b25bb, "flow_rule_match_meta" },
	{ 0xf79faab3, "ip_send_check" },
	{ 0xe70e184a, "xa_store" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x9d263a61, "devlink_priv" },
	{ 0xea73e371, "devlink_port_register_with_ops" },
	{ 0xf7fb94e0, "pci_disable_sriov" },
	{ 0xbd801d5c, "metadata_dst_alloc" },
	{ 0xcdd92e7a, "dst_release" },
	{ 0xc0466401, "netif_carrier_on" },
	{ 0x6a89541d, "netdev_set_num_tc" },
	{ 0xe6f1486d, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x9a744417, "arp_tbl" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x7c28b8a, "pci_disable_device" },
	{ 0x6638f664, "net_dim_get_def_rx_moderation" },
	{ 0xdc9fcddf, "net_dim_get_tx_moderation" },
	{ 0x2278711c, "seq_puts" },
	{ 0xd1f34507, "xp_free" },
	{ 0xc045988c, "rhashtable_walk_next" },
	{ 0xf5dde432, "page_pool_update_nid" },
	{ 0xa088dcef, "single_release" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0xd91d57e7, "dma_set_mask" },
	{ 0xb7389aa0, "__auxiliary_driver_register" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x59c2c942, "netif_set_tso_max_size" },
	{ 0x6d1ae254, "vlan_dev_vlan_id" },
	{ 0xb8af4369, "__skb_flow_dissect" },
	{ 0xd06854d5, "pci_msix_alloc_irq_at" },
	{ 0xc71a4c45, "seq_open" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0x429dcdc0, "xa_find_after" },
	{ 0xfcf21865, "kmalloc_trace" },
	{ 0x690b5261, "xdp_master_redirect" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xb928df9f, "xp_raw_get_data" },
	{ 0x2d963d66, "tls_validate_xmit_skb" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x70336943, "xa_set_mark" },
	{ 0xe8c48e0f, "napi_schedule_prep" },
	{ 0x31833931, "qdisc_reset" },
	{ 0xb63e2d49, "napi_consume_skb" },
	{ 0xa924297d, "devlink_fmsg_pair_nest_end" },
	{ 0x4ac0b138, "xp_alloc_batch" },
	{ 0xdbfc45e4, "flow_rule_match_mpls" },
	{ 0x2e05101e, "napi_disable" },
	{ 0x8ee7f774, "dev_kfree_skb_any_reason" },
	{ 0xde8cc2e, "dcb_ieee_delapp" },
	{ 0x5185787a, "bpf_trace_run7" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x8d5dc92b, "devl_port_health_reporter_create" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xae0ea401, "debugfs_create_u8" },
	{ 0x194299b, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xa344a4ea, "devl_register" },
	{ 0x349cba85, "strchr" },
	{ 0xbd21c937, "debugfs_create_dir" },
	{ 0x38762c8, "idr_get_next_ul" },
	{ 0x89a09837, "ioremap_prot" },
	{ 0xe70f4f42, "skb_ext_add" },
	{ 0xbd90f64b, "pcie_bandwidth_available" },
	{ 0x8ae1e6f4, "pci_free_irq_vectors" },
	{ 0x5a5e7ea3, "simple_read_from_buffer" },
	{ 0x2fd0a678, "flow_rule_match_control" },
	{ 0x17f5b5e9, "flow_rule_match_ip" },
	{ 0x272d2711, "pci_enable_sriov" },
	{ 0x61a6a17, "rht_bucket_nested" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x28d0285c, "rhashtable_walk_exit" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xfacf36f8, "dcb_ieee_setapp" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xa54f049b, "devl_trap_groups_unregister" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x468efa22, "xsk_tx_release" },
	{ 0x70a1bb35, "devl_traps_unregister" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x348a7d4, "pci_iov_get_pf_drvdata" },
	{ 0x170883ab, "pci_write_config_dword" },
	{ 0x641ec9e2, "kmalloc_caches" },
	{ 0x90ab8abb, "netdev_info" },
	{ 0x61d70b38, "neigh_lookup" },
	{ 0xa0f33e85, "kmem_cache_destroy" },
	{ 0x29a853d, "page_pool_put_unrefed_page" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x647c164d, "module_layout" },
};

MODULE_INFO(depends, "psample,tls,mlxfw");

MODULE_ALIAS("auxiliary:mlx5_core.sf");
MODULE_ALIAS("auxiliary:mlx5_core.eth-rep");
MODULE_ALIAS("pci:v000015B3d00001011sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001012sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001013sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001014sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001015sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001016sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001017sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001018sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001019sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000101Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001021sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000A2DCsv*sd*bc*sc*i*");
MODULE_ALIAS("auxiliary:mlx5_core.eth");

MODULE_INFO(srcversion, "696D64D146DA1FEF1AD18C2");
MODULE_INFO(rhelversion, "9.6");
