#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macsec_pn_wrapped, "_gpl", "");
KSYMTAB_FUNC(macsec_get_real_dev, "_gpl", "");
KSYMTAB_FUNC(macsec_netdev_is_offloaded, "_gpl", "");

SYMBOL_CRC(macsec_pn_wrapped, 0xa78ffd16, "_gpl");
SYMBOL_CRC(macsec_get_real_dev, 0xb8a7aebe, "_gpl");
SYMBOL_CRC(macsec_netdev_is_offloaded, 0x0758ef74, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92997ed8, "_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xf3826bb6, "rtnl_link_register" },
	{ 0x51974e53, "genl_register_family" },
	{ 0x40d5988f, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x37a0cba, "kfree" },
	{ 0x246504bd, "crypto_destroy_tfm" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x82593beb, "crypto_alloc_aead" },
	{ 0xa1ef34ec, "crypto_aead_setkey" },
	{ 0x4bb049d, "crypto_aead_setauthsize" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0xf00a075f, "nla_put" },
	{ 0xa3a5be95, "memmove" },
	{ 0x931be636, "skb_pull" },
	{ 0x3dfb689b, "___pskb_trim" },
	{ 0x74ebbfd5, "ether_setup" },
	{ 0xe604c240, "dev_fetch_sw_netstats" },
	{ 0x1a308bf8, "dev_mc_sync" },
	{ 0x4c84ab9, "dev_uc_sync" },
	{ 0xaecb7a23, "dev_set_allmulti" },
	{ 0xe66f7bd0, "dev_set_promiscuity" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x3c465b6, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd2242d26, "metadata_dst_free" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x4ec76244, "__dev_queue_xmit" },
	{ 0x2e91b0ed, "eth_type_trans" },
	{ 0xd2f6e33b, "gro_cells_receive" },
	{ 0xf14300ad, "sk_skb_reason_drop" },
	{ 0xf47afea8, "__dev_get_by_index" },
	{ 0xd52802b8, "skb_clone" },
	{ 0x9e5c1e8c, "__netif_rx" },
	{ 0x4fe724a3, "consume_skb" },
	{ 0x86a22fb2, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xba80087c, "skb_to_sgvec" },
	{ 0xe8153723, "crypto_aead_decrypt" },
	{ 0x2cc16e23, "skb_copy" },
	{ 0x42f51ebb, "skb_push" },
	{ 0x9f0ca0fe, "__pskb_pull_tail" },
	{ 0xe541f71, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x508ddcc3, "gro_cells_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0x86867ab3, "skb_put" },
	{ 0x1579f7cb, "crypto_aead_encrypt" },
	{ 0x44f5b51, "skb_copy_expand" },
	{ 0xcdd92e7a, "dst_release" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xb50168d5, "skb_trim" },
	{ 0x9f2b4453, "register_netdevice" },
	{ 0x797842ae, "netdev_upper_dev_link" },
	{ 0x2d82c375, "netdev_upper_dev_unlink" },
	{ 0x8667b8bf, "unregister_netdevice_queue" },
	{ 0xbd801d5c, "metadata_dst_alloc" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x381bf85e, "netif_stacked_transfer_operstate" },
	{ 0x653238e3, "linkwatch_fire_event" },
	{ 0x641ec9e2, "kmalloc_caches" },
	{ 0xfcf21865, "kmalloc_trace" },
	{ 0xea16af8, "netdev_rx_handler_register" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x604ef85e, "netdev_rx_handler_unregister" },
	{ 0x405143c4, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x3381480d, "netif_carrier_off" },
	{ 0x9d13f9ae, "dev_mc_unsync" },
	{ 0x98126b34, "dev_uc_unsync" },
	{ 0x1d905142, "dev_uc_del" },
	{ 0x54d2683b, "dev_uc_add" },
	{ 0xc0466401, "netif_carrier_on" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x55f2580b, "__alloc_percpu" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x97c8134f, "genlmsg_put" },
	{ 0x647c164d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "993E4F2A733522CEC90561D");
MODULE_INFO(rhelversion, "9.6");
