#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tap_del_queues, "_gpl", "");
KSYMTAB_FUNC(tap_handle_frame, "_gpl", "");
KSYMTAB_FUNC(tap_get_minor, "_gpl", "");
KSYMTAB_FUNC(tap_free_minor, "_gpl", "");
KSYMTAB_FUNC(tap_get_socket, "_gpl", "");
KSYMTAB_FUNC(tap_get_ptr_ring, "_gpl", "");
KSYMTAB_FUNC(tap_queue_resize, "_gpl", "");
KSYMTAB_FUNC(tap_create_cdev, "_gpl", "");
KSYMTAB_FUNC(tap_destroy_cdev, "_gpl", "");

SYMBOL_CRC(tap_del_queues, 0xfb25be79, "_gpl");
SYMBOL_CRC(tap_handle_frame, 0xc60e6c8e, "_gpl");
SYMBOL_CRC(tap_get_minor, 0x5623b2b0, "_gpl");
SYMBOL_CRC(tap_free_minor, 0x5639834f, "_gpl");
SYMBOL_CRC(tap_get_socket, 0x1658a78f, "_gpl");
SYMBOL_CRC(tap_get_ptr_ring, 0x2cdbdefb, "_gpl");
SYMBOL_CRC(tap_queue_resize, 0x7d4e7d0c, "_gpl");
SYMBOL_CRC(tap_create_cdev, 0x663cdd8d, "_gpl");
SYMBOL_CRC(tap_destroy_cdev, 0x4acc0979, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf14300ad, "sk_skb_reason_drop" },
	{ 0x91f7301c, "_copy_to_iter" },
	{ 0xf5c70704, "iov_iter_advance" },
	{ 0x3d7e75c8, "skb_copy_datagram_iter" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xb44164ad, "cdev_init" },
	{ 0xd1d037a6, "cdev_add" },
	{ 0x641ec9e2, "kmalloc_caches" },
	{ 0xfcf21865, "kmalloc_trace" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x3b3eaf8e, "cdev_del" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x34a7afe, "idr_destroy" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x32764a4a, "sk_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0x37a0cba, "kfree" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x4fe724a3, "consume_skb" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x1000e51, "schedule" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0x8c47afca, "idr_alloc" },
	{ 0xd41eef12, "netdev_err" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x42f51ebb, "skb_push" },
	{ 0x69b75f8a, "skb_checksum_help" },
	{ 0x9d79726f, "__skb_gso_segment" },
	{ 0xc0fba425, "kfree_skb_list_reason" },
	{ 0x1f2a7794, "__skb_get_hash_net" },
	{ 0x3761d215, "idr_find" },
	{ 0x59731335, "sk_alloc" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xc880ed5c, "sock_init_data_uid" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0xb8af4369, "__skb_flow_dissect" },
	{ 0x2d68bd32, "skb_partial_csum_set" },
	{ 0x9f0ca0fe, "__pskb_pull_tail" },
	{ 0x9fbcda61, "_copy_from_iter" },
	{ 0xfc943c4f, "iov_iter_npages" },
	{ 0xfe9f29e0, "sock_alloc_send_pskb" },
	{ 0x86867ab3, "skb_put" },
	{ 0x2b473cb8, "zerocopy_sg_from_iter" },
	{ 0x4ec76244, "__dev_queue_xmit" },
	{ 0xa403ed6, "skb_copy_datagram_from_iter" },
	{ 0x1a175e67, "iov_iter_revert" },
	{ 0xee0ce0b7, "skb_copy_bits" },
	{ 0x3d0515ec, "build_skb" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x371b56d1, "dev_set_mac_address_user" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x3439b77f, "dev_get_mac_address" },
	{ 0x63728f84, "compat_ptr_ioctl" },
	{ 0x647c164d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "68798B7967D586E10B7E991");
MODULE_INFO(rhelversion, "9.6");
