#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(qeth_dbf, "_gpl", "");
KSYMTAB_FUNC(qeth_set_allowed_threads, "_gpl", "");
KSYMTAB_FUNC(qeth_threads_running, "_gpl", "");
KSYMTAB_FUNC(qeth_resize_buffer_pool, "_gpl", "");
KSYMTAB_FUNC(qeth_ipa_alloc_cmd, "_gpl", "");
KSYMTAB_FUNC(qeth_send_ipa_cmd, "_gpl", "");
KSYMTAB_FUNC(qeth_get_diag_cmd, "_gpl", "");
KSYMTAB_FUNC(qeth_configure_cq, "_gpl", "");
KSYMTAB_FUNC(qeth_xmit, "_gpl", "");
KSYMTAB_FUNC(qeth_setadp_promisc_mode, "_gpl", "");
KSYMTAB_FUNC(qeth_setadpparms_change_macaddr, "_gpl", "");
KSYMTAB_FUNC(qeth_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(qeth_vm_request_mac, "_gpl", "");
KSYMTAB_FUNC(qeth_set_offline, "_gpl", "");
KSYMTAB_FUNC(qeth_poll, "_gpl", "");
KSYMTAB_FUNC(qeth_setassparms_cb, "_gpl", "");
KSYMTAB_FUNC(qeth_get_setassparms_cmd, "_gpl", "");
KSYMTAB_FUNC(qeth_send_simple_setassparms_prot, "_gpl", "");
KSYMTAB_FUNC(qeth_dbf_longtext, "_gpl", "");
KSYMTAB_FUNC(qeth_siocdevprivate, "_gpl", "");
KSYMTAB_FUNC(qeth_do_ioctl, "_gpl", "");
KSYMTAB_FUNC(qeth_enable_hw_features, "_gpl", "");
KSYMTAB_FUNC(qeth_set_features, "_gpl", "");
KSYMTAB_FUNC(qeth_fix_features, "_gpl", "");
KSYMTAB_FUNC(qeth_features_check, "_gpl", "");
KSYMTAB_FUNC(qeth_get_stats64, "_gpl", "");
KSYMTAB_FUNC(qeth_set_real_num_tx_queues, "_gpl", "");
KSYMTAB_FUNC(qeth_iqd_select_queue, "_gpl", "");
KSYMTAB_FUNC(qeth_osa_select_queue, "_gpl", "");
KSYMTAB_FUNC(qeth_open, "_gpl", "");
KSYMTAB_FUNC(qeth_stop, "_gpl", "");

SYMBOL_CRC(qeth_dbf, 0x16336734, "_gpl");
SYMBOL_CRC(qeth_set_allowed_threads, 0x8b208a1c, "_gpl");
SYMBOL_CRC(qeth_threads_running, 0x5b106e70, "_gpl");
SYMBOL_CRC(qeth_resize_buffer_pool, 0x032c9132, "_gpl");
SYMBOL_CRC(qeth_ipa_alloc_cmd, 0x918e5b12, "_gpl");
SYMBOL_CRC(qeth_send_ipa_cmd, 0x39924d66, "_gpl");
SYMBOL_CRC(qeth_get_diag_cmd, 0xe1dd7442, "_gpl");
SYMBOL_CRC(qeth_configure_cq, 0x487e95c9, "_gpl");
SYMBOL_CRC(qeth_xmit, 0x0b9aff6b, "_gpl");
SYMBOL_CRC(qeth_setadp_promisc_mode, 0x767d0000, "_gpl");
SYMBOL_CRC(qeth_setadpparms_change_macaddr, 0x7c22b5b1, "_gpl");
SYMBOL_CRC(qeth_tx_timeout, 0x6b2b885f, "_gpl");
SYMBOL_CRC(qeth_vm_request_mac, 0xd74d9787, "_gpl");
SYMBOL_CRC(qeth_set_offline, 0xcb83d31b, "_gpl");
SYMBOL_CRC(qeth_poll, 0xc3f52d21, "_gpl");
SYMBOL_CRC(qeth_setassparms_cb, 0x7a8828d6, "_gpl");
SYMBOL_CRC(qeth_get_setassparms_cmd, 0xb1d578a3, "_gpl");
SYMBOL_CRC(qeth_send_simple_setassparms_prot, 0x9267de81, "_gpl");
SYMBOL_CRC(qeth_dbf_longtext, 0x5a719c9d, "_gpl");
SYMBOL_CRC(qeth_siocdevprivate, 0x36f51499, "_gpl");
SYMBOL_CRC(qeth_do_ioctl, 0x788c8f27, "_gpl");
SYMBOL_CRC(qeth_enable_hw_features, 0x7fc0356f, "_gpl");
SYMBOL_CRC(qeth_set_features, 0xb45bda79, "_gpl");
SYMBOL_CRC(qeth_fix_features, 0x771a7801, "_gpl");
SYMBOL_CRC(qeth_features_check, 0x27efa5d8, "_gpl");
SYMBOL_CRC(qeth_get_stats64, 0x68dbef08, "_gpl");
SYMBOL_CRC(qeth_set_real_num_tx_queues, 0x964830e6, "_gpl");
SYMBOL_CRC(qeth_iqd_select_queue, 0x4cc48d91, "_gpl");
SYMBOL_CRC(qeth_osa_select_queue, 0xb628a8e3, "_gpl");
SYMBOL_CRC(qeth_open, 0x518befd1, "_gpl");
SYMBOL_CRC(qeth_stop, 0xaf8284a4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x318b611e, "ccw_device_get_cssid" },
	{ 0x81590ddd, "napi_alloc_skb" },
	{ 0x6a5a01f8, "alloc_etherdev_mqs" },
	{ 0xe44a3668, "ccw_device_halt" },
	{ 0xda80ef60, "ccw_device_start_timeout" },
	{ 0x15b49bac, "vscnprintf" },
	{ 0xeb86456e, "qdio_shutdown" },
	{ 0x2955e3a5, "napi_gro_frags" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x3241e604, "ccwgroup_set_offline" },
	{ 0x3a576f2e, "vmemmap" },
	{ 0xd19c650b, "ccw_device_get_chid" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xee0ce0b7, "skb_copy_bits" },
	{ 0xbb8d5557, "qdio_allocate" },
	{ 0xf4e03b79, "qdio_inspect_output_queue" },
	{ 0x86867ab3, "skb_put" },
	{ 0x417cbbf4, "skb_tstamp_tx" },
	{ 0x515ce864, "netdev_update_features" },
	{ 0x4fe724a3, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x6c83c88e, "netif_napi_add_weight" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x157f3bc9, "napi_get_frags" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x51abdbfa, "skb_add_rx_frag" },
	{ 0x88a1c1b6, "debug_set_level" },
	{ 0xe0688815, "register_service_level" },
	{ 0x569031f9, "debug_register" },
	{ 0x236c8c64, "memcpy" },
	{ 0x2fbc7327, "ccw_device_start" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x4a3617f2, "seq_lseek" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xd1090959, "qdio_add_bufs_to_output_queue" },
	{ 0x9c7dafa2, "__netif_napi_del" },
	{ 0x99f2ea38, "kmem_cache_create" },
	{ 0x60a6ae8c, "get_device" },
	{ 0x6e00b8cb, "_ebcasc" },
	{ 0x74ebbfd5, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc090b0d4, "qdio_get_ssqd_desc" },
	{ 0x68d500ce, "ccwgroup_create_dev" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xffac0967, "pskb_expand_head" },
	{ 0xda269246, "wake_up_process" },
	{ 0xbd4d2d32, "timer_reduce" },
	{ 0x2e91b0ed, "eth_type_trans" },
	{ 0xcd0c29d2, "wait_for_completion_interruptible_timeout" },
	{ 0x75ae3849, "napi_complete_done" },
	{ 0x9e0941b7, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0x950bba2f, "unregister_service_level" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x265c6dca, "qdio_inspect_input_queue" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xf0ee69f7, "put_device" },
	{ 0x90a3075a, "__napi_schedule" },
	{ 0xd495d8a7, "root_device_unregister" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x9a249766, "netif_device_detach" },
	{ 0xf5ea2664, "__free_pages" },
	{ 0x328350fd, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x24fef994, "_dev_info" },
	{ 0xe10b3d29, "napi_gro_receive" },
	{ 0x57830b70, "netdev_pick_tx" },
	{ 0xead58fb9, "print_hex_dump" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x73bf20c6, "_ascebc" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x1592434e, "ccwgroup_probe_ccwdev" },
	{ 0x134638f6, "qdio_establish" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x15471fb, "_dev_err" },
	{ 0xf5919712, "softnet_data" },
	{ 0x6cf15027, "ccw_device_get_id" },
	{ 0x864a3b37, "__root_device_register" },
	{ 0x3cb87911, "ccw_device_get_ciw" },
	{ 0x42ad757f, "netif_set_real_num_tx_queues" },
	{ 0xf14300ad, "sk_skb_reason_drop" },
	{ 0x6ed6ff85, "ccw_device_get_chp_desc" },
	{ 0x1c4445c0, "qdio_alloc_buffers" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xd5489bd, "netdev_printk" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x42f51ebb, "skb_push" },
	{ 0x82e47b54, "kmem_cache_free" },
	{ 0x2e3f0581, "ccwgroup_driver_register" },
	{ 0xabaff9e8, "debugfs_remove" },
	{ 0x52ed6500, "napi_enable" },
	{ 0x2a611061, "free_netdev" },
	{ 0x43cf3bc3, "dql_completed" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4c1de3bb, "__debug_sprintf_event" },
	{ 0xd50fa6cb, "ethtool_op_get_link" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x59457b9b, "netif_tx_stop_all_queues" },
	{ 0x5ba0a77d, "netif_tx_wake_queue" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0x6d45c308, "ccw_device_set_offline" },
	{ 0xc1db259, "_dev_warn" },
	{ 0x776be5ba, "ccw_driver_register" },
	{ 0x3521d572, "netif_schedule_queue" },
	{ 0xda829eef, "__alloc_pages" },
	{ 0x73070320, "ccw_device_clear" },
	{ 0x77abf1a3, "qdio_free_buffers" },
	{ 0xd4c12f24, "qdio_reset_buffers" },
	{ 0xb089b0b0, "netdev_set_tc_queue" },
	{ 0x972ef841, "qdio_start_irq" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x9f0ca0fe, "__pskb_pull_tail" },
	{ 0x79379645, "__netdev_alloc_skb" },
	{ 0xe798236d, "jiffies" },
	{ 0x87f47edd, "kthread_create_on_node" },
	{ 0x6ff75260, "debug_hex_ascii_view" },
	{ 0x57cc72f2, "debug_unregister" },
	{ 0x6054f0c1, "seq_read" },
	{ 0xb7ee2a2c, "diag26c" },
	{ 0xc622ea97, "stsi" },
	{ 0xb89a466b, "ccwgroup_driver_unregister" },
	{ 0x43c17bb8, "ccwgroup_remove_ccwdev" },
	{ 0xaa7aa142, "debugfs_create_file" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x7f5cea7e, "ccw_device_get_iid" },
	{ 0xbadde9e2, "debug_event_common" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3381480d, "netif_carrier_off" },
	{ 0x656eb398, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x9584eb0, "ccw_device_set_online" },
	{ 0x6a89541d, "netdev_set_num_tc" },
	{ 0x7ef27907, "kobject_uevent" },
	{ 0xe6f1486d, "dql_reset" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xa088dcef, "single_release" },
	{ 0x43536fb6, "qdio_add_bufs_to_input_queue" },
	{ 0xfcf21865, "kmalloc_trace" },
	{ 0x9d1159f3, "__napi_schedule_irqoff" },
	{ 0xe8c48e0f, "napi_schedule_prep" },
	{ 0xb63e2d49, "napi_consume_skb" },
	{ 0x1c9aff80, "debug_sprintf_view" },
	{ 0x2283ba14, "qdio_stop_irq" },
	{ 0x2e05101e, "napi_disable" },
	{ 0x766ca9db, "qdio_free" },
	{ 0x194299b, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0xbd21c937, "debugfs_create_dir" },
	{ 0x2d948f8d, "debug_register_view" },
	{ 0xd8fcda72, "cpcmd" },
	{ 0xb5402b8e, "ccw_driver_unregister" },
	{ 0x9c19328, "skb_clone_tx_timestamp" },
	{ 0x94b71397, "qdio_activate" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xc5737683, "ethtool_op_get_ts_info" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x641ec9e2, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xa0f33e85, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x647c164d, "module_layout" },
};

MODULE_INFO(depends, "qdio,ccwgroup");

MODULE_ALIAS("ccw:t1731m01dt1732dm01*");
MODULE_ALIAS("ccw:t1731m05dt1732dm05*");
MODULE_ALIAS("ccw:t1731m02dt1732dm03*");

MODULE_INFO(srcversion, "FBC9028ACD69E705172FA0A");
MODULE_INFO(rhelversion, "9.6");
