#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iscsi_tcp_segment_unmap, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_segment_done, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_dgst_header, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_init_linear, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_seek_sg, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_hdr_recv_prep, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_cleanup_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_segment_is_hdr, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_skb, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_init, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_xmit, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_setup, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_teardown, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_alloc, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_free, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_set_max_r2t, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_get_stats, "_gpl", "");

SYMBOL_CRC(iscsi_tcp_segment_unmap, 0xfb5387c2, "_gpl");
SYMBOL_CRC(iscsi_tcp_segment_done, 0x055d95fe, "_gpl");
SYMBOL_CRC(iscsi_tcp_dgst_header, 0xce99d32c, "_gpl");
SYMBOL_CRC(iscsi_segment_init_linear, 0x7f8fddc5, "_gpl");
SYMBOL_CRC(iscsi_segment_seek_sg, 0x51c81a19, "_gpl");
SYMBOL_CRC(iscsi_tcp_hdr_recv_prep, 0x6374ffb0, "_gpl");
SYMBOL_CRC(iscsi_tcp_cleanup_task, 0x8cec1588, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_segment_is_hdr, 0xb195fd5e, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_skb, 0x9d2f4df1, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_init, 0xc4d7f645, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_xmit, 0x09369e45, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_setup, 0xe050355b, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_teardown, 0xf9ac49f7, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_alloc, 0x87e7bbd2, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_free, 0xd6421c71, "_gpl");
SYMBOL_CRC(iscsi_tcp_set_max_r2t, 0xdfed2f59, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_get_stats, 0x605ff4a0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbc02ecf4, "iscsi_dbg_trace" },
	{ 0x62124908, "dev_printk" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x27b296a0, "crypto_ahash_digest" },
	{ 0x32d7ca25, "iscsi_conn_setup" },
	{ 0xe53ba1a7, "iscsi_conn_teardown" },
	{ 0xb534f61f, "__kfifo_alloc" },
	{ 0x3bef2f73, "iscsi_pool_init" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x8d303b1b, "iscsi_pool_free" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xaa976bb3, "__tracepoint_iscsi_dbg_tcp" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x101737b8, "__traceiter_iscsi_dbg_tcp" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x3a31de9e, "iscsi_prep_data_out_pdu" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x3737dfd3, "iscsi_conn_failure" },
	{ 0x6186203b, "iscsi_put_task" },
	{ 0x621585b9, "iscsi_itt_to_ctask" },
	{ 0xe798236d, "jiffies" },
	{ 0x38d64342, "iscsi_get_task" },
	{ 0x8985cc20, "iscsi_update_cmdsn" },
	{ 0x9330da81, "iscsi_requeue_task" },
	{ 0x3a576f2e, "vmemmap" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xd4e36fc8, "crypto_ahash_final" },
	{ 0x236c8c64, "memcpy" },
	{ 0x38f8c051, "skb_prepare_seq_read" },
	{ 0x909f2e94, "skb_seq_read" },
	{ 0xa47727f9, "skb_abort_seq_read" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xdf6448fe, "iscsi_complete_pdu" },
	{ 0x1e3e02e3, "iscsi_verify_itt" },
	{ 0xa5e20046, "__iscsi_complete_pdu" },
	{ 0x7576bb09, "param_ops_int" },
	{ 0x647c164d, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_iscsi,libiscsi");


MODULE_INFO(srcversion, "AD9D6C9944437EF83E227A6");
MODULE_INFO(rhelversion, "9.6");
