#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(__tracepoint_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_session, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_session, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_put_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_lookup_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_ipaddress_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_router_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_iface, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_iface, "_gpl", "");
KSYMTAB_FUNC(iscsi_flashnode_bus_match, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_flashnode_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_find_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_find_flashnode_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_all_flashnode, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_chkready, "_gpl", "");
KSYMTAB_FUNC(iscsi_is_session_online, "_gpl", "");
KSYMTAB_FUNC(iscsi_is_session_dev, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_for_each_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_block_scsi_eh, "_gpl", "");
KSYMTAB_FUNC(iscsi_unblock_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_block_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_alloc_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_add_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_remove_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_force_destroy_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_free_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_alloc_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_add_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_remove_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_put_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_recv_pdu, "_gpl", "");
KSYMTAB_FUNC(iscsi_offload_mesg, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_error_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_login_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_post_host_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_ping_comp_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_discovery_parent_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_port_speed_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_port_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_register_transport, "_gpl", "");
KSYMTAB_FUNC(iscsi_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(iscsi_dbg_trace, "_gpl", "");

SYMBOL_CRC(__tracepoint_iscsi_dbg_conn, 0x5bfaa2c3, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_conn, 0x6d15e90d, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_conn, 0x71b768b0, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_eh, 0x0736dd10, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_eh, 0x07d70ebb, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_eh, 0xe4c79fa6, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_session, 0x3785e561, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_session, 0x86dba36b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_session, 0x584a31ab, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_tcp, 0xaa976bb3, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_tcp, 0x101737b8, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_tcp, 0x88768c48, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_sw_tcp, 0xd4e55f1e, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_sw_tcp, 0x5c08fb56, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_sw_tcp, 0xab4674c8, "_gpl");
SYMBOL_CRC(iscsi_create_endpoint, 0x972bf385, "_gpl");
SYMBOL_CRC(iscsi_destroy_endpoint, 0x7f27abf5, "_gpl");
SYMBOL_CRC(iscsi_put_endpoint, 0x4d89902c, "_gpl");
SYMBOL_CRC(iscsi_lookup_endpoint, 0x173302cb, "_gpl");
SYMBOL_CRC(iscsi_get_ipaddress_state_name, 0xbc071179, "_gpl");
SYMBOL_CRC(iscsi_get_router_state_name, 0x84a005f1, "_gpl");
SYMBOL_CRC(iscsi_create_iface, 0x741eb053, "_gpl");
SYMBOL_CRC(iscsi_destroy_iface, 0x3de20178, "_gpl");
SYMBOL_CRC(iscsi_flashnode_bus_match, 0xf7cafa3d, "_gpl");
SYMBOL_CRC(iscsi_create_flashnode_sess, 0x7bb81231, "_gpl");
SYMBOL_CRC(iscsi_create_flashnode_conn, 0xfb3aad55, "_gpl");
SYMBOL_CRC(iscsi_find_flashnode_sess, 0x8307ce16, "_gpl");
SYMBOL_CRC(iscsi_find_flashnode_conn, 0x77301014, "_gpl");
SYMBOL_CRC(iscsi_destroy_flashnode_sess, 0xe3fa8e3a, "_gpl");
SYMBOL_CRC(iscsi_destroy_all_flashnode, 0x8a561928, "_gpl");
SYMBOL_CRC(iscsi_session_chkready, 0xdf3942ed, "_gpl");
SYMBOL_CRC(iscsi_is_session_online, 0x39dd012b, "_gpl");
SYMBOL_CRC(iscsi_is_session_dev, 0x0b5f3cdb, "_gpl");
SYMBOL_CRC(iscsi_host_for_each_session, 0xf9333180, "_gpl");
SYMBOL_CRC(iscsi_block_scsi_eh, 0x19dcc70c, "_gpl");
SYMBOL_CRC(iscsi_unblock_session, 0xc232749c, "_gpl");
SYMBOL_CRC(iscsi_block_session, 0xb6209a3c, "_gpl");
SYMBOL_CRC(iscsi_alloc_session, 0x02eb7919, "_gpl");
SYMBOL_CRC(iscsi_add_session, 0x4e9742e4, "_gpl");
SYMBOL_CRC(iscsi_create_session, 0xc7f35cb5, "_gpl");
SYMBOL_CRC(iscsi_remove_session, 0x562dc7e4, "_gpl");
SYMBOL_CRC(iscsi_force_destroy_session, 0x735dcb20, "_gpl");
SYMBOL_CRC(iscsi_free_session, 0x75e5fce9, "_gpl");
SYMBOL_CRC(iscsi_alloc_conn, 0xb830d7b2, "_gpl");
SYMBOL_CRC(iscsi_add_conn, 0x7bf16ec6, "_gpl");
SYMBOL_CRC(iscsi_remove_conn, 0x2ee65175, "_gpl");
SYMBOL_CRC(iscsi_put_conn, 0xd2631cb2, "_gpl");
SYMBOL_CRC(iscsi_get_conn, 0xa9e69c7d, "_gpl");
SYMBOL_CRC(iscsi_recv_pdu, 0x2cd83ca4, "_gpl");
SYMBOL_CRC(iscsi_offload_mesg, 0x38c00cc6, "_gpl");
SYMBOL_CRC(iscsi_conn_error_event, 0xafc7dcfd, "_gpl");
SYMBOL_CRC(iscsi_conn_login_event, 0x7445c5f5, "_gpl");
SYMBOL_CRC(iscsi_post_host_event, 0xc90c8bf6, "_gpl");
SYMBOL_CRC(iscsi_ping_comp_event, 0xad514a29, "_gpl");
SYMBOL_CRC(iscsi_session_event, 0x91660502, "_gpl");
SYMBOL_CRC(iscsi_get_discovery_parent_name, 0x699fe53e, "_gpl");
SYMBOL_CRC(iscsi_get_port_speed_name, 0x41efa356, "_gpl");
SYMBOL_CRC(iscsi_get_port_state_name, 0x7d49670b, "_gpl");
SYMBOL_CRC(iscsi_register_transport, 0xe108bed0, "_gpl");
SYMBOL_CRC(iscsi_unregister_transport, 0xff485501, "_gpl");
SYMBOL_CRC(iscsi_dbg_trace, 0xbc02ecf4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9adc9c67, "vsnprintf" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xa8b08b27, "perf_trace_run_bpf_submit" },
	{ 0x83607446, "trace_event_buffer_reserve" },
	{ 0x8d9247ae, "trace_event_buffer_commit" },
	{ 0xc91dc0b6, "event_triggers_call" },
	{ 0x497b6363, "trace_event_ignore_this_pid" },
	{ 0x836ebc4a, "trace_raw_output_prep" },
	{ 0xfa63ed8b, "trace_event_printf" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe9d47366, "bpf_trace_run2" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0xf0ee69f7, "put_device" },
	{ 0xb3dc63bd, "device_unregister" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xe021d48b, "sysfs_remove_group" },
	{ 0x3761d215, "idr_find" },
	{ 0x60a6ae8c, "get_device" },
	{ 0xd28a46a5, "device_find_child" },
	{ 0x375f152f, "device_for_each_child" },
	{ 0x92997ed8, "_printk" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xc6cbbc89, "capable" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x62124908, "dev_printk" },
	{ 0xb0bef611, "scsi_target_unblock" },
	{ 0xf7370f56, "system_state" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x397dd48d, "netlink_kernel_release" },
	{ 0x2bee26c5, "bus_unregister" },
	{ 0xaaae85be, "transport_class_unregister" },
	{ 0x4db31b7e, "class_unregister" },
	{ 0xcc4ee397, "class_register" },
	{ 0xee8e926e, "transport_class_register" },
	{ 0xac4471a7, "bus_register" },
	{ 0x89ebc372, "init_net" },
	{ 0x74e25da8, "__netlink_kernel_create" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xef19946, "scsi_host_get" },
	{ 0x22693ce, "device_initialize" },
	{ 0x98de1c15, "snprintf" },
	{ 0xdf048e1a, "scsi_init_limits" },
	{ 0x9ecf9bcc, "bsg_setup_queue" },
	{ 0xe3cf9667, "netlink_broadcast_filtered" },
	{ 0x781b2b7f, "__alloc_skb" },
	{ 0xa8378d94, "__nlmsg_put" },
	{ 0x236c8c64, "memcpy" },
	{ 0x8e8cc214, "scsi_is_host_device" },
	{ 0xd8aad18a, "bsg_remove_queue" },
	{ 0x3219874e, "scsi_host_put" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xd1aa5a92, "bsg_job_done" },
	{ 0xe7833313, "scsi_host_lookup" },
	{ 0xb50168d5, "skb_trim" },
	{ 0xf14300ad, "sk_skb_reason_drop" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x561355f6, "transport_remove_device" },
	{ 0x8c0d7e34, "transport_destroy_device" },
	{ 0x661df11, "device_del" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf9a482f9, "msleep" },
	{ 0x641ec9e2, "kmalloc_caches" },
	{ 0xfcf21865, "kmalloc_trace" },
	{ 0x11bb051b, "dev_set_name" },
	{ 0x5c257c78, "device_register" },
	{ 0x4aca9e1, "sysfs_create_group" },
	{ 0x554944c0, "attribute_container_register" },
	{ 0x850f33a8, "device_add" },
	{ 0x3dd91ba, "transport_setup_device" },
	{ 0x900bb1f9, "transport_add_device" },
	{ 0xcb83fd48, "scsi_block_targets" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x8c47afca, "idr_alloc" },
	{ 0xdcb527d1, "attribute_container_unregister" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x4987c5a1, "scsi_remove_target" },
	{ 0x322bc448, "scsi_scan_target" },
	{ 0x1b69e75, "netlink_capable" },
	{ 0x9d62f995, "try_module_get" },
	{ 0x6d23a6ed, "module_put" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x75e8755a, "netlink_unicast" },
	{ 0x931be636, "skb_pull" },
	{ 0x40afa919, "trace_event_reg" },
	{ 0xfa6e8656, "trace_event_raw_init" },
	{ 0x7576bb09, "param_ops_int" },
	{ 0x647c164d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "DE0EEF9835D403381308334");
MODULE_INFO(rhelversion, "9.6");
