#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(jbd2__journal_start, "", "");
KSYMTAB_FUNC(jbd2_journal_start, "", "");
KSYMTAB_FUNC(jbd2_journal_free_reserved, "", "");
KSYMTAB_FUNC(jbd2_journal_start_reserved, "", "");
KSYMTAB_FUNC(jbd2__journal_restart, "", "");
KSYMTAB_FUNC(jbd2_journal_restart, "", "");
KSYMTAB_FUNC(jbd2_submit_inode_data, "", "");
KSYMTAB_FUNC(jbd2_wait_inode_data, "", "");
KSYMTAB_FUNC(jbd2_journal_extend, "", "");
KSYMTAB_FUNC(jbd2_journal_stop, "", "");
KSYMTAB_FUNC(jbd2_journal_lock_updates, "", "");
KSYMTAB_FUNC(jbd2_journal_unlock_updates, "", "");
KSYMTAB_FUNC(jbd2_journal_get_write_access, "", "");
KSYMTAB_FUNC(jbd2_journal_get_create_access, "", "");
KSYMTAB_FUNC(jbd2_journal_get_undo_access, "", "");
KSYMTAB_FUNC(jbd2_journal_set_triggers, "", "");
KSYMTAB_FUNC(jbd2_journal_dirty_metadata, "", "");
KSYMTAB_FUNC(jbd2_journal_forget, "", "");
KSYMTAB_FUNC(jbd2_journal_flush, "", "");
KSYMTAB_FUNC(jbd2_journal_revoke, "", "");
KSYMTAB_FUNC(jbd2_journal_init_dev, "", "");
KSYMTAB_FUNC(jbd2_journal_init_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_check_used_features, "", "");
KSYMTAB_FUNC(jbd2_journal_check_available_features, "", "");
KSYMTAB_FUNC(jbd2_journal_set_features, "", "");
KSYMTAB_FUNC(jbd2_journal_load, "", "");
KSYMTAB_FUNC(jbd2_journal_destroy, "", "");
KSYMTAB_FUNC(jbd2_journal_abort, "", "");
KSYMTAB_FUNC(jbd2_journal_errno, "", "");
KSYMTAB_FUNC(jbd2_journal_ack_err, "", "");
KSYMTAB_FUNC(jbd2_journal_clear_err, "", "");
KSYMTAB_FUNC(jbd2_log_wait_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_start_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_force_commit_nested, "", "");
KSYMTAB_FUNC(jbd2_journal_wipe, "", "");
KSYMTAB_FUNC(jbd2_journal_blocks_per_page, "", "");
KSYMTAB_FUNC(jbd2_journal_invalidate_folio, "", "");
KSYMTAB_FUNC(jbd2_journal_try_to_free_buffers, "", "");
KSYMTAB_FUNC(jbd2_journal_force_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_inode_ranged_write, "", "");
KSYMTAB_FUNC(jbd2_journal_inode_ranged_wait, "", "");
KSYMTAB_FUNC(jbd2_journal_finish_inode_data_buffers, "", "");
KSYMTAB_FUNC(jbd2_journal_init_jbd_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_release_jbd_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_begin_ordered_truncate, "", "");
KSYMTAB_DATA(jbd2_inode_cache, "", "");
KSYMTAB_FUNC(jbd2_trans_will_send_data_barrier, "", "");
KSYMTAB_FUNC(jbd2_fc_begin_commit, "", "");
KSYMTAB_FUNC(jbd2_fc_end_commit, "", "");
KSYMTAB_FUNC(jbd2_fc_end_commit_fallback, "", "");
KSYMTAB_FUNC(jbd2_transaction_committed, "", "");
KSYMTAB_FUNC(jbd2_complete_transaction, "", "");
KSYMTAB_FUNC(jbd2_fc_get_buf, "", "");
KSYMTAB_FUNC(jbd2_fc_wait_bufs, "", "");
KSYMTAB_FUNC(jbd2_fc_release_bufs, "", "");
KSYMTAB_FUNC(jbd2_journal_update_sb_errno, "", "");
KSYMTAB_FUNC(jbd2_journal_clear_features, "", "");
KSYMTAB_FUNC(jbd2_journal_grab_journal_head, "", "");
KSYMTAB_FUNC(jbd2_journal_put_journal_head, "", "");

SYMBOL_CRC(jbd2__journal_start, 0x11aa3343, "");
SYMBOL_CRC(jbd2_journal_start, 0xc043947e, "");
SYMBOL_CRC(jbd2_journal_free_reserved, 0x88be7bd5, "");
SYMBOL_CRC(jbd2_journal_start_reserved, 0x36fc8a39, "");
SYMBOL_CRC(jbd2__journal_restart, 0x85133276, "");
SYMBOL_CRC(jbd2_journal_restart, 0x183486e0, "");
SYMBOL_CRC(jbd2_submit_inode_data, 0x11336da9, "");
SYMBOL_CRC(jbd2_wait_inode_data, 0x7c0cb96f, "");
SYMBOL_CRC(jbd2_journal_extend, 0xc0a271c6, "");
SYMBOL_CRC(jbd2_journal_stop, 0x78c90726, "");
SYMBOL_CRC(jbd2_journal_lock_updates, 0xaee5a986, "");
SYMBOL_CRC(jbd2_journal_unlock_updates, 0x142f8004, "");
SYMBOL_CRC(jbd2_journal_get_write_access, 0x1fe6dbab, "");
SYMBOL_CRC(jbd2_journal_get_create_access, 0x6a730f9d, "");
SYMBOL_CRC(jbd2_journal_get_undo_access, 0x80e85276, "");
SYMBOL_CRC(jbd2_journal_set_triggers, 0x6ffce451, "");
SYMBOL_CRC(jbd2_journal_dirty_metadata, 0x10cfb8e0, "");
SYMBOL_CRC(jbd2_journal_forget, 0xf3d80c0c, "");
SYMBOL_CRC(jbd2_journal_flush, 0xc24bdb47, "");
SYMBOL_CRC(jbd2_journal_revoke, 0x3d05d1f0, "");
SYMBOL_CRC(jbd2_journal_init_dev, 0x67184283, "");
SYMBOL_CRC(jbd2_journal_init_inode, 0x632f2367, "");
SYMBOL_CRC(jbd2_journal_check_used_features, 0x764e1c73, "");
SYMBOL_CRC(jbd2_journal_check_available_features, 0x3df4324b, "");
SYMBOL_CRC(jbd2_journal_set_features, 0xf4ddf819, "");
SYMBOL_CRC(jbd2_journal_load, 0xd398788e, "");
SYMBOL_CRC(jbd2_journal_destroy, 0x7c9de958, "");
SYMBOL_CRC(jbd2_journal_abort, 0xa1412231, "");
SYMBOL_CRC(jbd2_journal_errno, 0x65a8021c, "");
SYMBOL_CRC(jbd2_journal_ack_err, 0xc2caae6f, "");
SYMBOL_CRC(jbd2_journal_clear_err, 0xaa2b1c21, "");
SYMBOL_CRC(jbd2_log_wait_commit, 0xbe12b11e, "");
SYMBOL_CRC(jbd2_journal_start_commit, 0xfa24e60f, "");
SYMBOL_CRC(jbd2_journal_force_commit_nested, 0x44e4685b, "");
SYMBOL_CRC(jbd2_journal_wipe, 0x399ffdb7, "");
SYMBOL_CRC(jbd2_journal_blocks_per_page, 0x98483278, "");
SYMBOL_CRC(jbd2_journal_invalidate_folio, 0x2dd36f3f, "");
SYMBOL_CRC(jbd2_journal_try_to_free_buffers, 0x81c29141, "");
SYMBOL_CRC(jbd2_journal_force_commit, 0x2a7ec7c1, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_write, 0x301e093c, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_wait, 0xc0ffc992, "");
SYMBOL_CRC(jbd2_journal_finish_inode_data_buffers, 0xf52f6364, "");
SYMBOL_CRC(jbd2_journal_init_jbd_inode, 0x9722a791, "");
SYMBOL_CRC(jbd2_journal_release_jbd_inode, 0xf9d38c58, "");
SYMBOL_CRC(jbd2_journal_begin_ordered_truncate, 0xe0bc1003, "");
SYMBOL_CRC(jbd2_inode_cache, 0xacd81eb3, "");
SYMBOL_CRC(jbd2_trans_will_send_data_barrier, 0x07d2f6b4, "");
SYMBOL_CRC(jbd2_fc_begin_commit, 0xe0712a03, "");
SYMBOL_CRC(jbd2_fc_end_commit, 0x29f6a076, "");
SYMBOL_CRC(jbd2_fc_end_commit_fallback, 0x810b6232, "");
SYMBOL_CRC(jbd2_transaction_committed, 0xcc237285, "");
SYMBOL_CRC(jbd2_complete_transaction, 0xb76adbd9, "");
SYMBOL_CRC(jbd2_fc_get_buf, 0x26af757e, "");
SYMBOL_CRC(jbd2_fc_wait_bufs, 0x76fc7a33, "");
SYMBOL_CRC(jbd2_fc_release_bufs, 0x4d1269c5, "");
SYMBOL_CRC(jbd2_journal_update_sb_errno, 0xc9d0b5fd, "");
SYMBOL_CRC(jbd2_journal_clear_features, 0xc4972f8e, "");
SYMBOL_CRC(jbd2_journal_grab_journal_head, 0x13cc3bf6, "");
SYMBOL_CRC(jbd2_journal_put_journal_head, 0xd4e6e700, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0xb6de67a3, "bh_uptodate_or_lock" },
	{ 0x3a576f2e, "vmemmap" },
	{ 0xd80ad245, "blk_start_plug" },
	{ 0xf0a48d0b, "bpf_trace_run4" },
	{ 0x93adcce, "__percpu_counter_init_many" },
	{ 0x7fffbb77, "folio_unlock" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x8cd7daf2, "seq_release" },
	{ 0x98de1c15, "snprintf" },
	{ 0x836ebc4a, "trace_raw_output_prep" },
	{ 0x3d3a48b, "bpf_trace_run6" },
	{ 0x1ec59cce, "mark_buffer_dirty" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x692ceb13, "__find_get_block" },
	{ 0x18c418a7, "filemap_fdatawrite_range" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xfa63ed8b, "trace_event_printf" },
	{ 0x90c8adc3, "__bforget" },
	{ 0x14052eba, "write_dirty_buffer" },
	{ 0xfbf9c4c9, "register_shrinker" },
	{ 0x876fa4e2, "percpu_counter_destroy_many" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0x69097457, "crc32_be" },
	{ 0xfa6e8656, "trace_event_raw_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe4beca4b, "iput" },
	{ 0x4a3617f2, "seq_lseek" },
	{ 0x62eabe12, "blockdev_superblock" },
	{ 0x3cb02ab1, "proc_create_data" },
	{ 0xe9d47366, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xc91dc0b6, "event_triggers_call" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x99f2ea38, "kmem_cache_create" },
	{ 0x3c289a14, "bpf_trace_run8" },
	{ 0x109dfd77, "submit_bh" },
	{ 0xc05b2b64, "alloc_buffer_head" },
	{ 0xda269246, "wake_up_process" },
	{ 0x8d9247ae, "trace_event_buffer_commit" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x246504bd, "crypto_destroy_tfm" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x5dd76e44, "mutex_lock_io" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x497b6363, "trace_event_ignore_this_pid" },
	{ 0xe437f453, "try_to_free_buffers" },
	{ 0x7a2f2538, "sync_blockdev" },
	{ 0x2c08bc0d, "free_buffer_head" },
	{ 0x57bf7ab7, "unregister_shrinker" },
	{ 0x328350fd, "kmem_cache_alloc" },
	{ 0x5a52f42b, "blk_finish_plug" },
	{ 0x13d929a0, "__cond_resched_lock" },
	{ 0x769f6e64, "errseq_check" },
	{ 0x800473f, "__cond_resched" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x380ec283, "bit_waitqueue" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf34f932c, "__brelse" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xa8b08b27, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x5240ee7, "percpu_counter_batch" },
	{ 0xc2a113a, "add_timer" },
	{ 0x69b18901, "__bh_read_batch" },
	{ 0xd75290ec, "bpf_trace_run5" },
	{ 0xc2717ecf, "__wait_on_buffer" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x82e47b54, "kmem_cache_free" },
	{ 0x83d95ea, "__bh_read" },
	{ 0x40afa919, "trace_event_reg" },
	{ 0x53c24b01, "mutex_is_locked" },
	{ 0x237afd8a, "blkdev_issue_zeroout" },
	{ 0x99a174b3, "filemap_fdatawait_range_keep_errors" },
	{ 0x55bf4fe0, "crypto_shash_update" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xe404f076, "freezing_slow_path" },
	{ 0xe09dbb53, "bpf_trace_run1" },
	{ 0x9e50872b, "proc_mkdir" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xe798236d, "jiffies" },
	{ 0x87f47edd, "kthread_create_on_node" },
	{ 0x87decc6, "bpf_trace_run3" },
	{ 0x6054f0c1, "seq_read" },
	{ 0x925d273a, "unlock_buffer" },
	{ 0xe1fde104, "__getblk_gfp" },
	{ 0x83607446, "trace_event_buffer_reserve" },
	{ 0x21bdb523, "errseq_check_and_advance" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x90abb542, "prepare_to_wait_exclusive" },
	{ 0x4d5fe525, "percpu_counter_add_batch" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xca431c05, "wake_bit_function" },
	{ 0x395fa447, "__folio_put" },
	{ 0xde5db408, "remove_proc_entry" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x656eb398, "seq_printf" },
	{ 0x2928e603, "__lock_buffer" },
	{ 0x59b2212d, "truncate_inode_pages_range" },
	{ 0xa6338248, "blkdev_issue_flush" },
	{ 0xe5f241b2, "folio_set_bh" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x1964f32b, "end_buffer_write_sync" },
	{ 0xc71a4c45, "seq_open" },
	{ 0xfcf21865, "kmalloc_trace" },
	{ 0xa4f37352, "bmap" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x25fe4a3d, "schedule_hrtimeout" },
	{ 0x90191213, "crypto_alloc_shash" },
	{ 0x7410aba2, "strreplace" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x641ec9e2, "kmalloc_caches" },
	{ 0xa0f33e85, "kmem_cache_destroy" },
	{ 0xb3e9897c, "blkdev_issue_discard" },
	{ 0x647c164d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1E9097C1A77DB81BD622467");
MODULE_INFO(rhelversion, "9.6");
