#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nfs41_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_setup_sequence, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_rw_stateid, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_session_trunk, "_gpl", "");
KSYMTAB_FUNC(nfs4_proc_getdeviceinfo, "_gpl", "");
KSYMTAB_DATA(nfs41_maxgetdevinfo_overhead, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_migration_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_moved_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_stateid_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_session_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs_remove_bad_delegation, "_gpl", "");
KSYMTAB_FUNC(nfs_map_string_to_numeric, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_or_create_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_ds_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_reg, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_reg, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_reg, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(__traceiter_fl_getdevinfo, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(pnfs_register_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_unregister_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_put_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_destroy_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_layout_insert_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_update_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_error_mark_layout_for_return, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_check_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_cleanup, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(pnfs_write_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_write_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_writepages, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_read_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_resend_pnfs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_readpages, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_lo_fail, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_layoutcommit, "_gpl", "");
KSYMTAB_FUNC(pnfs_layoutcommit_inode, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(pnfs_report_layoutstat, "_gpl", "");
KSYMTAB_DATA(layoutstats_timer, "_gpl", "");
KSYMTAB_FUNC(nfs4_print_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_get_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_delete_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_put_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_available, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_rw_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_prepare_to_resend_writes, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_write_commit_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_clear_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_alloc_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_free_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_add_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_release_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_destroy, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_scan_commit_lists, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_recover_commit_reqs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_pagelist, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_put, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_add, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_connect, "_gpl", "");
KSYMTAB_FUNC(nfs4_decode_mp_ds_addr, "_gpl", "");
KSYMTAB_FUNC(pnfs_layout_mark_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_nfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(nfs42_proc_layouterror, "_gpl", "");

SYMBOL_CRC(nfs41_sequence_done, 0xc0a83301, "_gpl");
SYMBOL_CRC(nfs4_sequence_done, 0x0f77ab8c, "_gpl");
SYMBOL_CRC(nfs4_setup_sequence, 0x274e106e, "_gpl");
SYMBOL_CRC(nfs4_set_rw_stateid, 0x7767ec46, "_gpl");
SYMBOL_CRC(nfs4_test_session_trunk, 0xbf93cd42, "_gpl");
SYMBOL_CRC(nfs4_proc_getdeviceinfo, 0xfede8f32, "_gpl");
SYMBOL_CRC(nfs41_maxgetdevinfo_overhead, 0xf7801360, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_recovery, 0x9ac95015, "_gpl");
SYMBOL_CRC(nfs4_schedule_migration_recovery, 0x0abf7541, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_moved_recovery, 0x29f0331e, "_gpl");
SYMBOL_CRC(nfs4_schedule_stateid_recovery, 0x9405746a, "_gpl");
SYMBOL_CRC(nfs4_schedule_session_recovery, 0xc5c9b0f5, "_gpl");
SYMBOL_CRC(nfs_remove_bad_delegation, 0x2a2949ff, "_gpl");
SYMBOL_CRC(nfs_map_string_to_numeric, 0xc3331772, "_gpl");
SYMBOL_CRC(nfs4_find_or_create_ds_client, 0xd8f259fc, "_gpl");
SYMBOL_CRC(nfs4_set_ds_client, 0xb2abb597, "_gpl");
SYMBOL_CRC(nfs4_init_ds_session, 0xe6195d14, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_read, 0xede41327, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_read, 0x6ac2e3bd, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_read, 0xc7a9d954, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_write, 0x9a1a74c3, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_write, 0xc4a242a4, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_write, 0x533c198f, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_commit_ds, 0xeae8522f, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_commit_ds, 0x74e71fe7, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_commit_ds, 0x5a4314e9, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_read, 0xd0ecfaad, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_read, 0x83a5c09f, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, 0xba53a1ef, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_write, 0x974a1614, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_write, 0x855641b3, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, 0x0ff289f3, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, 0x0f01076e, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, 0x506fdc72, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0x7cd013a8, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_done, 0x82409884, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_done, 0x68174e94, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_done, 0x7a4e7f4e, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_done, 0x5ce462a3, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_done, 0xe5acfb57, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_done, 0x27ad47ea, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_pagelist, 0xcf29b95f, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_pagelist, 0x68e1100d, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, 0x579126b8, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_pagelist, 0xe19f5ee0, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_pagelist, 0x5bb4e5f0, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, 0xdf6991a4, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_read_error, 0x0aebca68, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_read_error, 0xd6ebb33e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_read_error, 0x785c06ab, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_write_error, 0x32bb6e05, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_write_error, 0x39bc5d20, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_write_error, 0x30a44ac3, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_commit_error, 0x7ab7bcc6, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_commit_error, 0xf23ffd69, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_commit_error, 0x08b2c467, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_reg, 0x2069ac1b, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_reg, 0xec08df58, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_reg, 0x02884be0, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_reg_err, 0xff07ac0d, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_reg_err, 0x4c3f2405, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_reg_err, 0x90c878c7, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_unreg, 0x5d1e2248, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_unreg, 0xf88839f1, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_unreg, 0x94384f04, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_unreg_err, 0x83ded87b, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_unreg_err, 0x90f4c078, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_unreg_err, 0x33759ebd, "_gpl");
SYMBOL_CRC(__tracepoint_fl_getdevinfo, 0xad99458e, "_gpl");
SYMBOL_CRC(__traceiter_fl_getdevinfo, 0x978e97eb, "_gpl");
SYMBOL_CRC(__SCK__tp_func_fl_getdevinfo, 0x8f78a275, "_gpl");
SYMBOL_CRC(pnfs_register_layoutdriver, 0xe016b8bf, "_gpl");
SYMBOL_CRC(pnfs_unregister_layoutdriver, 0xb23c249b, "_gpl");
SYMBOL_CRC(pnfs_put_lseg, 0x02c26a27, "_gpl");
SYMBOL_CRC(pnfs_destroy_layout, 0x9da08e33, "_gpl");
SYMBOL_CRC(pnfs_generic_layout_insert_lseg, 0xc5b4a773, "_gpl");
SYMBOL_CRC(pnfs_update_layout, 0xb92dcac8, "_gpl");
SYMBOL_CRC(pnfs_error_mark_layout_for_return, 0xf2671dcd, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_check_layout, 0x7e9987f5, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_read, 0xd8df6e17, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_write, 0xef2c034a, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_cleanup, 0xceef6181, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_test, 0xc4abd93c, "_gpl");
SYMBOL_CRC(pnfs_write_done_resend_to_mds, 0x33601a66, "_gpl");
SYMBOL_CRC(pnfs_ld_write_done, 0x793f4394, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_writepages, 0x7016b463, "_gpl");
SYMBOL_CRC(pnfs_read_done_resend_to_mds, 0xc4e24152, "_gpl");
SYMBOL_CRC(pnfs_ld_read_done, 0x3e256b77, "_gpl");
SYMBOL_CRC(pnfs_read_resend_pnfs, 0x972fe734, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_readpages, 0x42d9d6d8, "_gpl");
SYMBOL_CRC(pnfs_set_lo_fail, 0x8f892080, "_gpl");
SYMBOL_CRC(pnfs_set_layoutcommit, 0xa6621770, "_gpl");
SYMBOL_CRC(pnfs_layoutcommit_inode, 0x57a9728c, "_gpl");
SYMBOL_CRC(pnfs_generic_sync, 0x879d1bd0, "_gpl");
SYMBOL_CRC(pnfs_report_layoutstat, 0xd06f8f84, "_gpl");
SYMBOL_CRC(layoutstats_timer, 0x054bef45, "_gpl");
SYMBOL_CRC(nfs4_print_deviceid, 0xed15fb41, "_gpl");
SYMBOL_CRC(nfs4_find_get_deviceid, 0x2c29f88b, "_gpl");
SYMBOL_CRC(nfs4_delete_deviceid, 0xf55becd5, "_gpl");
SYMBOL_CRC(nfs4_init_deviceid_node, 0x16416182, "_gpl");
SYMBOL_CRC(nfs4_put_deviceid_node, 0xee191e5c, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_available, 0x2b402db9, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_unavailable, 0x7876fb60, "_gpl");
SYMBOL_CRC(nfs4_test_deviceid_unavailable, 0x38eb827d, "_gpl");
SYMBOL_CRC(pnfs_generic_rw_release, 0x69d3558d, "_gpl");
SYMBOL_CRC(pnfs_generic_prepare_to_resend_writes, 0x2f0d37a8, "_gpl");
SYMBOL_CRC(pnfs_generic_write_commit_done, 0xd7356e5c, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_release, 0xf999267e, "_gpl");
SYMBOL_CRC(pnfs_generic_clear_request_commit, 0xf54c0d65, "_gpl");
SYMBOL_CRC(pnfs_alloc_commit_array, 0x46310a9c, "_gpl");
SYMBOL_CRC(pnfs_free_commit_array, 0x90dcbe19, "_gpl");
SYMBOL_CRC(pnfs_add_commit_array, 0x7cd52af4, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_release_lseg, 0x7ec0804c, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_destroy, 0x912b99e6, "_gpl");
SYMBOL_CRC(pnfs_generic_scan_commit_lists, 0x4b6c0f46, "_gpl");
SYMBOL_CRC(pnfs_generic_recover_commit_reqs, 0x868bf39a, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_pagelist, 0xf1694b74, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_put, 0x40ad7f7f, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_add, 0xa0aae53e, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_connect, 0xaf0ef3ff, "_gpl");
SYMBOL_CRC(nfs4_decode_mp_ds_addr, 0x43b617a2, "_gpl");
SYMBOL_CRC(pnfs_layout_mark_request_commit, 0x2f407b07, "_gpl");
SYMBOL_CRC(pnfs_nfs_generic_sync, 0x5620cbc4, "_gpl");
SYMBOL_CRC(nfs42_proc_layouterror, 0x09f6b328, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2b4f581f, "rpc_put_task" },
	{ 0x6032002c, "generic_copy_file_range" },
	{ 0x168e0c28, "svc_generic_rpcbind_set" },
	{ 0xaaa83324, "nfs_clone_server" },
	{ 0x5610af7a, "nfs_access_add_cache" },
	{ 0xda67cf5d, "filemap_fdatawrite" },
	{ 0xdd193616, "nfs_show_stats" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x97459c4b, "nfs_server_remove_lists" },
	{ 0x3a047213, "nfs42_ssc_unregister" },
	{ 0x1dd054e3, "generic_listxattr" },
	{ 0x9d62f995, "try_module_get" },
	{ 0x61ed551e, "revert_creds" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x3a576f2e, "vmemmap" },
	{ 0x4b105d26, "nfs_writeback_update_inode" },
	{ 0xe209a642, "clear_inode" },
	{ 0x6ad6201c, "inode_to_bdi" },
	{ 0xf0a48d0b, "bpf_trace_run4" },
	{ 0xe4ca9638, "user_destroy" },
	{ 0x3761d215, "idr_find" },
	{ 0x6764fd96, "param_ops_uint" },
	{ 0xebe8fb0a, "user_revoke" },
	{ 0xfb4426a7, "d_exact_alias" },
	{ 0x31c5c4d9, "nfs_alloc_client" },
	{ 0xb06598dc, "register_sysctl" },
	{ 0xdae9b5d7, "nfs4_disable_idmapping" },
	{ 0x4ff12f16, "nfs_mark_client_ready" },
	{ 0x247cfa7b, "rpc_clnt_probe_trunked_xprts" },
	{ 0x54a0b6, "nfs_pageio_reset_read_mds" },
	{ 0xfdb1e47a, "xdr_write_pages" },
	{ 0xcdc39c9e, "security_ismaclabel" },
	{ 0x82d77d0c, "rpc_shutdown_client" },
	{ 0xed848bcf, "svc_bind" },
	{ 0xf9a48ed9, "nfs_d_prune_case_insensitive_aliases" },
	{ 0x40739385, "nfs_wait_bit_killable" },
	{ 0x5a148e34, "nfs_free_inode" },
	{ 0x7b3a9213, "nfs_access_zap_cache" },
	{ 0x95631753, "nfs_sb_deactive" },
	{ 0x6100d536, "nfs_wb_all" },
	{ 0x9c5332c3, "generic_file_splice_read" },
	{ 0x672e5867, "__break_lease" },
	{ 0xce2c84b8, "nfs_pageio_init_write" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xc3afb3b0, "svc_recv" },
	{ 0xb7cde4f, "nfs_drop_inode" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0x91d9b080, "xdr_inline_decode" },
	{ 0xbfcae349, "nfs_pageio_init_read" },
	{ 0x836ebc4a, "trace_raw_output_prep" },
	{ 0xe7f41ba8, "nfs_wait_client_init_complete" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0xc9a15b86, "nfs_init_commit" },
	{ 0x46d6d29f, "nfs_commitdata_release" },
	{ 0x3d3a48b, "bpf_trace_run6" },
	{ 0x68a0c9c1, "list_lru_destroy" },
	{ 0xca9360b5, "rb_next" },
	{ 0x20ea6074, "rpc_net_ns" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0x4be136ee, "nfs_mknod" },
	{ 0x8384bd6b, "nfs_inode_attach_open_context" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x43f7088a, "nfs4_label_alloc" },
	{ 0xb2b0e3db, "rpc_localaddr" },
	{ 0x5e45efdb, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0xfa63ed8b, "trace_event_printf" },
	{ 0x390c449b, "nfs_access_get_cached" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x8d0fd4ef, "idr_replace" },
	{ 0xbb74e0d4, "nfs_lock" },
	{ 0xfc2b61e0, "unregister_key_type" },
	{ 0xb59ca36f, "nfs_client_init_is_complete" },
	{ 0xfbf9c4c9, "register_shrinker" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xca257b09, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0xfa6e8656, "trace_event_raw_init" },
	{ 0x95a49194, "user_preparse" },
	{ 0xabe1431b, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0x4a8fd7f9, "ihold" },
	{ 0x99a4f6f1, "truncate_pagecache_range" },
	{ 0x837bf110, "rpc_peeraddr" },
	{ 0x37a0cba, "kfree" },
	{ 0xb726e5d6, "invalidate_inode_pages2_range" },
	{ 0x5707c693, "nfs_post_op_update_inode" },
	{ 0x9c1bfedd, "svc_exit_thread" },
	{ 0xe4beca4b, "iput" },
	{ 0x9b81dd11, "xdr_set_pagelen" },
	{ 0x11b29fdd, "nfs_pgio_header_free" },
	{ 0xf63a2316, "nfs_request_add_commit_list_locked" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0x272efeca, "logfc" },
	{ 0x31fbcc4b, "nfs_pgio_header_alloc" },
	{ 0x628cc1d5, "iter_file_splice_write" },
	{ 0x4fa3d30d, "rpc_pton" },
	{ 0x9e0646a1, "nfs_sb_active" },
	{ 0x5ef04cd0, "mod_node_page_state" },
	{ 0x9472e08a, "rpc_ntop" },
	{ 0xfd5e22ba, "rpc_wake_up_queued_task" },
	{ 0xe9d47366, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x272818db, "xdr_stream_zero" },
	{ 0x1e119a79, "rpcauth_get_pseudoflavor" },
	{ 0xb318419, "rpc_restart_call_prepare" },
	{ 0xc91dc0b6, "event_triggers_call" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x60b6ce0, "_copy_from_pages" },
	{ 0x5c8b384e, "__module_get" },
	{ 0x99f2ea38, "kmem_cache_create" },
	{ 0xe82bba20, "rpc_task_release_transport" },
	{ 0x10aa9fa, "xdr_page_pos" },
	{ 0xbe73699d, "nfs_file_release" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x353cf907, "nfs_pgio_current_mirror" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xeb020451, "key_instantiate_and_link" },
	{ 0xa2fc75e7, "trace_print_hex_seq" },
	{ 0x4dda726b, "match_strlcpy" },
	{ 0x7b1cee92, "xdr_read_pages" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0x8e4eed7f, "register_key_type" },
	{ 0xbe1d9283, "rpc_sleep_on" },
	{ 0x2532ce47, "rpc_run_task" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x39f060f7, "nfs_pageio_resend" },
	{ 0x5832aaf9, "keyring_alloc" },
	{ 0x29d6d848, "vfs_setpos" },
	{ 0xfd3b7cb7, "nfs_create" },
	{ 0x800b4108, "complete_request_key" },
	{ 0xe0de4f1a, "__put_cred" },
	{ 0xe3dfec2, "nfs_update_delegated_mtime" },
	{ 0xecb5841d, "nfs_statfs" },
	{ 0xda269246, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0xd0ffdea1, "rpc_max_bc_payload" },
	{ 0x8d9247ae, "trace_event_buffer_commit" },
	{ 0x584b8482, "nfs_inc_attr_generation_counter" },
	{ 0x90a5530f, "nfsiod_workqueue" },
	{ 0xff31cb7f, "rpc_clnt_xprt_switch_add_xprt" },
	{ 0x509bca0, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x4a80be6f, "nfs_mkdir" },
	{ 0x5622617b, "nfs_revalidate_inode" },
	{ 0xb0b0564b, "inode_newsize_ok" },
	{ 0x8c54b72e, "nfs_file_mmap" },
	{ 0x76a306e4, "nfs_get_lock_context" },
	{ 0xd00077cb, "d_drop" },
	{ 0x92997ed8, "_printk" },
	{ 0xbf07259a, "nfs_set_cache_invalid" },
	{ 0xe53e4ebb, "rpc_release_client" },
	{ 0x8e0ef892, "rpc_clnt_manage_trunked_xprts" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa7e62a7e, "xdr_enter_page" },
	{ 0xfd324504, "rpc_clnt_setup_test_and_add_xprt" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x67ce597c, "unregister_sysctl_table" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x497b6363, "trace_event_ignore_this_pid" },
	{ 0x2c47f71e, "nfs_generic_pgio" },
	{ 0x799e822b, "make_kuid" },
	{ 0xfc1411a4, "truncate_inode_pages_final" },
	{ 0xacdbb22a, "generic_setlease" },
	{ 0xbb96fca1, "xprt_destroy_backchannel" },
	{ 0x66088de4, "rpc_switch_client_transport" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x176bb09e, "nfs_scan_commit_list" },
	{ 0x4abb254a, "xdr_stream_decode_string_dup" },
	{ 0x5609b8c3, "nfs_commit_inode" },
	{ 0x89ad9aed, "locks_init_lock" },
	{ 0xa8e9e1ae, "send_implementation_id" },
	{ 0x57bf7ab7, "unregister_shrinker" },
	{ 0x4716a167, "rpc_destroy_pipe_data" },
	{ 0xf919a865, "nfs_get_client" },
	{ 0xf5ea2664, "__free_pages" },
	{ 0x328350fd, "kmem_cache_alloc" },
	{ 0x9f984513, "strrchr" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x89993b79, "nfs_atomic_open" },
	{ 0x8e66f052, "rpc_pipe_generic_upcall" },
	{ 0x4b5810b8, "nfs_file_fsync" },
	{ 0x6d23a6ed, "module_put" },
	{ 0x45f17fb6, "__var_waitqueue" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x5a369529, "mntput" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0x2565d3d2, "nfs_put_lock_context" },
	{ 0x9f1d44b, "nfs_rename" },
	{ 0x4e62ec0f, "nfs_lookup" },
	{ 0x769f6e64, "errseq_check" },
	{ 0x800473f, "__cond_resched" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x3f582e1d, "nfs_sysfs_link_rpc_client" },
	{ 0xbe2e5b15, "nfs_put_client" },
	{ 0x5ea31004, "arch_spin_trylock_retry" },
	{ 0x1807d7ca, "nfs_show_options" },
	{ 0x590da46f, "dns_query" },
	{ 0x26884ff7, "nfs_alloc_fhandle" },
	{ 0x754e3144, "key_put" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x53843702, "mount_subtree" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x58df8249, "get_nfs_open_context" },
	{ 0xa8b08b27, "perf_trace_run_bpf_submit" },
	{ 0x573c1099, "nfs_clear_verifier_delegated" },
	{ 0x39aca964, "nfs_sysfs_add_server" },
	{ 0x61b43f3c, "fput" },
	{ 0xd3cf1c01, "down_write" },
	{ 0x306345db, "rpc_machine_cred" },
	{ 0x42f2c81f, "nfs4_client_id_uniquifier" },
	{ 0x4e4df58, "nfs_do_submount" },
	{ 0xb7b7a4a0, "vfs_dup_fs_context" },
	{ 0xd2510a63, "up_write" },
	{ 0x6ccc34dd, "sort" },
	{ 0x7f14d7b, "request_key_with_auxdata" },
	{ 0x98a062a2, "rpc_clone_client_set_auth" },
	{ 0xf60a0c9a, "rpc_clone_client" },
	{ 0x27ef87ae, "svc_set_num_threads" },
	{ 0x4e3567f7, "match_int" },
	{ 0xa8db84dd, "nfs_client_init_status" },
	{ 0x8c47afca, "idr_alloc" },
	{ 0xf825bda, "svc_rpcb_cleanup" },
	{ 0x4dea1053, "memchr" },
	{ 0xb54cde2a, "user_describe" },
	{ 0xc83ff5b3, "put_fs_context" },
	{ 0x7eb30a22, "nfs_retry_commit" },
	{ 0x80ed6af0, "nfs4_dentry_operations" },
	{ 0x12fc79a4, "__module_put_and_kthread_exit" },
	{ 0xf3af853, "rpc_peeraddr2str" },
	{ 0xe8ba125d, "kmemdup_nul" },
	{ 0x8337fcbe, "nfs_client_for_each_server" },
	{ 0xc825bbc, "nfs_clear_inode" },
	{ 0x391183da, "rpc_sleep_on_priority" },
	{ 0x641ae72c, "nfs_invalidate_atime" },
	{ 0xd75290ec, "bpf_trace_run5" },
	{ 0x954f099c, "idr_preload" },
	{ 0x46d28896, "nfs_umount_begin" },
	{ 0x3b756f6a, "crc32_le" },
	{ 0xd0b67364, "nfs_getattr" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xfd77c16e, "nfs_pageio_reset_write_mds" },
	{ 0x82e47b54, "kmem_cache_free" },
	{ 0x22524f6a, "nfs_generic_pg_test" },
	{ 0x85abc85f, "strncmp" },
	{ 0x56c2a2b8, "xdr_stream_subsegment" },
	{ 0x9563fb98, "nfs_zap_acl_cache" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0xf7ab9dc9, "nfs_fscache_open_file" },
	{ 0x504bf6a2, "from_kgid" },
	{ 0x40afa919, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x5683a525, "nfs_write_inode" },
	{ 0xd40a04c, "nfs_request_remove_commit_list" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x6f53043d, "wait_for_completion_interruptible" },
	{ 0x9bef662b, "rpc_wake_up_first" },
	{ 0x8b72ad07, "alloc_nfs_open_context" },
	{ 0x459550c9, "list_lru_add_obj" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xebba5d63, "vfs_parse_fs_param" },
	{ 0xbc30c6e0, "nfs_path" },
	{ 0x2fc79c9, "rpc_sleep_on_priority_timeout" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x9f1e221f, "kmalloc_large" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x86221148, "nfs_create_rpc_client" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x8dd4355e, "register_nfs_version" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xdcca615f, "rpc_sleep_on_timeout" },
	{ 0xaea7f153, "list_lru_count_one" },
	{ 0x81b27642, "svc_destroy" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x8cf4bab5, "rpc_call_start" },
	{ 0xe7e208e, "xprt_setup_backchannel" },
	{ 0xe09dbb53, "bpf_trace_run1" },
	{ 0x10326f0, "svc_create" },
	{ 0x7ce4c51d, "rpc_clnt_iterate_for_each_xprt" },
	{ 0x62bff753, "nfs_file_set_open_context" },
	{ 0x58494a59, "rpc_init_priority_wait_queue" },
	{ 0x3f2690f2, "nfs_check_flags" },
	{ 0x7618b1c3, "rpc_call_sync" },
	{ 0x3f15c5d7, "from_kuid" },
	{ 0x548ad472, "rpc_put_task_async" },
	{ 0xb2d5b021, "rpc_prepare_reply_pages" },
	{ 0x1c12738e, "rpc_queue_upcall" },
	{ 0x5564810e, "nfs_free_server" },
	{ 0x19ae92b6, "fc_mount" },
	{ 0xa90e818d, "nfs_setattr" },
	{ 0x52c10eda, "xdr_terminate_string" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x33bf696f, "nfs4_fs_type" },
	{ 0x3cf900f2, "key_revoke" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0x5f7edffa, "rpc_delay" },
	{ 0x9723fd9a, "nfs_flock" },
	{ 0x3e952ee4, "__list_lru_init" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xe8209797, "svc_generic_init_request" },
	{ 0xb5d3119d, "_atomic_dec_and_lock" },
	{ 0x8b48cffa, "key_validate" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0xa279d3bd, "rpc_exit" },
	{ 0x9d1a1bb5, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x40421ba0, "rpc_remove_pipe_dir_object" },
	{ 0x174c3c91, "nfs_may_open" },
	{ 0x5b18c10d, "from_kgid_munged" },
	{ 0xfc619abd, "_nfs_display_fhandle" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0x31f1000f, "nfs_server_copy_userdata" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0x103bafd6, "down_read" },
	{ 0xcfe1f59b, "xdr_reserve_space" },
	{ 0x1fc7832d, "rpcauth_lookupcred" },
	{ 0xe798236d, "jiffies" },
	{ 0x87f47edd, "kthread_create_on_node" },
	{ 0xabc640f3, "list_lru_isolate" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xe4600054, "nfs_rmdir" },
	{ 0x87decc6, "bpf_trace_run3" },
	{ 0x37e5956b, "override_creds" },
	{ 0x4cb9e001, "recover_lost_locks" },
	{ 0x85d14264, "trace_print_flags_seq" },
	{ 0x34056ee4, "nfs_filemap_write_and_wait_range" },
	{ 0x2462125e, "rpc_mkpipe_dentry" },
	{ 0xa72d97c2, "alloc_file_pseudo" },
	{ 0x876d41f7, "rpc_mkpipe_data" },
	{ 0xa61be155, "rpc_add_pipe_dir_object" },
	{ 0xad1df864, "igrab" },
	{ 0xadb9b4f7, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe30b73fa, "nfs_async_iocounter_wait" },
	{ 0x88f0ce55, "nfs_file_read" },
	{ 0x83607446, "trace_event_buffer_reserve" },
	{ 0xa1e3d5bf, "nfs_alloc_fattr_with_label" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x24f8cf68, "filemap_fdatawait_range" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x4d5fe525, "percpu_counter_add_batch" },
	{ 0x3adbfe61, "nfs_commitdata_alloc" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xb526b27f, "nfs_setattr_update_inode" },
	{ 0xa3836845, "nfs_instantiate" },
	{ 0x13fa8ec2, "init_user_ns" },
	{ 0x5ee5abab, "rpc_uaddr2sockaddr" },
	{ 0x9775a9b5, "user_read" },
	{ 0x74d8e773, "rpc_restart_call" },
	{ 0xad65b90c, "request_key_tag" },
	{ 0xbdfebca, "xprt_force_disconnect" },
	{ 0x45c04efa, "user_free_preparse" },
	{ 0x6bf12745, "alloc_pages" },
	{ 0x47b6f4f5, "rpc_clnt_xprt_switch_remove_xprt" },
	{ 0x4161e2f4, "svc_xprt_destroy_all" },
	{ 0x98177572, "generic_key_instantiate" },
	{ 0x3e76fd4c, "inc_nlink" },
	{ 0x44e9a829, "match_token" },
	{ 0xc6a47b52, "nfs_link" },
	{ 0x395fa447, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x62cda076, "list_lru_walk_one" },
	{ 0xc3a2be67, "nfs_net_id" },
	{ 0x72948486, "rpcauth_stringify_acceptor" },
	{ 0x56470118, "__warn_printk" },
	{ 0x21787fad, "dput" },
	{ 0x92a16af7, "lockref_get" },
	{ 0x4847af87, "rpc_init_wait_queue" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x9f8217d6, "xdr_stream_move_subsegment" },
	{ 0x7689ba98, "put_rpccred" },
	{ 0x294c6a2, "nfs_callback_nr_threads" },
	{ 0x57d4bb9d, "nfs_post_op_update_inode_force_wcc" },
	{ 0x166163a7, "nfs_pgheader_init" },
	{ 0xe7289779, "put_nfs_open_context" },
	{ 0xa9254f2b, "nfs_show_path" },
	{ 0xe5fd4ee, "nfs_show_devname" },
	{ 0xcd603f56, "nfs_permission" },
	{ 0xb729c012, "nfs_initiate_commit" },
	{ 0x59b2212d, "truncate_inode_pages_range" },
	{ 0x17579285, "__put_user_ns" },
	{ 0x215f3848, "cred_fscmp" },
	{ 0x99b6573e, "rpc_unlink" },
	{ 0x3c0d51c1, "nfs_sync_inode" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xd93dd3c3, "proc_dointvec" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0x3dc17e, "nfs_file_write" },
	{ 0xaafd4acc, "max_session_cb_slots" },
	{ 0xaaaae93, "node_data" },
	{ 0x5d6c72d8, "nfs_probe_server" },
	{ 0xb5f446fa, "nfs_setsecurity" },
	{ 0xa7766fd8, "rpc_clnt_xprt_switch_has_addr" },
	{ 0xa94c0d20, "rpc_clnt_test_and_add_xprt" },
	{ 0x6e500a78, "file_ra_state_init" },
	{ 0xdd48828c, "nfs_force_lookup_revalidate" },
	{ 0x8eddad5c, "nfs_file_llseek" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xaec7035d, "rpc_clnt_add_xprt" },
	{ 0x630383db, "dget_parent" },
	{ 0x81025742, "from_kuid_munged" },
	{ 0xdae60eaf, "prepare_kernel_cred" },
	{ 0xfcf21865, "kmalloc_trace" },
	{ 0x68243da4, "nfs_alloc_server" },
	{ 0xfdc95128, "rpc_call_async" },
	{ 0x95bab738, "security_dentry_init_security" },
	{ 0xae15383b, "filemap_write_and_wait_range" },
	{ 0x43d91aee, "list_lru_del_obj" },
	{ 0xda0f413e, "nfs_server_insert_lists" },
	{ 0x34fc7f16, "nfs_dreq_bytes_left" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x2f1e1f96, "nfs_free_client" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x14cc611b, "rpc_init_pipe_dir_object" },
	{ 0x5185787a, "bpf_trace_run7" },
	{ 0x2c704934, "nfs_refresh_inode" },
	{ 0xd88dbbf4, "refcount_dec_and_lock" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x91d1fe52, "max_session_slots" },
	{ 0x349cba85, "strchr" },
	{ 0xc6c8b8f1, "nfs_access_set_mask" },
	{ 0xbbc6d6f0, "nfs_init_server_rpcclient" },
	{ 0xb7ef8266, "__mark_inode_dirty" },
	{ 0x769aef4a, "rpc_set_connect_timeout" },
	{ 0xf34d2306, "rpcauth_create" },
	{ 0xc236bce9, "xdr_stream_pos" },
	{ 0x1cf2d402, "key_set_timeout" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0xefa414fb, "nfs_delay_retrans" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x10962bc2, "nfs_auth_info_match" },
	{ 0x555ccb97, "up_read" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x39e05ac3, "nfs_idmap_cache_timeout" },
	{ 0x6de2b4c3, "svc_xprt_create" },
	{ 0xafb27454, "nfs42_ssc_register" },
	{ 0xb4a9e697, "rpc_wait_for_completion_task" },
	{ 0x7364bdf1, "drop_nlink" },
	{ 0xf9a482f9, "msleep" },
	{ 0x45436052, "rpc_num_bc_slots" },
	{ 0x644c28a9, "nfs_alloc_inode" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xbeb02308, "rpc_destroy_wait_queue" },
	{ 0x641ec9e2, "kmalloc_caches" },
	{ 0x9051d571, "security_inode_listsecurity" },
	{ 0xb96111a0, "nfs_fhget" },
	{ 0xf9c8da9d, "nfs_symlink" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xfb82b1b5, "locks_copy_lock" },
	{ 0xa0f33e85, "kmem_cache_destroy" },
	{ 0x51892d61, "nfs_callback_set_tcpport" },
	{ 0x75f6f5ff, "nfs_unlink" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xea5e0c97, "nfs_set_verifier" },
	{ 0xc84fddf6, "proc_dointvec_minmax" },
	{ 0x647c164d, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,nfs,dns_resolver");


MODULE_INFO(srcversion, "4943C645A13616605C315E1");
MODULE_INFO(rhelversion, "9.6");
