#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(register_atm_ioctl, "", "");
KSYMTAB_FUNC(deregister_atm_ioctl, "", "");
KSYMTAB_DATA(vcc_hash, "", "");
KSYMTAB_DATA(vcc_sklist_lock, "", "");
KSYMTAB_FUNC(vcc_insert_socket, "", "");
KSYMTAB_FUNC(vcc_release_async, "", "");
KSYMTAB_FUNC(vcc_process_recv_queue, "", "");
KSYMTAB_FUNC(atm_dev_signal_change, "", "");
KSYMTAB_FUNC(atm_dev_release_vccs, "", "");
KSYMTAB_FUNC(register_atmdevice_notifier, "_gpl", "");
KSYMTAB_FUNC(unregister_atmdevice_notifier, "_gpl", "");
KSYMTAB_FUNC(atm_charge, "", "");
KSYMTAB_FUNC(atm_alloc_charge, "", "");
KSYMTAB_FUNC(atm_pcr_goal, "", "");
KSYMTAB_FUNC(sonet_copy_stats, "", "");
KSYMTAB_FUNC(sonet_subtract_stats, "", "");
KSYMTAB_FUNC(atm_init_aal5, "", "");
KSYMTAB_FUNC(atm_dev_lookup, "", "");
KSYMTAB_FUNC(atm_dev_register, "", "");
KSYMTAB_FUNC(atm_dev_deregister, "", "");
KSYMTAB_DATA(atm_proc_root, "", "");

SYMBOL_CRC(register_atm_ioctl, 0xf7ca76f6, "");
SYMBOL_CRC(deregister_atm_ioctl, 0x99942c55, "");
SYMBOL_CRC(vcc_hash, 0x2cc2d52d, "");
SYMBOL_CRC(vcc_sklist_lock, 0x3a1e9a8b, "");
SYMBOL_CRC(vcc_insert_socket, 0xd83f9cc4, "");
SYMBOL_CRC(vcc_release_async, 0x114706be, "");
SYMBOL_CRC(vcc_process_recv_queue, 0x9abb0d8b, "");
SYMBOL_CRC(atm_dev_signal_change, 0x56cb0e1b, "");
SYMBOL_CRC(atm_dev_release_vccs, 0x65a80697, "");
SYMBOL_CRC(register_atmdevice_notifier, 0xb09faf79, "_gpl");
SYMBOL_CRC(unregister_atmdevice_notifier, 0xcfb6a3da, "_gpl");
SYMBOL_CRC(atm_charge, 0xf0777f45, "");
SYMBOL_CRC(atm_alloc_charge, 0x86c49fd5, "");
SYMBOL_CRC(atm_pcr_goal, 0xf49bc67a, "");
SYMBOL_CRC(sonet_copy_stats, 0xaa024146, "");
SYMBOL_CRC(sonet_subtract_stats, 0x9feaf287, "");
SYMBOL_CRC(atm_init_aal5, 0x81ae0cab, "");
SYMBOL_CRC(atm_dev_lookup, 0xb9729033, "");
SYMBOL_CRC(atm_dev_register, 0x078bbc14, "");
SYMBOL_CRC(atm_dev_deregister, 0xfe8bda3d, "");
SYMBOL_CRC(atm_proc_root, 0x4443d399, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xf94eae5f, "skb_free_datagram" },
	{ 0x9d62f995, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x86867ab3, "skb_put" },
	{ 0x11bb051b, "dev_set_name" },
	{ 0x4fe724a3, "consume_skb" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0xf708d38d, "skb_dequeue" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x3cb02ab1, "proc_create_data" },
	{ 0x71261e7b, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x9ccb8264, "skb_queue_purge_reason" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0x4d027ff1, "proto_unregister" },
	{ 0x1000e51, "schedule" },
	{ 0xb7f598a2, "sock_register" },
	{ 0xc53ba24f, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf0ee69f7, "put_device" },
	{ 0x781b2b7f, "__alloc_skb" },
	{ 0xaa6a7293, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0xabd3c163, "skb_queue_tail" },
	{ 0x6d23a6ed, "module_put" },
	{ 0x557a8bcf, "__sock_recv_ts_and_drops" },
	{ 0x1a4f01bf, "device_create_file" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x89ebc372, "init_net" },
	{ 0xf14300ad, "sk_skb_reason_drop" },
	{ 0xfb3c5d21, "noop_llseek" },
	{ 0x32764a4a, "sk_free" },
	{ 0xca6e65b8, "sock_wake_async" },
	{ 0xaae030c0, "sock_no_accept" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xf310fc5b, "sock_no_listen" },
	{ 0x513b6f17, "seq_putc" },
	{ 0x4db31b7e, "class_unregister" },
	{ 0x4078040f, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3d7e75c8, "skb_copy_datagram_iter" },
	{ 0x59731335, "sk_alloc" },
	{ 0x5c257c78, "device_register" },
	{ 0x661df11, "device_del" },
	{ 0xc9d79a90, "sock_no_socketpair" },
	{ 0x65a7a23, "atomic_notifier_call_chain" },
	{ 0x9d824978, "sock_no_mmap" },
	{ 0xce6684e, "sock_no_sendpage" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xb1b1c93e, "atomic_notifier_chain_unregister" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xfdd3b858, "skb_recv_datagram" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xde5db408, "remove_proc_entry" },
	{ 0x656eb398, "seq_printf" },
	{ 0x9fbcda61, "_copy_from_iter" },
	{ 0x2278711c, "seq_puts" },
	{ 0xbe617b4c, "sock_gettstamp" },
	{ 0x7e1e4b5c, "_proc_mkdir" },
	{ 0x1d154155, "send_sig" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xfcf21865, "kmalloc_trace" },
	{ 0x8ee7f774, "dev_kfree_skb_any_reason" },
	{ 0x1a175e67, "iov_iter_revert" },
	{ 0xc5a19f3, "proc_create_seq_private" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0xcc4ee397, "class_register" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xfc3ea6b0, "sock_init_data" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x641ec9e2, "kmalloc_caches" },
	{ 0xac520d20, "device_remove_file" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x9b81abdd, "release_sock" },
	{ 0x647c164d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A4B6272A11C0EAEF3BF17F0");
MODULE_INFO(rhelversion, "9.6");
