#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ieee802154_alloc_hw, "", "");
KSYMTAB_FUNC(ieee802154_free_hw, "", "");
KSYMTAB_FUNC(ieee802154_register_hw, "", "");
KSYMTAB_FUNC(ieee802154_unregister_hw, "", "");
KSYMTAB_FUNC(ieee802154_rx_irqsafe, "", "");
KSYMTAB_FUNC(ieee802154_wake_queue, "", "");
KSYMTAB_FUNC(ieee802154_stop_queue, "", "");
KSYMTAB_FUNC(ieee802154_xmit_complete, "", "");

SYMBOL_CRC(ieee802154_alloc_hw, 0x92a48ff4, "");
SYMBOL_CRC(ieee802154_free_hw, 0xa1c766c7, "");
SYMBOL_CRC(ieee802154_register_hw, 0x81a90875, "");
SYMBOL_CRC(ieee802154_unregister_hw, 0x5735bda6, "");
SYMBOL_CRC(ieee802154_rx_irqsafe, 0x505c8c61, "");
SYMBOL_CRC(ieee802154_wake_queue, 0x553da5ad, "");
SYMBOL_CRC(ieee802154_stop_queue, 0x7e2be3ad, "");
SYMBOL_CRC(ieee802154_xmit_complete, 0x5a592547, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7744128b, "crypto_skcipher_encrypt" },
	{ 0xbc82b3dd, "ieee802154_max_payload" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xf0a48d0b, "bpf_trace_run4" },
	{ 0x86867ab3, "skb_put" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x4fe724a3, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x836ebc4a, "trace_raw_output_prep" },
	{ 0xf708d38d, "skb_dequeue" },
	{ 0xfa63ed8b, "trace_event_printf" },
	{ 0xf76c02e8, "hrtimer_init" },
	{ 0xa535dc15, "dev_alloc_name" },
	{ 0xfa6e8656, "trace_event_raw_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x82593beb, "crypto_alloc_aead" },
	{ 0xe9d47366, "bpf_trace_run2" },
	{ 0xee7f760e, "netdev_warn" },
	{ 0x4bb049d, "crypto_aead_setauthsize" },
	{ 0xe8153723, "crypto_aead_decrypt" },
	{ 0xc91dc0b6, "event_triggers_call" },
	{ 0x7e821ba1, "crc_ccitt" },
	{ 0x394d02bb, "crypto_skcipher_setkey" },
	{ 0x8667b8bf, "unregister_netdevice_queue" },
	{ 0x684a27f6, "ieee802154_hdr_peek_addrs" },
	{ 0xde24dfa, "wpan_phy_unregister" },
	{ 0x8d9247ae, "trace_event_buffer_commit" },
	{ 0x246504bd, "crypto_destroy_tfm" },
	{ 0x9e0941b7, "alloc_netdev_mqs" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x497b6363, "trace_event_ignore_this_pid" },
	{ 0xb446d506, "crypto_skcipher_decrypt" },
	{ 0x44f5b51, "skb_copy_expand" },
	{ 0xabd3c163, "skb_queue_tail" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xa1ef34ec, "crypto_aead_setkey" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xa8b08b27, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xb988e6c2, "wpan_phy_register" },
	{ 0x1579f7cb, "crypto_aead_encrypt" },
	{ 0xf14300ad, "sk_skb_reason_drop" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x42f51ebb, "skb_push" },
	{ 0x9f29a7c8, "ieee802154_hdr_peek" },
	{ 0x15461172, "wpan_phy_free" },
	{ 0x601b1fb0, "netif_receive_skb" },
	{ 0x40afa919, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x2a611061, "free_netdev" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xe09dbb53, "bpf_trace_run1" },
	{ 0x5ba0a77d, "netif_tx_wake_queue" },
	{ 0xc1db259, "_dev_warn" },
	{ 0x27e9ac7, "hrtimer_start_range_ns" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x7a06511d, "ieee802154_hdr_pull" },
	{ 0xca7c5ecb, "crypto_alloc_sync_skcipher" },
	{ 0xb50168d5, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xb0708799, "__dynamic_netdev_dbg" },
	{ 0xe798236d, "jiffies" },
	{ 0x87decc6, "bpf_trace_run3" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x83607446, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x439fa90f, "wpan_phy_new" },
	{ 0xd52802b8, "skb_clone" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x7c3cbabd, "hrtimer_cancel" },
	{ 0x2e474913, "ieee802154_hdr_push" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xfcf21865, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x8ee7f774, "dev_kfree_skb_any_reason" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x641ec9e2, "kmalloc_caches" },
	{ 0x9f2b4453, "register_netdevice" },
	{ 0x647c164d, "module_layout" },
};

MODULE_INFO(depends, "ieee802154");


MODULE_INFO(srcversion, "46960314F983F83CB5B47F0");
MODULE_INFO(rhelversion, "9.6");
