#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ovs_vport_ops_register, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_alloc, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_free, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_link, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_tunnel_destroy, "_gpl", "");

SYMBOL_CRC(__ovs_vport_ops_register, 0xe0a4cc65, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0xad0b1526, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0xece79d8b, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0xd29587ef, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0x3f748377, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0x0aa02275, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2766c34a, "nf_ct_ext_add" },
	{ 0xa87fe786, "nsh_pop" },
	{ 0x7695ca18, "nf_conntrack_find_get" },
	{ 0xd261b129, "nf_ct_set_timeout" },
	{ 0x1fe649dd, "dev_get_stats" },
	{ 0x9fa74dc9, "__nla_put" },
	{ 0x9d62f995, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x92beac96, "dev_fill_metadata_dst" },
	{ 0xf0a48d0b, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xe72b51dc, "nf_ct_handle_fragments" },
	{ 0xa9b88268, "eth_mac_addr" },
	{ 0x86867ab3, "skb_put" },
	{ 0x138d160a, "genl_notify" },
	{ 0xcd3b5bfa, "nsh_push" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x4fe724a3, "consume_skb" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x882897d7, "nf_ct_nat" },
	{ 0x3c7828cb, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc7010d7b, "skb_eth_pop" },
	{ 0x836ebc4a, "trace_raw_output_prep" },
	{ 0xebbe0d51, "skb_gso_validate_mac_len" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0xb7e80468, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0x5030e02, "nf_ct_helper" },
	{ 0x9dfdc8b0, "__skb_ext_del" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xfa63ed8b, "trace_event_printf" },
	{ 0x3ff690ad, "rtnl_delete_link" },
	{ 0xf3826bb6, "rtnl_link_register" },
	{ 0xfc7999f6, "nf_connlabels_put" },
	{ 0x97c8134f, "genlmsg_put" },
	{ 0x3dfb689b, "___pskb_trim" },
	{ 0xfa6e8656, "trace_event_raw_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0x8d82b16f, "psample_sample_packet" },
	{ 0x37a0cba, "kfree" },
	{ 0xe66f7bd0, "dev_set_promiscuity" },
	{ 0xd5b57f97, "nf_ct_destroy_timeout" },
	{ 0xd63e4fa1, "nf_ct_add_helper" },
	{ 0x5b204b88, "nf_conntrack_helper_put" },
	{ 0xe5b2a32e, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x69b49721, "nf_ct_skb_network_trim" },
	{ 0xc91dc0b6, "event_triggers_call" },
	{ 0x8667b8bf, "unregister_netdevice_queue" },
	{ 0x99f2ea38, "kmem_cache_create" },
	{ 0xdec30265, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x49672828, "node_states" },
	{ 0x74ebbfd5, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xe3cf9667, "netlink_broadcast_filtered" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xffac0967, "pskb_expand_head" },
	{ 0xc2881240, "skb_csum_hwoffload_help" },
	{ 0x8d9247ae, "trace_event_buffer_commit" },
	{ 0x2dbede01, "nf_connlabels_replace" },
	{ 0x2e91b0ed, "eth_type_trans" },
	{ 0x9e0941b7, "alloc_netdev_mqs" },
	{ 0x536897d0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0xfde2989e, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0x604ef85e, "netdev_rx_handler_unregister" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x497b6363, "trace_event_ignore_this_pid" },
	{ 0x870f3660, "skb_eth_push" },
	{ 0xe8207bf2, "nf_conncount_count" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x781b2b7f, "__alloc_skb" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x328350fd, "kmem_cache_alloc" },
	{ 0xed463a1d, "skb_mpls_pop" },
	{ 0x9a815f9e, "skb_vlan_pop" },
	{ 0x51587ea, "dst_init" },
	{ 0x6d23a6ed, "module_put" },
	{ 0x6ef84303, "kvmalloc_node" },
	{ 0xe541f71, "__alloc_percpu_gfp" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xa0d3d560, "ksize" },
	{ 0x1f2a7794, "__skb_get_hash_net" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x40d5988f, "rtnl_link_unregister" },
	{ 0xa8b08b27, "perf_trace_run_bpf_submit" },
	{ 0x89ebc372, "init_net" },
	{ 0x6ccc34dd, "sort" },
	{ 0x2971b3fc, "ipv6_stub" },
	{ 0xf7639f1f, "skb_mpls_update_lse" },
	{ 0x931be636, "skb_pull" },
	{ 0x2100f262, "__skb_get_hash_symmetric_net" },
	{ 0x4dea1053, "memchr" },
	{ 0xf14300ad, "sk_skb_reason_drop" },
	{ 0x75e8755a, "netlink_unicast" },
	{ 0xd75290ec, "bpf_trace_run5" },
	{ 0x3a2fdb2a, "dev_get_by_index_rcu" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x42f51ebb, "skb_push" },
	{ 0x82e47b54, "kmem_cache_free" },
	{ 0x2d82c375, "netdev_upper_dev_unlink" },
	{ 0xf00a075f, "nla_put" },
	{ 0x40afa919, "trace_event_reg" },
	{ 0x54c1f531, "skb_ensure_writable" },
	{ 0x2a611061, "free_netdev" },
	{ 0x36399b3e, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x189d1645, "unregister_pernet_device" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd50fa6cb, "ethtool_op_get_link" },
	{ 0x1a8e2c52, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xfe731af8, "nf_ct_invert_tuple" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xe41d5ab8, "nf_nat_helper_put" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9f0ca0fe, "__pskb_pull_tail" },
	{ 0xed7dbdd3, "nf_ct_delete" },
	{ 0xd79dd416, "nf_conncount_init" },
	{ 0xb35e7196, "skb_vlan_push" },
	{ 0xccbe3ab1, "dev_get_tstats64" },
	{ 0xd265d3bf, "netif_rx" },
	{ 0x79379645, "__netdev_alloc_skb" },
	{ 0x19d6e629, "netdev_master_upper_dev_link" },
	{ 0x915133cf, "skb_zerocopy_headlen" },
	{ 0x267dd8e8, "drop_reasons_register_subsys" },
	{ 0x103bafd6, "down_read" },
	{ 0x63fbc1e0, "inet_proto_csum_replace16" },
	{ 0xb50168d5, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0xd905984f, "skb_scrub_packet" },
	{ 0x8daf8a97, "nf_ct_deliver_cached_events" },
	{ 0xf5af7698, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x741238a5, "skb_tx_error" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x4ec76244, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x83607446, "trace_event_buffer_reserve" },
	{ 0x98a04db7, "__skb_checksum" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xa1743352, "inet_proto_csum_replace4" },
	{ 0x1a226447, "nf_conncount_destroy" },
	{ 0x55f2580b, "__alloc_percpu" },
	{ 0x2d836884, "skb_zerocopy" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xacecc930, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xcf31bdf0, "dev_get_by_name" },
	{ 0xd52802b8, "skb_clone" },
	{ 0xbd801d5c, "metadata_dst_alloc" },
	{ 0xcdd92e7a, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6044589, "peernet2id_alloc" },
	{ 0x41e2cb92, "nf_ct_get_tuplepr" },
	{ 0xea16af8, "netdev_rx_handler_register" },
	{ 0x71ee071e, "ip_do_fragment" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x3c465b6, "genl_unregister_family" },
	{ 0x1cc14671, "dev_disable_lro" },
	{ 0xfcf21865, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x8ee7f774, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x51974e53, "genl_register_family" },
	{ 0xe070eac4, "nf_ct_tmpl_free" },
	{ 0xfcde8369, "netlink_has_listeners" },
	{ 0x332c029, "kmalloc_size_roundup" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0x9d79726f, "__skb_gso_segment" },
	{ 0x555ccb97, "up_read" },
	{ 0x792f4665, "skb_mpls_push" },
	{ 0x7e0d5d00, "register_pernet_device" },
	{ 0x2912f193, "nf_conntrack_in" },
	{ 0xcc3f54e5, "net_rwsem" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x3832522f, "__crc32c_le_shift" },
	{ 0x641ec9e2, "kmalloc_caches" },
	{ 0x8c42075a, "kmem_cache_alloc_node" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xa0f33e85, "kmem_cache_destroy" },
	{ 0x9546e974, "__skb_vlan_pop" },
	{ 0x686ae796, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x9f2b4453, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x647c164d, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nf_nat,psample,nf_conncount,libcrc32c");


MODULE_INFO(srcversion, "0177E1EA263BE27C0D9674E");
MODULE_INFO(rhelversion, "9.6");
