#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(g_token_size, "_gpl", "");
KSYMTAB_FUNC(g_make_token_header, "_gpl", "");
KSYMTAB_FUNC(g_verify_token_header, "_gpl", "");
KSYMTAB_FUNC(gss_mech_register, "_gpl", "");
KSYMTAB_FUNC(gss_mech_unregister, "_gpl", "");
KSYMTAB_FUNC(gss_mech_get, "", "");
KSYMTAB_FUNC(gss_pseudoflavor_to_service, "", "");
KSYMTAB_FUNC(gss_mech_put, "", "");
KSYMTAB_FUNC(svcauth_gss_flavor, "_gpl", "");
KSYMTAB_FUNC(svcauth_gss_register_pseudoflavor, "_gpl", "");

SYMBOL_CRC(g_token_size, 0x482ac5a4, "_gpl");
SYMBOL_CRC(g_make_token_header, 0x38d3dce5, "_gpl");
SYMBOL_CRC(g_verify_token_header, 0xd7673035, "_gpl");
SYMBOL_CRC(gss_mech_register, 0x74841ffe, "_gpl");
SYMBOL_CRC(gss_mech_unregister, 0x248ccbfe, "_gpl");
SYMBOL_CRC(gss_mech_get, 0x2e5fa607, "");
SYMBOL_CRC(gss_pseudoflavor_to_service, 0x22786298, "");
SYMBOL_CRC(gss_mech_put, 0xd7daa471, "");
SYMBOL_CRC(svcauth_gss_flavor, 0x789798f0, "_gpl");
SYMBOL_CRC(svcauth_gss_register_pseudoflavor, 0x8b19e956, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2b4f581f, "rpc_put_task" },
	{ 0xef464c28, "getboottime64" },
	{ 0x9d62f995, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x3a576f2e, "vmemmap" },
	{ 0x90009b2c, "rpc_find_or_alloc_pipe_dir_object" },
	{ 0x8251d405, "xdr_buf_from_iov" },
	{ 0xf0a48d0b, "bpf_trace_run4" },
	{ 0x7315462, "xdr_stream_decode_opaque_auth" },
	{ 0x6764fd96, "param_ops_uint" },
	{ 0xfdb1e47a, "xdr_write_pages" },
	{ 0x82d77d0c, "rpc_shutdown_client" },
	{ 0xb49604ab, "auth_domain_find" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0x91d9b080, "xdr_inline_decode" },
	{ 0x380a43e9, "cache_create_net" },
	{ 0x9c067a71, "rpcauth_destroy_credcache" },
	{ 0x836ebc4a, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x3d3a48b, "bpf_trace_run6" },
	{ 0x20ea6074, "rpc_net_ns" },
	{ 0x82dcaa99, "read_bytes_from_xdr_buf" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x5e45efdb, "rpc_wake_up" },
	{ 0xfa63ed8b, "trace_event_printf" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x7eea3ee5, "sunrpc_cache_lookup_rcu" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0xfa6e8656, "trace_event_raw_init" },
	{ 0xabe1431b, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x233f5316, "sprint_oid" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x4e8f6ca7, "sunrpc_net_id" },
	{ 0x3cb02ab1, "proc_create_data" },
	{ 0x43d22fb9, "groups_alloc" },
	{ 0xe9d47366, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xcdd98fd8, "xdr_truncate_decode" },
	{ 0xe303496c, "rpcauth_unregister" },
	{ 0xc91dc0b6, "event_triggers_call" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x2c31220d, "__xdr_commit_encode" },
	{ 0x5c8b384e, "__module_get" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xbe1d9283, "rpc_sleep_on" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xe0de4f1a, "__put_cred" },
	{ 0x30c9f313, "register_pernet_subsys" },
	{ 0x8d9247ae, "trace_event_buffer_commit" },
	{ 0xcddfaef5, "cache_purge" },
	{ 0x92997ed8, "_printk" },
	{ 0xe53e4ebb, "rpc_release_client" },
	{ 0x71c813f4, "auth_domain_lookup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x9220ef68, "rpc_wake_up_status" },
	{ 0x4dac77f0, "xdr_encode_netobj" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x40156788, "svc_auth_register" },
	{ 0xe761309f, "xdr_stream_encode_opaque_auth" },
	{ 0x497b6363, "trace_event_ignore_this_pid" },
	{ 0x799e822b, "make_kuid" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x4716a167, "rpc_destroy_pipe_data" },
	{ 0xf5ea2664, "__free_pages" },
	{ 0x8e66f052, "rpc_pipe_generic_upcall" },
	{ 0x6d23a6ed, "module_put" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x979127d6, "cache_unregister_net" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x26c5e26d, "sunrpc_cache_unhash" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xa8b08b27, "perf_trace_run_bpf_submit" },
	{ 0x5895710c, "rpcauth_lookup_credcache" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0xe8ba125d, "kmemdup_nul" },
	{ 0xe97f4ce5, "qword_get" },
	{ 0x4aee5f14, "rpcauth_init_credcache" },
	{ 0xf23c4f9, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0x52d9a3e4, "xdr_init_decode" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x40afa919, "trace_event_reg" },
	{ 0x5aa71040, "rpc_call_null" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xdcca615f, "rpc_sleep_on_timeout" },
	{ 0x486cb1fd, "rpc_create" },
	{ 0xe09dbb53, "bpf_trace_run1" },
	{ 0x7618b1c3, "rpc_call_sync" },
	{ 0x3f15c5d7, "from_kuid" },
	{ 0x5659b856, "unregister_pernet_subsys" },
	{ 0x1c12738e, "rpc_queue_upcall" },
	{ 0xe51a7fa2, "xdr_encode_word" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x384a7885, "cache_check" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0x8c8d9e7, "svcauth_unix_set_client" },
	{ 0xae41ca89, "xdr_buf_subsegment" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xb5d3119d, "_atomic_dec_and_lock" },
	{ 0x9d1a1bb5, "make_kgid" },
	{ 0x40421ba0, "rpc_remove_pipe_dir_object" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xcfe1f59b, "xdr_reserve_space" },
	{ 0xe798236d, "jiffies" },
	{ 0x2c71acf8, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x87decc6, "bpf_trace_run3" },
	{ 0xc089ecb, "__put_net" },
	{ 0x2462125e, "rpc_mkpipe_dentry" },
	{ 0x876d41f7, "rpc_mkpipe_data" },
	{ 0xdda5e463, "gssd_running" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x83607446, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x732dd326, "groups_free" },
	{ 0xd6ca21b5, "cache_register_net" },
	{ 0x13fa8ec2, "init_user_ns" },
	{ 0x6bf12745, "alloc_pages" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x78e4c9b4, "xdr_inline_pages" },
	{ 0x395fa447, "__folio_put" },
	{ 0xde5db408, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5a45ba31, "svc_auth_unregister" },
	{ 0x4847af87, "rpc_init_wait_queue" },
	{ 0x7689ba98, "put_rpccred" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x99b6573e, "rpc_unlink" },
	{ 0xe64812b3, "rpcauth_wrap_req_encode" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa23ffc04, "groups_sort" },
	{ 0x81025742, "from_kuid_munged" },
	{ 0xfcf21865, "kmalloc_trace" },
	{ 0xbd73eb53, "rpcauth_init_cred" },
	{ 0xbbcb4f0e, "xdr_decode_word" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x2ddcd959, "cache_destroy_net" },
	{ 0x14cc611b, "rpc_init_pipe_dir_object" },
	{ 0x349cba85, "strchr" },
	{ 0x5a5e7ea3, "simple_read_from_buffer" },
	{ 0xc236bce9, "xdr_stream_pos" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0xaa478b2d, "sunrpc_cache_update" },
	{ 0x4032622, "xdr_truncate_encode" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xbeb02308, "rpc_destroy_wait_queue" },
	{ 0x641ec9e2, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x514b54cd, "auth_domain_put" },
	{ 0x9e44417a, "rpcauth_unwrap_resp_decode" },
	{ 0x1f7fbca7, "rpcauth_register" },
	{ 0x647c164d, "module_layout" },
};

MODULE_INFO(depends, "sunrpc");


MODULE_INFO(srcversion, "EF1622047D5C7B998952ED2");
MODULE_INFO(rhelversion, "9.6");
